unit ftvproreg;

interface
{$I DFS.INC}
uses  Classes, {$IFDEF DFS_DELPHI_6_UP} DesignEditors, DesignIntf {$ELSE} DsgnIntf{$endif},  Treecoll, trCollReg, Isconst, FlytreePro, PropTreePro, FlyTrEdtPro;

type

TNodesProEditor = class (TComponentEditor)
   function GetVerbCount : integer ; override;
   function GetVerb (index : Integer) : string;override;
   procedure ExecuteVerb (Index : integer);override;
end;

{TPropertyNodesProEdit = class(TPropertyEditor)
  function  GetAttributes : TPropertyAttributes; override;
  function  GetValue : string; override;
  procedure Edit; override;
end;
}
procedure Register;

implementation

function TNodesProEditor.GetVerbCount : integer ;
begin
    Result := 3;
end;

function TNodesProEditor.GetVerb (index : Integer) : string;
begin
    Case Index of
     0:
       Result := teNodesEditor;
     1: Result := teLoadTemplate;
     2: Result := teSaveTemplate;
     else Result := '';
    end;

end;

procedure TNodesProEditor.ExecuteVerb (Index : integer);
begin
    Case Index of
     0:
      if CustomizeTree(TCustomFlyTreeViewPro(Component), tcmGeneral,TCustomFlyTreeViewPro(Component).Columns.ColumnClass) then
        Designer.Modified;
     1:
      if LoadTemplate(TCustomFlyTreeViewPro(Component)) then
         Designer.Modified;
     2:  SaveTemplate(TCustomFlyTreeViewPro(Component))
    end;

end;

//---------------------------------------------------------------------------
{
function  TPropertyNodesProEdit.GetAttributes : TPropertyAttributes;
begin
  result := [paDialog];
end;

function  TPropertyNodesProEdit.GetValue : string;
begin
  if GetOrdValue = 0 then
    result := teNone
  else
    result := teFlyNodes;
end;

procedure TPropertyNodesProEdit.Edit;
begin
     if CustomizeTree(TCustomFlyTreeViewPro(GetComponent(0)),tcmNodes,TCustomFlyTreeViewPro(GetComponent(0)).Columns.ColumnClass) then
        Designer.Modified;
end;
}
//---------------------------------------------------------------------------

procedure Register;
begin
  if Getclass('TFlyTreeViewPro') = nil then
  begin
    RegisterComponents('9Rays.Net', [TFlyTreeViewPro]);
    RegisterComponents('9Rays.Net', [TPropertiesTreePro]);
    RegisterPropertyEditor(TypeInfo(TTreeColumns), nil, '', TTreeCollectionPropEdit);
    RegisterComponentEditor(TCustomFlyTreeViewPro, TNodesProEditor);
    //RegisterPropertyEditor(TypeInfo(TFlyNodes), TCustomFlyTreeView, '', TPropertyNodesProEdit);
  end;
end;

end.
