unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, xyGraph, StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    xyGraph1: TxyGraph;
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
var i : Integer;
begin

 xygraph1.plotting := false; {prevent paints until finished}
 xygraph1[1].clear;   {possible scoping problem if in the with statement and
                      backwards compatibility turned on}
 with xygraph1[1] do
  begin
  AutoZero := false;
  AllowDuplicates := True;
{  WhichYAxis := xygraph1.YAxis_second;}
  InternalZero := 0;
  DrawPoints := true;;
  PointSize := 3; {override some of the defaults}
  PointShape := ps_circle;
  PointColor := clblue;
  DrawLine := true;
  LineStyle := psSolid;
  for i := 1 to 50 {pick a number ...} do
     add (i, 0.1*exp(0.1*(i-100)));
  end;

 with xygraph1[2] do

 begin
  AllowDuplicates := True;

  xygraph1[2].clear;
  AutoZero := false;
 { WhichYAxis := xygraph1.YAxis_second;}
  InternalZero := 0;
  DrawPoints := true;;
  PointSize := 2; {override some of the defaults}
  PointShape := ps_circle;
  PointColor := clred;
  DrawLine := true;
  LineStyle := psSolid;
  LineColor := clGreen;
  for i := 1 to 50 do{pick a number ... do}
     add (1.01*i, (1e5*sin(0.25*i)));
  xygraph1.plotting := true;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin

  xyGraph1[1].active := not xyGraph1[1].active;
  xyGraph1[2].active := True;
end;


procedure TForm1.Button2Click(Sender: TObject);
begin
 close;
end;

end.
