unit Ftvreg;

interface
{$I DFS.INC}
uses  Classes, {$IFDEF DFS_DELPHI_6_UP} DesignEditors, DesignIntf {$ELSE} DsgnIntf{$endif}, Flytredt, trcollreg, Treecoll, flytree, Proptree, Isconst;

type

TNodesEditor = class (TComponentEditor)
   function GetVerbCount : integer ; override;
   function GetVerb (index : Integer) : string;override;
   procedure ExecuteVerb (Index : integer);override;
end;

{TPropertyNodesEdit = class(TPropertyEditor)
  function  GetAttributes : TPropertyAttributes; override;
  function  GetValue : string; override;
  procedure Edit; override;
end;
}
procedure Register;

implementation

function TNodesEditor.GetVerbCount : integer ;
begin
    Result := 3;
end;

function TNodesEditor.GetVerb (index : Integer) : string;
begin
    Case Index of
     0:
       Result := teNodesEditor;
     1: Result := teLoadTemplate;
     2: Result := teSaveTemplate;
     else Result := '';
    end;

end;

procedure TNodesEditor.ExecuteVerb (Index : integer);
begin
    Case Index of
     0:
      if CustomizeTree(TCustomFlyTreeView(Component), tcmGeneral,TCustomFlyTreeView(Component).Columns.ColumnClass) then
        Designer.Modified;
     1:
      if LoadTemplate(TCustomFlyTreeView(Component)) then
         Designer.Modified;
     2:  SaveTemplate(TCustomFlyTreeView(Component))
    end;
end;

//---------------------------------------------------------------------------
procedure Register;
begin
  if Getclass('TFlyTreeView') = nil then
  begin
    RegisterComponents('9Rays.Net', [TFlyTreeView]);
    RegisterComponents('9Rays.Net', [TPropertiesTree]);
    RegisterPropertyEditor(TypeInfo(TTreeColumns), nil, '', TTreeCollectionPropEdit);
    RegisterComponentEditor(TCustomFlyTreeView, TNodesEditor);
    //RegisterPropertyEditor(TypeInfo(TFlyNodes), TCustomFlyTreeView, '', TPropertyNodesEdit);
  end;
end;

end.
