unit ISLinesEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TLinesEdit = class(TForm)
    StrMemo: TMemo;
    Label1: TLabel;
    OkBtn: TButton;
    Cancelbtn: TButton;
    procedure OkBtnClick(Sender: TObject);
    procedure CancelbtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LinesEdit: TLinesEdit;
  function GetStrings(aCaption : string; aStrings : TStrings) : boolean;
implementation

{$R *.DFM}
function GetStrings(aCaption : string; aStrings : TStrings) : boolean;
var aStringsEd : TLinesEdit;
begin
    aStringsEd := TLinesEdit.Create(Application);
    aStringsEd.Caption := aCaption;
    aStringsEd.StrMemo.Lines.Assign(aStrings);
    try
       if aStringsEd.ShowModal=mrOK then
       begin
         aStrings.Assign(aStringsEd.StrMemo.Lines);
         result:=true;
       end
       else Result:=false;
    finally
       aStringsEd.Free;
    end;
end;

procedure TLinesEdit.OkBtnClick(Sender: TObject);
begin
     ModalResult:=OkBtn.ModalResult;
end;

procedure TLinesEdit.CancelbtnClick(Sender: TObject);
begin
   ModalResult:=Cancelbtn.ModalResult;
end;

procedure TLinesEdit.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if (Key = VK_RETURN) and (Activecontrol<>StrMemo) then
       ModalResult:=OKbtn.ModalResult
    else
      if (Key = VK_ESCAPE) and (Activecontrol<>StrMemo) then
        ModalResult:=Cancelbtn.ModalResult

end;

end.
