unit flytree;//paint

{/*****************************************************************/
 /  Copyright (c) 1998 IMCA SYSTEMS                                /
 /  All Rights Reserved.
 /  Creation Date: 06.08.98                                        /
 /  Version 1.25b
 /  MODULE: Multicolumnar TreeView virtual/Semivirtual control
            with Edited data cell with Inplace Edits
 /          and StateButtons (Outlined Grid)                       /
 /  Some code derived from Borland (Inprise)
 /  NOTES:                                                         /
 /  HISTORY:                                                       /

 /    Date 03.12.98 //1.05b
      Fixed: 1.Problems with sizing Width of Columns
             2.Preparation for work with different versions Delphi(2,3 & 4+)
             3.Look & feel - Flat bug drawing fixed
             4.Sizing width of Columns in Design Time mode
             5.OutCustomDraw,OutCustomDrawItem events for CustomDraw
      Date 04.12.98 //1.12b
      Fixed: 1. Problems with drawing logic elements and button with Widthoutline=indent
             2. Problems with treeOptions = (AlwaysShowEditor) without Editing Option
             3. With Stateindex=STATE_EMPTY instead of nothing will drawed image from images (Node.Imageindex)
             4. Stateindex = STATE_EMPTY Can not be switched in other state
             5. Drawing State bitmaps are vertically centered
       //   Date 26.12.98//1.14b
       Fixed: 1. Drawing Headers With Flat=true
              2. Drawing Headers after resize
        //Date 13.01.99//1.25b
        Fixed:
             1. Problems with working scrollbars - fixed
             2. Problems with Drawing Checkboxes,Buttons - fixed
        //02.02.1999//v 1.26b
             1. Control for Refreshing Nodes StateIndex
                Added in TreeOptions: totRefreshChildren,totRefreshParents
                Added NewEvent - OnRefreshstate - for dynamic control -
                (Thanks Dave Brewer)
             2. Drawing Images from ImageList together
                with Lines, Buttons, ButtonStates
                (Thanks Maria Luiza -Prolink Tecnologia - Dados )
         //03.02.1999 // 1.27
             1. Added IntegralHeightItem - for set integralheight of Items
             2. Added OnGetIntegralHeight For dynamic setting item height
             3. Added WordWrap Property - for wraping words in props col
             Fixed bugs:
             a)Little bug - after Assigning item of TreeView - Integral height Lost -
               Fixed
             b) On Sizing of TreeView - invalid Paint - Fixed
             c) Incorrect Drawing Titles - Fixed
          //08.02.1999//2.01
             1.Removed ShowHeaders, WordWrap - added in TreeOptions-totshowheaders,
               totwordwrap
             2.Added SetItemHeight,GetItemHeight - functions for set and get
               integral height item
             3.Fully Customized!-Added Customize and about functions,options,
             dialogs and events, and properties Editor
           //10.02.1999//2.12
             1. Improved IntegralHeight of item - fithout flickering
             2. version HotTrack - without requiring ComCtl 4.7+
             3. version ToolTips - without requiring ComCtl 4.7+
             4. version AutoExpand - without requiring ComCtl 4.7+
             5 New Events: OnSelectedChanging, OnSelectedChanged
             6. Added International resources for TreeEditor
           //24.02//2.13
            Added BorderStyle Property
            Added Ctl3D property
            Added totDrawSplit option to TreeOptions
          //25.02//3.1
            Remove flickering on Hottrack
            Add New Styles: ExplorerBar,SectionsList
            Changed for Style TreeEditor
            Small bag in TreeEditor removed - editing node properties
          //09.03  /3.2
            Added inplace ImageList - for improved speed and future use
            Drawing of logic elements - partially transparent
            Added Transparent Mode for
             a) Drawing elements of Imagelist - drawed partially transparent with surface color
             b) Drawing StateButtons
           Note: Expanded, Collapsed and NonChild Buttons not drawed transparent
           Added Support Blend color for selected Node
           Added Support SelectedIndex, ImageIndex
         //11.03 //3.3 - Powered, Improved, Optimized
           Great Optimization resources:
           Replaced Properties ButonChecked etc ->
           ButtonCheckedIndex etc.
           Improved use of internal Imagelist - one for Selectedindex, State, Imageindex;
           improved speed of drawing, reduced usage resources, simplified and Universal usage
           of graphic resources.
           On Delphi4 reduce Outltree.DCU - 20Kb, TreeEdit - 6Kb
           Changed TreeEdit for effective working with editing OutTV
           Added Drag'n'Drop for Tree and Listview in TreeEdit
         //14.03 //3.5
           Drawing Background Wallpapers
           Improve TreeEditor with added possibilities
           Now You can : Loading and Saving Control Templates, added to Design and runtime menu
           Reworked ExplorerBar style functionality
           Added Header color property
         //20.03.1999/3.51
         Fixed: drawind Background after editing -
         //10.04.99 - 4.0 (TCustomFlyTreeView)
         Multicolumn Treeview
         - Different fetching modes: Virtual, Semi-virtual(for more info - read below)
         - New event OnGetNodeAttributes  for custom coloring node;
         - Improve Properties Editor - for edit Columns(you can improve TTreeColumn class for your needs)
         - Added very needed function for perations with nodes:
           ExchangeNodes(Node1, Node2: TTreeNode);
         //06.05.99 - 1.25 (TCustomFlyTreeView)
         Added scroll bar support (Mouse and KeyBoard)
         Added FirstColumn (Node text) editing functionality
         Improved Logic functions
         Some replacements for functions
         improved Flat feature - create non 3-d view
         Add Horizontal ScrollBar Support - you can add more columns!
         Improved speed of drawing
         Added utility function ConvertOptions for converting checklistbox string to integer
         //10.05.99-1.27
         Added support for drag-drop
         //15.05.99 - 1.272
         Added property SelectedTextColor;
         Added DottedStyle  for drawinf dotted outlines
         //10.06-20.07 v2.x- using New technology base on RapidTree
         21.07 - 2.04 Creating new technology of drawing wallpapers - smart drawing
         without creating 'big' or large bitmaps
         22.07-03.08 - 2.17
         Now based on Improved RapidTree (derived from ExGrid)
         Improved work of inplace iditors
         Removed some 'Flicker' effects
         Improved operations with dragging columns and fetching datas
         Hiding/showing columns
         11.08 - v 2.2
         Reworked FlyTree Editor (for Customization)
         25.08 - 2.5
          Drag'n'Drop Support
          Multiselect Drag'n'Drop
          AutoScroll on drag
          Resolved scroll bar operating
         12-22.09.99 - 2.65
           Some minor improvements, bug fixes, corrections
           Improved Tooltips support for each cell in tree
         22.09-01.10.1999 - 3.0
         - Now TTreeColumns and TFlyNodes have version indenpendent
           streaming systems - add new properties you don't loose your data
         - Added Bitmap drawing support for Columns-
         - Added properties:Margin,ImageIndex,Spacing,Layout
           functionality of drawing like in TSpeedButton
         - Added ClickableColumns property for allow click headers of tree
         - Added OnColumnClick event for occurs click on column header
         - Corrected Dragging column operating (drag position drawed after mouse
           moving instead mousedown)
         - Added full support for RightToleft Alignment for MiddleEast
         - some bugs fixed
         _________________________________________________
       17.10.99 - v 3.2
         - Added new style of inplace editor - etsCheckBox for editing
         boolean values
         - Replaced and imporved drag'n'drop mechanism (drowing of drag line)
        17.09.99 - 3.21
          Some bugs fixed, some operations improved
        20.12.99 - 3.41b1
          Some memory leaks removed
        05.02.2000 - 3.45
          Added some Load/Save/Import/export functions-
          For TTreeColumn added EditMask and PasswordChar properties
        05.02.2000 - 3.47
          Improved selection mechanism/multiselect/drag'n'drop
          Some incorrectness fixed
        07.02.2000 - 4.0
        Included PropertiesTree
        Improved Properties Editor - for convenient use
        Improved drawing of cells
        Optimized size of streaming image of FlyTree (very)
        24.02.2000 - 4.1
        Drawing after columns empty/continuable column (like in TlistView (vsreport style))
        New events added:
          OnColumnWidthChanged;
          OnColumnWidthChanging;
          OnRowHeightChanged;
          OnRowHeightChanging;
        Improved work with TProperties tree and TreeEditor
        Removed bug for unchnages some properties after customize
        Fixed bug in TreeEditor - unsave default properties
       Added :
          LineColor property
          FixedLineColor property
          FixedColAsButton property
          FixedRowAsButton property
          AssignTo function for copying all properties of control
          Possibility for resizing fixed columns
    28.02.2000:
      Fixed incorrection on draw ttsExplorerBar, ttsSectionsList styles
    09.03.2000//4.5 - see more in rapid.pas(or .int) - now more faster!!! - on Huge arrays more than 20000 - speed increased more than 2 times!!!
    23.03.2000:4.51
       added:
          procedure SaveImagesToFile(const Filename : string);
          procedure LoadImagesFromFile(const Filename : string);
          Now can load collections of images at design/runtime
    - for following versions see Raptree unit
    20.07.2000 - 5.54
       In designTime problem with images - solved, improved Images mechanism
       Some minor corrections  
    01.08.2000 - 5.6
       Added RightClickSelect
       Improved Selection technique
       Some flickers removed 
    13.08.2000 5.7
      - improved speed of add/insert nodes
      - improved selection mechannism and RightClickSelect functionality corrected
      - selection mechanism adjusted to standard selection technique of MSTreeView
    15.08.00 -5.71
      - corrected GetfirstSelectednode, GetNextSelected ...etc methods   
    17.08.00 5.72
      - corrected clearing nodes at design time and in Customize Dialog
    29.08.00 5.8
    - improved work with with inplace editors
    - RTFDrawing feature as depend from OS replaced by HTMLDrawing - independent function,
    - some minor corrections and improvements
    20.09.2000 - 5.9
    - Improvements on fetch data,
    - Easy of use TFlyNode.Cells[] array for virtual fetch data
    - Corrected drawing column headers
    25.09.2000 - 6.0
    - Added new property OutlineStyle,
    - Node you can draw outlines as in standard TreeView, Explorer, Excel outline styles
    - Reconstruction of Fetch data mechanism - centralize fetching,
    - for use Node.Cells[] in OnGetNodeData event use DirectAccessToCells:=true
    - corrected bug with draw extra-width text with center and right alignment
    16.10.2000, v 6.1
    - Added features for more simplified access to columns -
      - to TTreeColumn - VisibleIndex, determine index of column in visible columns
      - to TTreeColumns - VisibleColumn for list visible columns
    26.10.2000 - 6.2
      Improved addition nodes technique, incresed speed
      Some memory optimizations
    20.11.2000 6.5
      Added TitleColor, TitleFont properties to TTreeColumnclass
      Improved storage usage.
      Added forgotten
         property OnColumnWidthChanged;
         property OnColumnWidthChanging;
         property OnRowHeightChanged;
         property OnRowHeightChanging;
     20.12.00 7.0
       - Reworked runtime properties management, now not refers to Dsgnintf.pas
       - Optimized customize Dialog- you can change row heights and col widths, more convenient  
       - Optimized Tooltips management
     15.01.2001 - 7.1
       - added to Inplace editor SizeGrip (dropdowns sizable at runtime)
       - added to Column - DropDownsizable property for allowing user resize dropdowns at runtime
       - fix problem - exception on close form with opened dropdown
    20.02.2001 7.2
       Some corrections
       Add possibility to fill Cells array at design time

 /*****************************************************************/}
{
   First of all, thank you for registering of the TCustomFlyTreeView
   package. I hope you will enjoy these components and you
   will find them useful.

   YOU MAY use the components and classes from this unit in any your
   (or your company's) FREEWARE/SHAREWARE or COMMERCIAL application.

   YOU MAY derive your own components based on components from
   this unit as you like, but ONLY with UNREGISTERED version
   of TCustomFlyTreeView and if someone else will decide to use it they
   will have to register TCustomFlyTreeView too.

   YOU MAY NOT DISTRIBUTE REGISTERED VERSION OF TCustomFlyTreeView.
   IT WILL BE VIOLATION OF INTERNATIONAL COPYRIGHT LAWS.

   And after all please respect my copyrigt, hours of hard
   work I spent on these components and YOURSELF.


   COMPILING THE SHAREWARE vs REGISTERED , DELPHI vs C++ BUILDER VERSION
   ---------------------------------------------------------------------
   This code contains both the shareware and registered, and both
   Borland Delphi and Borland C++ Builder versions of the TCustomFlyTreeView.

   To compile the registered version please make sure the following line
   is included below (in DFS.INC):

    {define Registered}

//All distributed source code versions should have this line by default.
//You don't have to remove anything manually to decrease application size.


{$I DFS.inc}


interface


uses Windows, Classes, {$ifdef DFS_COMPILER_3_UP}IsLists,{$endif}
     {$ifdef DFS_COMPILER_4_UP} ImgList, {$endif}
     Controls, Stdctrls, Forms, Graphics, Messages, SysUtils, {$IFNDEF DONTCUSTOMIZE} Menus,{$ENDIF} {ComCtrls,}
     Comctrls, Raptree, finplace, treecoll, Exgrid, Dialogs;

 {$R flytree}


type
   EOutlineTreeError = class(EXception);
   {$ifndef DFS_COMPILER_3_UP}
    TisList = TList;
   {$endif}
   TWallpaperStyle = (wpNone,wpCenter,wpStretch,wpTile);


   TTreePoint = record
   Node : TFlyNode;
   Column : integer;
   end;

   TWallpaper = class(TPersistent)
      private
         FBitmap   : TBitmap;
         //FFullBitmap : TBitmap;
         FStyle    : TWallpaperStyle;
         FOnChange : TNotifyEvent;
         procedure SetBitmap(Value: TBitmap);
         procedure SetStyle(Value: TWallpaperStyle);
      protected
      public
         constructor Create;//Creates and initializes a TWallPaper instance.
         destructor Destroy; override;//Destroys an instance of TWallPaper.
         procedure Assign(Source: TPersistent); override;//Discards any current property information and replaces it with the information from the Source.
         //procedure Paint(ahandle : Hwnd; aDC: HDC; X,Y : longint; PartRect: TRect; Color: TColor);//Renders the image of the wallpaper.
         procedure DrawWallPaper(DstCanvas : TCanvas; X,Y : longint; PartRect, FullRect : TRect; Color: TColor);//Drawing Wallpaper object to specified device context and Rectangle
         property  OnChange: TNotifyEvent read FOnChange write FOnChange;//Occurs when the wallpaper has just changed.
      published
         property  Bitmap: TBitmap read FBitmap write SetBitmap;//Designates a bitmap that is drawn for the for wallpaper.
         property  Style: TWallpaperStyle read FStyle write SetStyle;//Specifies the style for drawing wallpaper.
   end;

   {$IFNDEF DONTCUSTOMIZE}
   TCustomizePopupMenu = class;
   {$ENDIF}

   TRefreshMode = (trmRefreshByChild, trmRefreshByParent);
   TFetchMode = (tfmVirtual, tfmSemiVirtual);
   TTreeOption=(totPopupOnclick, totRefreshChilds, totRefreshParents, totExtendedLogic, totNonSelectInplaceEditText, totMonitorTyping);
   TTreeOptions = set of TTreeOption;
   TTreeStyle = (ttsNormal,ttsExplorerBar, ttsSectionsList);


   TCustomizeEvent = TNotifyEvent;
   TRefreshStateEvent = procedure(Node: TFlyNode; Mode : TRefreshMode; var AllowRefresh: Boolean ) of object;
   TStateChangingEvent = procedure(Node: TFlyNode; var AllowChange: Boolean ) of object;
   TStateChangeEvent = procedure(Node: TFlyNode; Oldindex : integer) of object;

   //inplace
   TTreeGetNodeDataEvent = procedure(Node: TFlyNode; Column : integer; Var aData : string;var PwdChar: boolean;Var MaxLength : integer ) of object;
   TTreeValidateNodeDataEvent = procedure(Node: TFlyNode; Column : integer; var aData : string; var Cancel : Boolean) of object;
   TTreeGetNodeAttributesEvent = procedure(Node: TFlyNode; Column : integer; aFont : TFont; var BackColor : TColor; Var Alignment : TAlignment) of object;
   TTreeEditButtonClickEvent = procedure(Node: TFlyNode; Column : integer) of object;
   //integral height
   //TGetIntegralHeightItemEvent = procedure(Node: TFlyNode; Var aHeight : integer) of object;

   TTreeIsReadOnlyNodeEvent = procedure(Node: TFlyNode; Column : integer; var aReadOnly : boolean) of object;
   TTreeGetPicklistEvent = procedure(Node: TFlyNode; Column : integer; var aPickList : Tstrings) of object;
   TTreeGetEditStyleEvent= procedure(Node: TFlyNode; Column : integer; Var aEditStyle : TEditStyle) of object;
   TTreeSelChangingEvent = procedure(OldNode, NewNode : TFlyNode; var AllowChange : boolean) of Object;
   TTreeSelChangedEvent = procedure(OldNode,NewNode : TFlyNode) of Object;
   TTreeColumnClickEvent = procedure(aCol, aRow : integer; var Down : boolean) of object;


   TTreeColumn = class;
   {$ifdef DFS_COMPILER_3_UP}
   IColumnAdapter = interface
     ['{7C106825-E864-11D3-86A2-00E04CAAC9BF}']
     procedure ReferenceColumn(Column: TTreeColumn);
     procedure Releasecolumn;
   end;
   {$ENDIF}
   TCustomFlyTreeView = class;
   TTreeColumns = class;

   TButtonLayout = (blGlyphLeft, blGlyphRight, blGlyphTop, blGlyphBottom);
   TButtonState = (bsUp, bsDisabled, bsDown, bsExclusive);

   TTreeColumnValue = (tcFont, tcColor);{, tcImageIndex, tcMargin, tcSpacing,
    tcLayout, tcPickList, tcReadOnly, tcFetchMode, tcPrompt, tcEditStyle, tcAlignment, tcWidth, tcVisble, tcCaption);}
   TTreeColumnValues = set of TTreeColumnValue;

   TTreeColumn = class(TTreeCollection)
      private
         {$ifdef DFS_COMPILER_3_UP}
         FColumnAdapter     : IColumnAdapter;
         {$ENDIF}
         FAssignedValues    : TTreeColumnValues;
         FTitleFont         : TFont;
         FTitleColor        : TColor;
         FFlags             : integer;
         FNumeric           : Boolean;
         FTag               : integer;
         FAutoFit, FDown              : boolean;
         FVAlign            : TISVertAlign;
         FOrder             : integer;
         //FstructFlag        : boolean;//indicate structure column
         Fcolumns           : TTreeColumns;
         FFetchMode         : TFetchMode;
         FVisible           : Boolean;
         FAlign             : TAlignment;
         FWidth             : integer;
         FEditStyle         : TEditStyle;
         FPrompt, FDefValue : string;
         FPickList          : TStringlist;
         FFixed             : boolean;
         FReadOnly          : boolean;
         FImageIndex        : integer;
         FLayout            : TButtonLayout;
         FSpacing           : Integer;
         FMargin            : Integer;
         FPasswordChar : Char;//new
         FSizeGrip : Boolean;
         //
         //FBackgroundColor : TColor;
         //FForegroundColor : TColor;
         FEditMask : string;
         //image support
         procedure SetDown(Value : Boolean);
         procedure SetImageIndex(Value : integer);
         procedure SetMargin(Value: Integer);
         procedure SetLayout(Value: TButtonLayout);
         procedure SetSpacing(Value: Integer);

         procedure SetWidth(aWidth : integer);
         procedure SetAlign(aAlign : TAlignment);
         procedure SetPrompt(aPrompt : string);
         procedure SetDefValue(aDefValue : string);
         procedure SetStrings(aStrings : TStrings);
         function GetStrings : TStrings;
         procedure SetVisible(aVisible : Boolean);
         procedure SetEditStyle(aEditStyle : TEditStyle);
         procedure SetFetchMode(aFetchMode : TFetchMode);
         procedure SetReadOnly(aReadOnly : Boolean);
         procedure SetEditMask(Value : string);
         procedure SetPasswordChar(Value: Char);
         function GetVisibleIndex : integer;

         procedure SetTitleFont(Value : TFont);
         function IsTitleFontStored : Boolean;
         procedure TitleFontChanged(Sender: TObject);
         procedure SetTitleColor(Value : TColor);
         function IsTitleColorStored : Boolean;
         procedure SetVAlign(const Value : TIsVertAlign);
         {$ifdef DFS_COMPILER_3_UP}
         procedure SetColumnAdapter(const Value : IColumnAdapter);
         {$ENDIF}
         procedure SetAutoFit(Value : Boolean);
      protected
         function InternalGetClass(aClassname : String) : TTreeCollectionClass; override;
      public
         constructor Create(aOwner: TTreeCollection);override;
         destructor Destroy; override;
         procedure Assign(Source: TPersistent); override;//Discards any current property information and replaces it with the information from the Source.
         {$ifdef DFS_COMPILER_3_UP}
         property ColumnAdapter : IColumnAdapter read FColumnAdapter write SetColumnAdapter;
         {$ENDIF}
         property Columns : TTreeColumns read FColumns;//Lists the Columns that appear in the tree control.
         property Down : boolean read FDown write SetDown;
         property Numeric : boolean read FNumeric write FNumeric;
         property Tag : integer read FTag write FTag;
         property VisibleIndex : integer read GetVisibleIndex;
         Property Flags : integer read FFlags write FFlags;
         property OrdinalPosition : integer read FOrder;
         //new 25/7/2
         function CalcOptimalColumnWidth : integer;
      published
         // new 25/7/2
         property AutoFit : Boolean read FAutoFit write SetAutoFit default False;
         //new 8/3/2
         property VertAlign : TISVertAlign read FVAlign write SetVAlign default tvaCenter;
         //new - 15/01/2001
         property DropDownSizable : Boolean Read FSizeGrip Write FSizeGrip default True;
         property TitleFont : TFont read FTitleFont Write SetTitleFont stored IsTitleFontStored;
         property TitleColor : TColor read FTitleColor write SetTitleColor stored IsTitleColorStored;
         property ImageIndex : integer read FImageIndex write SetImageIndex default -1;
         property Margin: Integer read FMargin write SetMargin default -1;
         property Spacing: Integer read FSpacing write SetSpacing default 4;
         property Layout: TButtonLayout read FLayout write SetLayout default blGlyphLeft;
         property PickList : TStrings read GetStrings write SetStrings;//A list of values that the user can select for the column.
         property ReadOnly : Boolean read FreadOnly write SetReadOnly default False;//Determines whether data displayed in the column is editable.
         property FetchMode : TFetchMode read FFetchMode write SetFetchMode default tfmSemiVirtual;//Determines type of fetchingdatas for column.
         property EditStyle : TEditStyle read FeditStyle write SetEditStyle;//Determines whether and how the user can input values for the column.
         property Prompt : string read FPrompt write Setprompt;//Specifies Prompt string for empty cells
         property Alignment : TAlignment read FAlign write SetAlign default taLeftJustify;//Specifies how text is aligned within the column.
         property Width : integer read FWidth write SetWidth default DefColWidth;//The width of the column.
         property DefaultValue : string read FDefValue write SetDefValue;//Specifies Default value for input datas in empty cells
         property Fixed : boolean read FFixed write FFixed default False;// not supported
         property Visible : boolean read FVisible write SetVisible default True;//Specifies whether the column is visible in the tree.
         property Caption;//Specifies the text that appears at the top of the column.
         property EditMask : String read FEditMask write SetEditMask;
         property PasswordChar : Char read FPasswordChar write SetPasswordChar default #0;
   end;


   TTreeColumns = class(TTreeCollection)
      private
         FTree           : TCustomFlyTreeView;
         FColumnClass    : TTreeCollectionClass;
         FVisibleColList : TISList;//List of Visible Columns
         function GetVisibleCount : integer;
         function GetVisibleColumn(Index : integer) : TTreeColumn;
         //function GetColumnRect(index : integer) : TRect;
         procedure SetColumn(Index : integer; value : TTreeColumn);
         function GetColumn(index : integer) : TTreeColumn;
      protected
         procedure Update(Item: TTreeCollection); override;
         //class management for columns
         function InternalGetClass(aClassname : String) : TTreeCollectionClass; override;
         function GetColumnClass : TTreeCollectionClass;
         procedure SetColumnClass(Value : TTreeCollectionClass);
      public
         function IsList : Boolean; override;
         constructor Create(aOwner: TCustomFlyTreeView);{$ifdef DFS_COMPILER_4_UP} reintroduce; {$endif}
         destructor Destroy; override;
         function GetTree : TCustomFlyTreeView;
         function Add(aCaption,AClassName : string): TTreeCollectionClass; //new 04/05/2001
         procedure Assign(Source: TPersistent); override;    //Discards any current property information and replaces it with the information from the Source.
         Property VisibleCount : integer read GetVisibleCount;//Indicates the number of visible columns in the grid.
         procedure DeleteItem(Item : TTreeColumn);//Deletes item from Columns collection
         property ColumnClass : TTreeCollectionClass read GetColumnClass write SetColumnClass;//Initializes a TTreeColumns object with specified class.
         property Column[index : integer] : TTreeColumn read GetColumn write SetColumn; default;//Lists the columns in the collection
         property VisibleColumn[index : integer] : TTreeColumn read GetVisibleColumn;//Lists the visible columns in the collection
   end;

   TCustomFlyTreeView = class(TCustomRapidTree)
      private
         { Private declarations }

         FStoreStructureCol: integer;   // CEDR 08.10.02 - to save/restore StructureCol after hide/show/move columns

         //TreeColumns management
         //FCanvas : TCanvas;
         //FDACells : boolean;
         FCreatedFrom : TCustomFlyTreeView;

         FCellClick : boolean;
         FClickableColumns : Boolean;
         FClickedCol : TTreeColumn;
         FUpdated                   : boolean;//indicate structure column
         FWallXOffset, FWallYOffset : Longint;
         OldTop, OldLeft            : longint;
         FExpFlag                   : boolean;//for recognizng expand and collaps key
         FColumns                   : TTreeColumns;
         TmpFont1, TmpFont2         : TFont;
         //inplace
         {IFNDEF DFS_COMPILER_4_UP}
         FCanvas                    : TCanvas;
         {endif}
         //tooltip
         Fdestroy                   : boolean; //
         FWallpaper                 : TWallpaper;//wallpaper site
         {$IFDEF DFS_COMPILER_4_UP}
           Fimagelist : TCustomImagelist;
         {$ELSE}
         Fimagelist                 : TImagelist;
         {$ENDIF}
         //FTimerMode: TTimerMode;
         //FSizedColumn               : integer;
         FVoffset, FHoffset         : integer;
         Fstyle                     : TTreeStyle;
         //FStageColor : TColor;
         //FToolTipPause : integer;
         FCustomizable              : boolean;
         FcustomizeMenustring       : string;
         {$IFNDEF DONTCUSTOMIZE}
         FCustomMenu                : TCustomizePopupMenu;
         {$ENDIF}
         //Fcursor                    : Hcursor;
         FInplaceEdit               : TFlyInplaceEdit;
         FEditedNode                : TFlyNode;
         FEditedCol                 : integer;
         //FEditorMode                : boolean;
         FClickKey                  : TshortCut;
         //FLineVisible               : boolean;
         //FnewSize                   : integer;
         //FLineDC                    : HDC;
         FFlat                      : Boolean;
         FTreeOptions               : TTreeOptions;
         FMouseIn                   : Boolean;
         //FExpandedNode              : TFlyNode;
         FintegralHeightItem        : integer;
         fOnMouseLeave              : TNotifyEvent;
         fOnMouseEnter              : TNotifyEvent;


         FOnColumnClick             : TTreeColumnClickEvent;
         FonGetNodeData             : TTreeGetNodeDataEvent;
         FonValidateNodeData        : TTreeValidateNodeDataEvent;
         FOnGetNodeAttributes       : TTreeGetNodeAttributesEvent;
         FonEditButtonClick         : TTreeEditButtonClickEvent;
         FonIsReadOnlyNode          : TTreeIsReadOnlyNodeEvent;
         FonGetPicklist             : TTreeGetPicklistEvent;
         FonGetEditStyle            : TTreeGetEditStyleEvent;
         FonSelectedChanged         : TTreeSelChangedEvent;
         FonSelectedChanging        : TTreeSelChangingEvent;
         FOnBeforeCustomize         : TCustomizeEvent;
         FOnAfterCustomize          : TCustomizeEvent;
         FonBeforeApply             : TCustomizeEvent;
         FonAfterApply              : TCustomizeEvent;

         FonStateChanging           : TStateChangingEvent;
         FonStateChange             : TStateChangeEvent;
         FOnRefreshState            : TRefreshStateEvent;

         FButtonDblChecked           : integer;
         FButtonGrayedDblChecked     : integer;
         FButtonChecked             : integer;
         FButtonUnChecked           : integer;
         FButtonGrayedChecked       : integer;
         FButtonGrayedUnChecked     : integer;
         FButtonOptioned            : integer;
         FButtonUnOptioned          : integer;
         FButtonGrayedOptioned      : integer;
         FButtonGrayedUnOptioned      : integer;
         FButtonCollapsed           : integer;
         FButtonExpanded            : integer;
         FButtonNonChild            : integer;

         //FBackgroundColor :  TColor;
         FSelBackgroundColor        : TColor;
         FSelTextColor              : TColor;


         //FFntChanged                : boolean;//special flags
         FNodeAttrsChange           : boolean;
         //DblClick
         FClickNode : TFlyNode;
         FDoubleClick : Boolean;
         procedure WMTimer(var Msg: TWMTimer); message WM_TIMER;

         procedure FontChanged(Sender : TObject);

         procedure SetFlat(Value : Boolean);
         procedure RedrawBorder (const Clip: HRGN);
//         procedure EnumerateColumns;//enumerating Columns

         procedure  SetButtonChecked(aValue : integer);
         procedure  SetButtonUnChecked(aValue : integer);
         procedure  SetButtonOptioned(aValue : integer);
         procedure  SetButtonUnOptioned(aValue : integer);
         procedure  SetButtonCollapsed(aValue : integer);
         procedure  SetButtonExpanded(aValue : integer);
         procedure  SetButtonNonChild(aValue : integer);

         procedure SetButtonDblChecked(aValue : integer);//
         procedure SetButtonGrayedDblChecked(aValue : integer);//
         procedure SetButtonGrayedOptioned(aValue : integer);//
//         procedure SetButtonGrayedUnOptioned(aValue : integer);//
         procedure  SetButtonGrayedChecked(aValue : integer);//
         procedure  SetButtonGrayedUnChecked(aValue : integer);//

         procedure  SetSelBackgroundColor(aValue :TColor);
         procedure  SetSelectedTextColor(aValue :TColor);
         function GetStateIndex(const Node: TFlyNode): Integer;
         //look & feel
         procedure CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED;
         procedure aWMSetFocus(var Msg: TWMSetFocus); //message WM_SETFOCUS;
         procedure aWMKillFocus(var Msg: TWMKillFocus); //message WM_KILLFOCUS;

         procedure CMMouseEnter(var message: TMessage); message CM_MOUSEENTER;
         procedure CMMouseLeave(var message: TMessage); message CM_MOUSELEAVE;
         procedure WMNCCalcSize(var Message: TWMNCCalcSize); message WM_NCCALCSIZE;
         procedure WMNCPaint (var Message: TMessage); message WM_NCPAINT;
         procedure WMSize(var Message: TWMSize); message WM_SIZE;

         //inplace
         procedure WMChar(var Msg: TWMChar); message WM_CHAR;
         procedure WMCommand(var Message: TWMCommand); message WM_COMMAND;
         procedure WMGetDlgCode(var Msg: TWMGetDlgCode); message WM_GETDLGCODE;
         procedure WMKillFocus(var Msg: TWMKillFocus); message WM_KILLFOCUS;
         procedure WMLButtonDown(var Message: TMessage); message WM_LBUTTONDOWN;
         procedure WMSetFocus(var Msg: TWMSetFocus); message WM_SETFOCUS;
         procedure WMCancelMode(var Msg: TWMCancelMode); message WM_CANCELMODE;
         procedure CMCancelMode(var Msg: TMessage); message CM_CANCELMODE;
         procedure CMFontChanged(var Message: TMessage); message CM_FONTCHANGED;
         procedure CMWantSpecialKey(var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY;
         procedure aHideEditor;
         //procedure InvalidateEditor;
         function CreateEditor: TFlyInplaceEdit;{$ifdef DFS_COMPILER_4_UP} reintroduce; {$endif}

         //procedure UpdateText;
         function UpdateText : boolean;//new 18/6/2
         procedure ValidateText;//new 18/6/2
         //integral height items for WordWrap, Changeheight Items
         function GetImagesHeight : integer;
         function GetImagesWidth  : integer;
         procedure SetCtl3d(value : Boolean);
         function GetCtl3D : Boolean;
         procedure SetBorderStyle(Value : TBorderstyle);
         function GetborderStyle : TBorderStyle;
         //porcedures what supports Inplace editor plug
         procedure aUpdateEditor;
         procedure GetEditData(Sender : TCustomFlyInplaceEdit; var AData : String; var Pwd : Char);
         procedure ValidateData(Sender : TCustomFlyInplaceEdit; AData : String; var aCancel : boolean);
         procedure GetEditstyle(Sender : TCustomFlyInplaceEdit; var aEditstyle : TEditStyle);
         procedure GetPickList(Sender : TCustomFlyInplaceEdit; var aPickList : Tstrings);
         procedure GetReadOnly(Sender : TCustomFlyInplaceEdit;  var aReadOnly : boolean);
         procedure EditButtonClick(Sender : TCustomFlyInplaceEdit);
         procedure aHideEdit(Sender : TCustomFlyInplaceEdit);
         procedure UpdateData(Sender : TCustomFlyInplaceEdit);
         procedure UpdateEditor(Sender : TCustomFlyInplaceEdit);
         procedure GetClickKey(Sender : TCustomFlyInplaceEdit; var aKey : Word; var aShift : TShiftState);
         procedure KeyUpParent(Sender : TObject; var Key: Word; Shift: TShiftState);
         procedure KeyDownParent(Sender : TObject; var Key: Word; Shift: TShiftState);
         procedure KeyPressParent(Sender : TObject; var Key: Char);
         procedure DblClickParent(Sender : TObject);
         procedure SetImagesHeight(Value : integer);
         procedure SetImagesWidth(Value : integer);
         //background wallpaper
         procedure SetWallpaper(Value: TWallpaper);
         procedure TreeChange(Sender: TObject);
         //treecolumns
         procedure SetColumns(aColumns : TTreeColumns);

         procedure WriteColumns(Stream : TStream);
         procedure ReadColumns(Stream : TStream);
         procedure ReadMap(Reader: TReader); //29.1.2
         procedure WriteMap(Writer: TWriter);//29.1.2

         procedure TryToGetAttributes(aCanvas : TCanvas; aNode : TflyNode; AState: TExGridDrawState; aCol : Integer);
      protected
         FWriteColumns, FWriteMap : Boolean;
//         procedure DblClick; override;
//         procedure Click; override;
         function BeginColumnDrag(var Origin, Destination: Longint; const MousePt: TPoint): Boolean; override;
         function GetTreeColumnClass : TTreeCollectionClass; virtual;
         { Protected declarations }
         //procedure RecalcRowHeight(aRow, ColWidth : Integer); override;
         function GetRowHeights(Index: Longint): Integer;override;//new 11/9/1
         function SaveNodes : Boolean; override;
         function GetImages : {$IFDEF DFS_COMPILER_4_UP} TCustomImageList {$ELSE} TImagelist {$ENDIF}; override;
         //inplace
         procedure RefreshColumnsmap; virtual;
         procedure ShowEditor; override;
         procedure ShowEditorChar(Ch: Char); override;
         procedure MoveEditor(Editor : TFlyInplaceEdit; aRect : TRect); {$ifdef DFS_COMPILER_4_UP} reintroduce; {$endif}virtual;
         procedure ToggleEditor;
         procedure HideEditor; override;
         procedure UpdateEdit; override;
         procedure GetNodeAttributes(Node: TFlyNode; Column : integer; var aFont : TFont; var BackColor : TColor; Var Alignment : TAlignment); dynamic;
         procedure Loaded; override;
         procedure Paint; override;
         procedure DrawLines(aCanvas: TCanvas; aCol, aRow : integer; aRect : TRect; VertLine, HorzLine : Boolean; aLinecolor : TColor); override;
         procedure ColWidthsChanged; override;
//         procedure Updatewidths; override;
         procedure TopLeftChanged; override;
         procedure StructureColChanged(OldVal, NewVal : integer); override;

         procedure ColumnClicked(aCol, aRow : integer; var Down : boolean); virtual;

         function SelectCell(var ACol, ARow: Longint; MoveAnchor : Boolean;  Shift: TShiftState; SelWay : TSelectionWay): Boolean; override;
         procedure FocusCell(ACol, ARow: Longint; MoveAnchor : Boolean;  Shift: TShiftState; SelWay : TSelectionWay);override;
         procedure GetImage(aNode : TFlyNode; index :  integer; Image : TBitmap); override;
         //drag-drop
         procedure RowMoved(FromIndex, ToIndex: Longint); override;
         procedure ColumnMoved(FromIndex, ToIndex: Longint); override;
         procedure FillNotCellArea(aRect : Trect); override;
         function NeedToShowEditor : boolean; override;

         procedure DrawFixed(aCanvas : TCanvas; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState; Var Continue : boolean);override;
         function CheckRect(aRect : TRect) : TRect;
         procedure DrawDataNode(aCanvas : TCanvas; aNode : TFlyNode; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState; Var Continue : boolean); override;
         procedure DrawBackground(aCanvas : TCanvas; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState); override;
         procedure DrawStructureCellContents(aCanvas : TCanvas; var aRect : TRect; AState: TExGridDrawState; aCol, aRow : Longint; aNode : TFlyNode; aData : string; Valign : TISVertAlign; var aRestore : Boolean; CalcRect : boolean); override;
         procedure DrawStructureNode(aCanvas : TCanvas; aNode : TFlyNode; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState; Var Continue : boolean); override;
         procedure GetColor(aNode : TFlyNode; aCol, aRow : Longint; AState: TExGridDrawState; var aColor, aFontColor : TColor; var aChanged : boolean); override;
         function CanChange(Node: TFlyNode): Boolean; override;//rowchang
         procedure KeyDown(var Key: Word; Shift: TShiftState); override;
         procedure DefineProperties(Filer : TFiler); override;

         procedure Change(Node: TFlyNode); override;
         function CanExpand(Node: TFlyNode): Boolean; override;
         function CanCollapse(Node: TFlyNode): Boolean; override;

         procedure FixupColWidths;
         procedure Collapse(Node: TFlyNode); override;
         procedure Expand(Node: TFlyNode); override;

         function CanEditShow: Boolean; override; //
         function CreateNode(AOwner: TTreeCollection) : TFlyNode;override;//new
         //function IsCustomDrawn(Target: TCustomDrawTarget; Stage: TCustomDrawStage): Boolean;
         procedure KeyPress(var Key: Char); override;
         procedure MouseDown(Button: TMouseButton; Shift: TShiftState;
         X, Y: Integer); override;
         procedure MouseUp(Button: TMouseButton; Shift: TShiftState;
         X, Y: Integer); override;
         procedure MouseMove(Shift: TShiftState; X, Y: Integer); override;
         procedure SetTreeOptions(Value: TTreeOptions);

         //inplace
         //procedure HideEdit; override; //18/6/2
         function GetNodeData(Node: TFlyNode; ACol : Longint): string; override;
         procedure aGetEditText(Node: TFlyNode; ACol : integer; Var aData: string; var aPwdChar : boolean; Var MaxLength : integer); dynamic;
         procedure AValidateNodeData(Node: TFlyNode; ACol : integer; var aData : string; var aCancel : Boolean); dynamic;
         procedure AEditButtonClick(Node: TFlyNode; index : integer);dynamic;
         procedure AIsReadOnlyNode(Node: TFlyNode; index : integer; var aReadOnly : Boolean); virtual;
         procedure AGetPicklist(Node: TFlyNode; index : integer; var aPickList : Tstrings); virtual;
         procedure AGetEditStyle(Node: TFlyNode; index : integer; Var aEditStyle : TEditStyle); virtual;

         procedure SelectedChanged(OldNode,NewNode : TFlyNode);  dynamic;
         procedure SelectedChanging(OldNode,NewNode : TFlyNode; var AllowChange : boolean); dynamic;
         //improved logic
         function ChangeState(Node: TFlyNode; StateIndex : integer) : Boolean; override;
         procedure ToggleTo(Node : TFlyNode; NewState : integer);

         procedure SetStyle(Value : TTreeStyle);
         procedure CreateParams(var Params: TCreateParams); override;
      public
         { Public declarations }

         _ActiveX : Boolean; //for ActiveX implementation
                  //allow direct access to FCells array without firing OnGeteditText
         //property DirectAccessToCells : Boolean read FDACells write FDACells;
         Function Loadtemplate_ : Boolean;//Load image of aTree from file
         Function SaveTemplate_: Boolean;//save image of aTree to file
         function SaveImagesToFile(const Filename : string) : boolean;
         function LoadImagesFromFile(const Filename : string) : boolean;
         procedure AssignTo(Instance : TComponent);{$ifdef DFS_COMPILER_4_UP} reintroduce; {$endif}
         procedure UpdateColumns;
         constructor Create(AOwner: TComponent);override;
         destructor  Destroy;override;
         function CreateTo(aOwner : TComponent) : TCustomFlyTreeView; virtual;
         function GetCreatedFrom : TCustomFlyTreeview;// for Properties Editor
         procedure SetCreatedFrom (Value : TCustomFlyTreeview);
         procedure NodeStateRefreshParent(const Node: TFlyNode; DblClicked : Boolean);//Refreshes State of Parent of specified Node
         procedure NodeStateRefreshChildren(Node: TFlyNode; DblClicked : Boolean);//Refreshes State of Childs of specified Node
         procedure NodeStateRefreshSiblings(const Node: TFlyNode);//Refreshes State of Siblings of specified Node
         procedure NodeStateRefresh(const Node: TFlyNode);//Refreshes State of Childs,Parent and Siblings of specified Node
         procedure Toggle(Node : TFlyNode; DblClicked : Boolean); dynamic;//Toggle state of specified Node
         procedure RefreshTreeStates;//Refreshes States for all Nodes
         procedure RefreshState(Node : TFlyNode; Mode : TRefreshMode; var AllowRefresh: Boolean);//Refreshes state for specified Node in specified Mode
         procedure InvalidateCell(ACol, ARow: Longint); override;
         function CellRect(Node : TFlyNode; index : integer) : TRect;//Returns the screen coordinates of a cell for specified Node in the tree.
         function  GetVisibleIndex : integer;
         function GetLastNode : TFlyNode;
         function  GetVisiblecount : integer;
         {$IFNDEF DFS_COMPILER_4_UP}
         property Canvas: TCanvas read FCanvas;
         {$endif}
         procedure SaveTemplateToFile(const FileName: string);//Saves image ogf Tree to specified file
         procedure LoadTemplateFromFile(const FileName: string);//Load image of tree from specified file
         function GetCellAt(X,Y : integer) : TTreePoint;//Retrieves Node and Cell index for specified coordinates

         procedure AfterCustomize; dynamic;//occurs after calling Customize procedure
         procedure BeforeCustomize; dynamic;//occurs before calling Customize procedure
         procedure BeforeApply; dynamic;//occurs before clicking Apply button in properties editor
         procedure AfterApply; dynamic;//occurs after clicking Apply button in properties editor
         procedure Customize; dynamic;// procedure for custmization selected tree
         procedure SetCustomizable(Value : boolean);
         property Images;
         //property Images : {$IFDEF DFS_COMPILER_4_UP} TCustomImageList {$ELSE} TImagelist {$ENDIF}read FImagelist;//Determines internal image list associated with the tree view.
         property Columns : TTreeColumns read FColumns write SetColumns;//Lists the columns that appear in the tree control.
         //property Items;
         property ClickableColumns : Boolean read FclickableColumns write FclickableColumns default true;
         property Wallpaper: TWallpaper read FWallpaper write SetWallpaper;//Walppaper object associated with Tree control
         property ImagesHeight : integer read GetImagesHeight write SetImagesHeight;//Specifies the height of images within the image list.
         property ImagesWidth : integer read GetImagesWidth write SetImagesWidth;//Specifies the width of images within the image list.
         property Style : TTreeStyle read Fstyle write SetStyle;//Specifies the style of tree.

         property Customizable : boolean read FCustomizable write SetCustomizable;//Determines whether Tree is customizable at runtime.
         property CustomizeMenustring : string read FcustomizeMenustring write FcustomizeMenustring;//Determines Caption for customize menu caption

         property Flat : Boolean read FFlat write SetFlat stored true;//Determines whether the button has a a 3D border that provides a raised or lowered look.
         property ButtonCheckedIndex : integer read FButtonChecked write SetButtonChecked;//Specifies Index for Checked state in internal imagelist
         property ButtonUnCheckedIndex : integer read FButtonUnChecked write SetButtonUnChecked;//Specifies Index for UnChecked state in internal imagelist
         property ButtonGrayedIndex : integer read FButtonGrayedChecked write SetButtonGrayedChecked;//Specifies Index for Grayed state in internal imagelist
         property ButtonOptionedIndex : integer read FButtonOptioned write SetButtonOptioned;//Specifies Index for Optioned state in internal imagelist
         property ButtonUnOptionedIndex : integer read FButtonUnOptioned write SetButtonUnOptioned;//Specifies Index for UnOptioned state in internal imagelist
         property ButtonCollapsedIndex  : integer read FButtonCollapsed write SetButtonCollapsed;//Specifies Index for Collapsed state in internal imagelist
         property ButtonExpandedIndex : integer read FButtonExpanded write SetButtonExpanded;//Specifies Index for Expanded state in internal imagelist
         property ButtonNonChildIndex : integer read FButtonNonChild write SetButtonNonChild;//Specifies Index for Node without childrens in internal imagelist
         property ButtonDblChecked : integer read FButtonDblChecked write SetButtonDblChecked;
         property ButtonGrayedDblChecked : integer read FButtonGrayedDblChecked write SetButtonGrayedDblChecked;
         property ButtonGrayedOptioned : integer read FButtonGrayedOptioned write SetButtonGrayedOptioned;
         property ButtonGrayedUnOptioned : integer read FButtonGrayedOptioned write SetButtonGrayedOptioned;
         property ButtonGrayedUnChecked : integer read FButtonGrayedUnChecked write SetButtonGrayedUnChecked;

         property CreateFrom : TCustomFlyTreeview Read GetCreatedFrom Write SetCreatedFrom;
      published

         property ClickKey : TshortCut read FClickKey write FClickKey default VK_F2;// Determines hotkey for editing cells
         property TreeOptions : TTreeOptions read FTreeOptions write SetTreeOptions;//Specifies various display and behavioral properties of the tree.
         property SelectedBackgroundColor : TColor read FSelBackgroundColor write SetSelBackgroundColor;//Specifies the background color of the current cell.
         property SelectedTextColor : TColor read FSelTextColor write SetSelectedTextColor;//Specifies the text color of the current cell.
         { Published declarations }
         property Align;
         property Borderstyle : TBorderStyle read GetBorderStyle write SetBorderStyle;
         property Ctl3D : Boolean read GetCtl3D write SetCtl3D;
         {$ifdef DFS_DELPHI_4_UP}
         property BorderWidth;//Specifies the width of the controls border.
         {$endif}
         property DragCursor;//Indicates the image used to represent the mouse pointer when the control is being dragged.
         {$ifdef DFS_DELPHI_4_UP}
         property Anchors;
         property BiDiMode;
         property Constraints;
         property DragKind;
         property ParentBiDiMode;
         property OnEndDock;
         property OnStartDock;
         {$endif}
         property ShowHint;
         property ParentShowHint;
         property DragMode;
         property Enabled;
         property Font;
         property Indent;

         property WordWrap;
         property ParentColor default False;
         property ParentFont;
         property PopupMenu;
         property SortType;
         property TabOrder;
         property TabStop default True;
         property Visible;

         property OnChange;
         property OnChanging;
         property OnClick;
         property OnCollapsing;
         property OnCollapsed;
         property OnCompare;
         property OnDblClick;
         property OnColumnMoved;
         property OnDeletion;
         property OnStartDrag;
         property OnDragDrop;
         property OnDragOver;
         property OnEndDrag;
         property OnEnter;
         property OnExit;
         property OnExpanding;
         property OnExpanded;
         property OnKeyDown;
         property OnKeyPress;
         property OnKeyUp;
         property OnMouseDown;
         property OnMouseMove;
         property OnMouseUp;
         property OnMouseEnter:TNotifyEvent read fonmouseenter write fonmouseenter;//Occurs when the user enter the mouse pointer over a control.
         property OnMouseLeave:TNotifyEvent read fonmouseleave write fonmouseleave;//Occurs when the user leave the mouse pointer from over a control.
         property OnStateChanging : TStateChangingEvent read FonStateChanging write FonStateChanging;//Occurs when the user toggle current state of the node.
         property OnStateChange : TStateChangeEvent read FonStateChange write FonStateChange;//Occurs when the user toggle current state of the node.
         property OnRefreshState : TRefreshStateEvent read FOnRefreshState write FOnRefreshState;//Occurs when the tree refreshes state of node
         property OnGetNodeData : TTreeGetNodeDataEvent read FonGetNodeData write FonGetNodeData;//Occurs when the tree retreives data for diplaying in cell
         property OnColumnClick : TTreeColumnClickEvent read FOnColumnClick write FOnColumnClick;//occurs when users click on column header
         property OnValidateNodeData : TTreeValidateNodeDataEvent read FonValidateNodeData write FonValidateNodeData;//Occurs when the tree validating data for store in cell
         property OnEditButtonClick : TTreeEditButtonClickEvent read FonEditButtonClick write FonEditButtonClick;//Occurs when the user presses the ellipsis button in a tree column.
         property OnIsReadOnlyNode : TTreeIsReadOnlyNodeEvent read FonIsReadOnlyNode write FonIsReadOnlyNode;//Occurs when the tree retrieves readonly state for specified Node and cell
         property OnGetPicklist : TTreeGetPicklistEvent read FonGetPicklist write FonGetPicklist;//Occurs when the tree retrieves strings for filling dropdown listbox
         property OnGetEditStyle : TTreeGetEditStyleEvent read FonGetEditStyle write FonGetEditStyle;//Occurs when the tree retrieves editor style for specified Node and cell
         property OnGetNodeAttributes  : TTreeGetNodeAttributesEvent read FOnGetNodeAttributes write FOnGetNodeAttributes;//Occurs when the tree drawing attribute for drawing specified Node and cell
         property OnBeforeCustomize : TCustomizeEvent read FOnBeforeCustomize write FOnBeforeCustomize;
         property OnAfterCustomize : TCustomizeEvent read FOnAfterCustomize write FOnAfterCustomize;
         property OnBeforeApply : TCustomizeEvent read FonBeforeApply write FonBeforeApply;
         property OnAfterApply : TCustomizeEvent read FonAfterApply write FonAfterApply;
         property OnSelectedChanged : TTreeSelChangedEvent read FonSelectedChanged write FonSelectedChanged;//Occurs whenever the selection has changed from one node to another.
         property OnSelectedChanging : TTreeSelChangingEvent read FonSelectedChanging write FonSelectedChanging;//Occurs whenever the selection is about to be changed from one node to another.
   end;

     TFlyTreeView = class(TCustomFlyTreeView)
      public
         function CreateTo(aOwner : TComponent) : TCustomFlyTreeView; override;
         {$IFDEF ACTIVEX}
           property Left;
           property Top;
           property Width;
           property Height;
           property Align;
           property Anchors;
         {$ENDIF}
           property Canvas;
      published
         property ButtonSize; //new - 21/12/01
         property SmoothExpandCollapse; //new 24/09/01
         {$ifdef DFS_COMPILER_4_UP}
         property ScrollBarsStyle; //new 24/09/01
         property ScrollBarsColor; //new 24/09/01
         {$endif}


         //new 11/9/01
         property FitColumnToClientWidth;
         //new 16/06/01
         property UniqueTags;
         //new 18/01/00
         property HotTrackColor;
         property NodeSelectionStyle;
         //new 22.11.2000
         property OutlineColor;
         property OutlineStyle;
         // ole dragdrop support
         {$ifdef DFS_COMPILER_4_UP}
         property DragType;
         property OnOLEDragOver;
         property OnOLEDragDrop;
         property OnOLEGiveFeedback;
         property OnOLECompleteDrag;
         property OnOLEStartDrag;
         property OnOLESetData;

         property OnColumnWidthChanged;
         // Occurs before column width changing
         property OnColumnWidthChanging;
         // Occurs when row height has changed
         property OnRowHeightChanged;
         // Occurs before row height changing
         property OnRowHeightChanging;

         {$endif}
         property OnSelectCell;
         property OnTopLeftChanged;
         property OnEditing;
         property OnEdited;
         property RightClickSelect;
         {$IFDEF ACTIVEX}
         {$IFNDEF Registered}
         property RTFDrawing;
         {$ENDIF}
         {$ENDIF}
         property HTMLDrawing;
         //new 15.03.2000
         property FitToHeight;
         //new 24.02.2000
         property FixedRowAsButton;
         property FixedColAsButton;
         property LineColor;
         property FixedLineColor;
         property Color;
         property ParentCtl3D;
         property ClickableColumns;
         property AutoMove;
         property TransparentMode;
         //property Columns;
         property Wallpaper;
         property ImagesHeight;
         property ImagesWidth;
         property Style;
         property Customizable;
         property CustomizeMenustring;
         property ClickKey;
         property TreeOptions;
         property OnMouseEnter;
         property OnMouseLeave;
         property OnDrawCell;
         property Flat;
         property OnStateChanging;
         property OnStateChange;
         property OnRefreshState;
         property OnGetNodeData;
         property OnColumnClick;
         property OnValidateNodeData;
         property OnEditButtonClick;
         property OnIsReadOnlyNode;
         property OnGetPicklist;
         property OnGetEditStyle;
         property OnGetNodeAttributes;

         property ButtonCheckedIndex;
         property ButtonUnCheckedIndex;
         property ButtonGrayedIndex;
         property ButtonOptionedIndex;
         property ButtonUnOptionedIndex;
         property ButtonCollapsedIndex;
         property ButtonExpandedIndex;
         property ButtonNonChildIndex;

         property ButtonGrayedUnChecked;
         property ButtonDblChecked;
         property ButtonGrayedDblChecked;
         property ButtonGrayedOptioned;
         property ButtonGrayedUnOptioned;

         property SelectedTextColor;
         property SelectedBackgroundColor;
         {$IFNDEF DONTCUSTOMIZE}
         property OnBeforeCustomize;
         property OnAfterCustomize;
         property OnBeforeApply;
         property OnAfterApply;
         {$ENDIF}
         property OnSelectedChanged;
         property OnSelectedChanging;
         {$IFNDEF ACTIVEX}
         property Align;
         {$ENDIF}
         property Borderstyle;
         property Ctl3D;
         {$ifdef DFS_DELPHI_4_UP}
         property BorderWidth;
         {$endif}
         property AutoExpand;
         property HotTrack;
         property ToolTips;
         property TooltipColor;
         property ToolTipPause;
         property DragCursor;
        {$ifdef DFS_COMPILER_4_UP}
         property DoubleBuffered;
         {$IFNDEF ACTIVEX}
         property Anchors;
         property BiDiMode;
         property Constraints;
         property DragKind;
         property ParentBiDiMode;
         {$ENDIF}
         property OnEndDock;
         property OnStartDock;
         property OnMouseWheelDown;
         property OnMouseWheelUp;
         property OnMouseWheel;
         {$endif}
         property ShowHint;
         property ParentShowHint;
         property DragMode;
         property Enabled;
         property Font;

         property Indent;
         property Items;

         property OnStartDrag;
         property ParentColor default False;
         property ParentFont;
         property PopupMenu;
         property SortType;
         property TabOrder;
         property TabStop default True;
         property Visible;
         property OnChange;
         property OnChanging;
         property OnClick;
         property OnCollapsing;
         property OnCollapsed;
         property OnCompare;
         property OnDblClick;
         property OnDeletion;
         property OnDragDrop;
         property OnDragOver;
         property OnEndDrag;
         property OnEnter;
         property OnExit;
         property OnExpanding;
         property OnExpanded;
         property OnGetImageIndex;
         property OnGetSelectedIndex;
         property OnKeyDown;
         property OnKeyPress;
         property OnKeyUp;
         property OnMouseDown;
         property OnMouseMove;
         property OnMouseUp;
         property FixedCols;
         property FixedColor;
         property FixedRows;
         property GridLineWidth;
         property Options;
         property DefaultColWidth;
         property DefaultRowHeight;
         property ScrollBars;
//         property Canvas;
         //tree
         property HideSelection;
         property Showlines;
         property ShowRoot;
         property ShowButtons;
         property ShowLogic;
         property ShowImages;
         property StructureCol;
         property StatesDrawed;
         //copy/cut/paste management
         property OnPasteSelection;
         property OnCopySelection;
         property OnCutSelection;
         property OnAppendRow;

   end;

   {$IFNDEF DONTCUSTOMIZE}
   TCustomizePopupMenu = class(TPopupMenu)
      private
         List     : TISList;
         FControl : TCustomFlyTreeView;
      protected
         procedure MenuClick(Sender : TObject);
         procedure DestroyMenuItems;
      public
         constructor Create(AOwner : TComponent); override;
         destructor Destroy; override;
         procedure Popup(X, Y: Integer); override;
      published
   end;
   {$ENDIF}

//global routines
//Use PROPED_DLL to define external property editor

implementation

uses Isconst,{$IFDEF PROPED_DLL}flxsrvc,{$ENDIF}flytredt, ISHTMLDraw
{$IFNDEF Registered}, FTAbout {$ENDIF};


constructor TCustomFlyTreeView.Create(AOwner: TComponent);
var i : integer;
begin
   inherited Create(AOwner);

    FStoreStructureCol:=-1;
   //for ActiveX functionality
   {$IFDEF ACTIVEX}

   Include(FComponentStyle, csCheckPropAvail);
   {$ENDIF}
   ControlStyle := [csCaptureMouse, csClickEvents, csSetCaption, csDoubleClicks,{$ifdef DFS_COMPILER_3_UP}csReflector,{$ENDIF}csReplicatable];
   FColumns := TTreeColumns.Create(self);
   //define default
   FColumns.SetColumnClass(TTreeColumn);
   SetSaveCellExtents(false);//without saving colwidths/rowheights
   FClickKey:=VK_F2;
   FCreatedFrom :=nil;
   //for clickable columns management
   FclickableColumns:=true;
   FClickedCol:=nil;

   FColumns.Clear;
   FColumns.BeginUpdate;
   for i:=0 to ColCount-1 do
   begin
      With TTreeColumn.Create(FColumns) do
         Caption :='Column'+inttostr(i);
   end; //getClass
   FColumns.endUpdate;
   RefreshColumnsmap;
   TmpFont1 :=TFont.Create;
   TmpFont2 :=TFont.Create;
   //FColumns.FCollection.SetOwner(Self);
   {$IFNDEF DFS_COMPILER_4_UP}
   FCanvas := TControlCanvas.Create;
   TControlCanvas(FCanvas).Control := Self;
   {$endif}

   FButtonDblChecked           :=-1;
   FButtonGrayedDblChecked     :=-1;
   FButtonChecked             :=-1;
   FButtonUnChecked           :=-1;
   FButtonGrayedChecked       :=-1;
   FButtonGrayedUnChecked     :=-1;
   FButtonOptioned            :=-1;
   FButtonUnOptioned          :=-1;
   FButtonGrayedOptioned      :=-1;
   FButtonGrayedUnOptioned    :=-1;
   FButtonCollapsed  :=-1;
   FButtonExpanded :=-1;
   FButtonNonChild :=-1;

   //FBackgroundColor := clSilver;
   FselTextColor :=clwhite;
   FSelBackgroundColor := clHighlight;
   HideSelection:=false;
   //FDottedStyle := true;
   FtreeOptions:=[totRefreshChilds, totRefreshParents];
   FIntegralHeightItem:=1;
  {$IFNDEF DONTCUSTOMIZE}
   FCustomMenu:=TCustomizePopupMenu.Create(nil);
   FcustomizeMenustring:=teCustomizeMenuStr;
   {$ENDIF}

   FWallpaper := TWallpaper.Create;
   FWallpaper.OnChange := TreeChange;


   {$IFDEF DFS_COMPILER_4_UP}
    Fimagelist := TCustomImagelist.Create(Self);
   {$ELSE}
   Fimagelist := TImagelist.Create(Self);
   {$ENDIF}
   FWriteColumns := true;
   FWriteMap := true;
end;

destructor TCustomFlyTreeView.Destroy;
begin

   FDestroy := true;
   TmpFont1.Free;
   TmpFont2.Free;

   if (FInplaceEdit<> nil)  then
   begin
      FInplaceEdit.Free;
   end;

   {$IFNDEF DONTCUSTOMIZE}
   FCustomMenu.Free;
   {$ENDIF}

   if FWallpaper<> nil then FWallpaper.Free;
   inherited Images :=nil;

   if Fimagelist<> nil then
      Fimagelist.Free;
   Fimagelist:=nil;
   {$IFNDEF DFS_COMPILER_4_UP}
   FCanvas.Free;
   {$endif}

   FColumns.Clear;
   FColumns.Free;
   inherited Destroy;

end;


procedure TCustomFlyTreeView.CreateParams(var Params: TCreateParams);
begin
   inherited CreateParams(Params);
end;

procedure TCustomFlyTreeView.FocusCell(ACol, ARow: Longint; MoveAnchor : Boolean;  Shift: TShiftState; SelWay : TSelectionWay);
var OldNode, NewNode : TFlyNode;
    Allow : boolean;
begin
   OldNode:=GetNodeatRow(Row);
   NewNode:=GetNodeatRow(aRow);
   Allow := true;

   if (OldNode<>nil)or(NewNode<>nil) then        // CEDR 09.10.02 to prevent trivial calls
     SelectedChanging(OldNode, NewNode, Allow);
   if Allow then
   begin
     inherited;
     //if NewNode <> nil then
     //  NewNode.Selected := True;

     if (OldNode<>nil)or(NewNode<>nil) then      // CEDR 09.10.02 to prevent trivial calls
       SelectedChanged(OldNode,NewNode);//19/10/01
   end;
end;

function TCustomFlyTreeView.SelectCell(var ACol, ARow: Longint; MoveAnchor : Boolean;  Shift: TShiftState; SelWay : TSelectionWay): Boolean;
var OldNode, NewNode : TFlyNode;
begin
   //Result:=true;
   //SelectedChanging(OldNode, NewNode, Result);
   OldNode:=GetNodeatRow(Row);
   NewNode:=GetNodeatRow(aRow);

//   if Result then
//   begin
      Result:=inherited SelectCell(aCol, aRow, MoveAnchor, Shift, SelWay);
      if Result then
      begin
         //New ->16/01/2001
//         OldNode.Selected:=False;
//         NewNode.Selected :=True;
         //SelectedChanged(OldNode,NewNode);//19/10/01
         if (Style <> ttsNormal)
          then
         begin
            if OldNode<> nil then
             if OldNode.level = 0 then invalidateFullRow(Row);
            if Newnode <> nil then
             if newNode.level = 0 then invalidateFullRow(aRow);
         end;
      end;
   //end;
end;

{function TCustomFlyTreeView.SelectCell(var ACol, ARow: Longint; MoveAnchor : Boolean): Boolean;
var OldNode, NewNode : TFlyNode;
begin
   Result:=inherited SelectCell(aCol,aRow, MoveAnchor);
   if Result then
   begin
      OldNode:=GetNodeatRow(Row);
      NewNode:=GetNodeatRow(aRow);
      SelectedChanging(OldNode, NewNode, Result);
      if Result then
      begin
         //New ->16/01/2001
//         OldNode.Selected:=False;
//         NewNode.Selected :=True;
         SelectedChanged(OldNode,NewNode);
         if (Style <> ttsNormal)
          then
         begin
            if OldNode<> nil then
             if OldNode.level = 0 then invalidateFullRow(Row);
            if Newnode <> nil then
             if newNode.level = 0 then invalidateFullRow(aRow);
         end;
      end;
   end;
end;
}

procedure TCustomFlyTreeView.StructureColChanged(OldVal, NewVal : integer);
begin
    RefreshColumnsmap;
end;

procedure TCustomFlyTreeView.ColWidthsChanged;
var i : integer;
begin
   if FColumns.Updatecount>0 then exit;
   inherited ColWidthsChanged;

   if (csLoading in ComponentState) or (csreading in ComponentState) then exit;
   if FColumns.Count =0 then exit;

   with FColumns do
   begin
      if FColumns.Ftree<>nil then
         if not FColumns.Ftree.FUpdated then
            For i:=0 to FVisibleColList.Count-1 do
               TTreeColumn(FVisibleColList[i]).FWidth := Colwidths[i];
   end;
   UpdateEdit;

end;



procedure TCustomFlyTreeView.TopLeftChanged;
var i : Longint;
begin
   inherited;
   if TopRow<>OldTop then
   begin
      if TopRow > OldTop then
      begin
         for i:=OldTop to TopRow-1 do
            FWallYOffset:=FWallYOffset-(RowHeights[i]+GridLineWidth);
      end
      else
      begin
         for i:=TopRow to OldTop-1 do
            FWallYOffset:=FWallYOffset+(RowHeights[i]+GridLineWidth);
      end;

      OldTop:=TopRow;
   end;

   if LeftCol<>OldLeft then
   begin
      if LeftCol > OldLeft then
      begin
         for i:=OldLeft to LeftCol-1 do
            FWallXOffset:=FWallXOffset-ColWidths[i];
      end
      else
      begin
         for i:=LeftCol to OldLeft-1 do
            FWallXOffset:=FWallXOffset+ColWidths[i];
      end;

      OldLeft :=LeftCol;
   end;

   if (FInplaceEdit <> nil) and Editormode then
   begin
      //if EditorMode then
         //FInplaceEdit.UpdateLoc(inherited CellRect(Col, Row), Scrolling);//new 4/5/2
      FInplaceEdit.UpdateLoc(CellRect(GetNodeAtRow(Row), Col), Scrolling);//new 4/5/2   
      {UpdateEdit; //new 19/3/2

      if goAlwaysShowEditor in Options then
        ShowEditor;
      }
        //MoveEditor(FInplaceEdit, inherited CellRect(Col, Row));
        //FInplaceEdit.UpdateLoc(inherited CellRect(Col, Row));
   end;
      //FInplaceEdit.UpdateLoc(inherited CellRect(Col, Row));
      //MoveEditor(FInplaceEdit, inherited CellRect(Col, Row));

end;

procedure TCustomFlyTreeView.Loaded;
var aStructCol : integer;
begin
   inherited Loaded;
//   Enumeratecolumns;
   aStructCol := StructureCol;
   //InitColumnsMap;
   UpdateColumns;
   StructureCol := aStructCol;
   RefreshTreeStates;

   TreeChange(self);

   //relative coords for 'smart' background
   FWallYOffset :=0;
   FWallXOffset :=0;

   OldTop :=Fixedrows;
   OldLeft :=FixedCols;
   UpdateScrollRange;

   // CEDR 05.10.02 moved from TRapidTree.Loaded because FVisibleColList must be set before expanding
   if csDesigning in ComponentState then
      FullExpand;

end;

procedure  TCustomFlyTreeView.SetButtonChecked(aValue : integer);
begin
   if FButtonChecked<>aValue then
   begin
      FButtonChecked := aValue;
      invalidate;
   end;
end;

procedure  TCustomFlyTreeView.SetButtonUnChecked(aValue : integer);
begin
   if FButtonUnChecked<>aValue then
   begin
      FButtonUnChecked := aValue;
      invalidate;
   end;
end;

procedure  TCustomFlyTreeView.SetButtonOptioned(aValue : integer);
begin
   if FButtonOptioned<>aValue then
   begin
      FButtonOptioned := aValue;
      invalidate;
   end;
end;

procedure  TCustomFlyTreeView.SetButtonUnOptioned(aValue : integer);
begin
   if FButtonUnOptioned<>aValue then
   begin
      FButtonUnOptioned := aValue;
      invalidate;
   end;
end;

procedure TCustomFlyTreeView.SetButtonDblChecked(aValue : integer);//
begin
   if FButtonDblChecked<>aValue then
   begin
      FButtonDblChecked := aValue;
      invalidate;
   end;
end;

procedure TCustomFlyTreeView.SetButtonGrayedDblChecked(aValue : integer);//
begin
   if FButtonGrayedDblChecked<>aValue then
   begin
      FButtonGrayedDblChecked := aValue;
      invalidate;
   end;
end;

procedure TCustomFlyTreeView.SetButtonGrayedOptioned(aValue : integer);//
begin
   if FButtonGrayedOptioned<>aValue then
   begin
      FButtonGrayedOptioned := aValue;
      invalidate;
   end;
end;

{    // CEDR 06.10.02 - rem'ed to disable warning
procedure TCustomFlyTreeView.SetButtonGrayedUnOptioned(aValue : integer);//
begin
   if FButtonGrayedUnOptioned<>aValue then
   begin
      FButtonGrayedUnOptioned := aValue;
      invalidate;
   end;
end;
}

procedure TCustomFlyTreeView.SetButtonGrayedChecked(aValue : integer);//
begin
   if FButtonGrayedChecked<>aValue then
   begin
      FButtonGrayedChecked := aValue;
      invalidate;
   end;
end;

procedure TCustomFlyTreeView.SetButtonGrayedUnChecked(aValue : integer);//
begin
   if FButtonGrayedUnChecked<>aValue then
   begin
      FButtonGrayedUnChecked := aValue;
      invalidate;
   end;

end;


procedure  TCustomFlyTreeView.SetButtonCollapsed(aValue : integer);
begin
   if FButtonCollapsed<>aValue then
   begin
      FButtonCollapsed := aValue;
      invalidate;
   end;
end;

procedure  TCustomFlyTreeView.SetButtonExpanded(aValue : integer);
begin
   if FButtonExpanded<>aValue then
   begin
      FButtonExpanded := aValue;
      invalidate;
   end;
end;

procedure  TCustomFlyTreeView.SetButtonNonChild(aValue : integer);
begin
   if FButtonNonChild<>aValue then
   begin
      FButtonNonChild := aValue;
      invalidate;
   end;
end;


procedure  TCustomFlyTreeView.SetSelectedTextColor(aValue :TColor);
begin
   if FSelTextColor<> aValue then
   begin
      FSelTextColor := aValue;
      Invalidate;
   end;

end;

procedure  TCustomFlyTreeView.SetSelBackgroundColor(aValue :TColor);
begin
   if FSelBackgroundColor<> aValue then
   begin
      FSelBackgroundColor:=aValue;
      Invalidate;
   end;
end;



procedure TCustomFlyTreeView.SetTreeOptions(Value: TTreeOptions);
begin
   if Value<>FTreeOptions then
   begin
      //validating
      FTreeOptions:=Value;
      //Recreatewnd;
      Invalidate;
   end;

end;


function TCustomFlyTreeView.GetCellAt(X,Y : integer) : TTreePoint;
var
   aCoord : TGridCoord;
begin
   aCoord := MouseCoord(X,Y);
   Result.Node := GetNodeAtRow(aCoord.Y);
   Result.Column := aCoord.X;
end;

procedure TCustomFlyTreeView.InvalidateCell(ACol, ARow: Longint);//new 5/4/2
var aNode : TFlyNode;
begin
  aNode := GetNodeatRow(aRow);
  if aNode <> nil then
  begin
    if (aNode.Level=0) and (Style <> ttsNormal) then
      InvalidateFullRow(aRow)
    else inherited;
  end
  else
    inherited;
end;

function TCustomFlyTreeView.CellRect(Node : TFlyNode; index : integer) : TRect;
var aRect : TRect;

begin
   Result := Node.DisplayRect(true);
   aRect := inherited CellRect(index, 0);
   if index <> StructureCol then
      Result.Left := aRect.Left;

   Result.right := aRect.right;

end;

function TCustomFlyTreeView.GetStateIndex(const Node: TFlyNode): Integer;
var
   i                                   : Integer;
   nodeChild                           : TFlyNode;
   intStateIndex                       : Integer;
   bolNone, bolAll, bolSome, BolOption : Boolean;
begin
   Result := STATE_UNCHECKED;
   bolNone := FALSE;
   bolAll := FALSE;
   bolSome := FALSE;
   BolOption := false;
   intStateIndex := STATE_UNCHECKED;
   for i := 0 to Node.Count-1 do begin
      nodeChild := Node.Item[i];
      if NOT(bolNone) then bolNone :=(nodeChild.StateIndex=STATE_UNCHECKED);
      if NOT(bolAll) then bolAll :=(nodeChild.StateIndex=STATE_CHECKED);
      if NOT(bolSome) then bolSome :=(nodeChild.StateIndex=STATE_GRAYEDCHECKED);
      if not(BolOption) then BolOption:=(nodeChild.StateIndex=STATE_OPTIONED);
      if (bolSome) OR (bolNone AND bolAll) then break;

   end;
   Case Node.StateIndex of
      STATE_DOUBLECHECKED, STATE_UNCHECKED,STATE_CHECKED,STATE_GRAYEDCHECKED:
      begin
         if (bolSome) OR (bolNone AND bolAll) then
          intStateIndex := STATE_GRAYEDCHECKED
         else if (bolNone) then
          intStateIndex := STATE_UNCHECKED
         else if (bolAll) then intStateIndex := STATE_CHECKED;
         //if BolOption then intStateIndex := STATE_GRAYED;
         //else intStateIndex := 0;
         Result := intStateIndex;
      end;
      STATE_OPTIONED,STATE_UNOPTIONED:
      begin
         if BolOption then Result := STATE_OPTIONED else Result := STATE_UNOPTIONED;
      end;
   end;
end;


function TCustomFlyTreeView.ChangeState(Node: TFlyNode; StateIndex : integer) : Boolean;
var oldIndex : integer;
begin
   Result :=true;
   //OldIndex := Node.stateIndex;
   if not (csLoading in Componentstate) then
   begin
    if Assigned(FOnStateChanging) then FOnStateChanging(Node, Result);
    if Result then
    begin
      OldIndex        := Node.stateIndex;
      inherited Changestate(Node, StateIndex);
      if Assigned(FOnStateChange) then FOnStateChange(Node, OldIndex);
    end;
  end
  else
    inherited Changestate(Node, StateIndex);
end;

procedure TCustomFlyTreeView.NodeStateRefreshSiblings(const Node: TFlyNode);
var aNode : TFlyNode;
begin
   if Node.StateIndex = STATE_OPTIONED then
   begin
      // 
      aNode := Node;
      while Anode<>nil do
      begin
         if (Anode <> Node) and (Anode.StateIndex = STATE_OPTIONED) then
         begin
            //Anode.StateIndex := STATE_UNOPTIONED;
            if ChangeState(ANode, STATE_UNOPTIONED) then
              NodeStateRefreshChildren(Anode, False);//FDoubleClick);
         end;
         Anode:=Anode.GetNextSibling;
      end;
      // 
      aNode := Node;
      while Anode<>nil do
      begin
         if (Anode <> Node) and (Anode.StateIndex = STATE_OPTIONED) then
         begin
            //Anode.StateIndex := STATE_UNOPTIONED;
            if ChangeState(ANode, STATE_UNOPTIONED) then
              NodeStateRefreshChildren(Anode, False);//FDoubleClick);
         end;
         Anode:=Anode.GetPrevSibling;
      end;
   end;

end;


procedure TCustomFlyTreeView.RefreshState(Node : TFlyNode; Mode : TRefreshMode; var AllowRefresh: Boolean);
begin
   //trmRefreshByChild, trmRefreshByParent
   if Assigned(FOnRefreshState) then FOnRefreshState(Node,Mode,AllowRefresh);
end;

// efficiently updates the state of a nodes ansestors
procedure TCustomFlyTreeView.NodeStateRefreshParent(const Node: TFlyNode; DblClicked : Boolean);
  function AllChecked(aNode : TFlyNode) : Boolean;
  var NextNode, MNode : TFlyNode;
  begin
      NextNode := aNode.GetNextSibling;
      MNode := aNode.GetNext;
      Result := False;
      While (NextNode <> MNode) do
      begin
         Result := MNode.StateIndex in [STATE_GRAYEDCHECKED,STATE_CHECKED, STATE_DOUBLECHECKED, STATE_GRAYEDDOUBLECHECKED];
         if not Result then Break;
         MNode := MNode.GetNext;
      end;
  end;
  function OneChecked(aNode : TFlyNode) : Boolean;
  var i : integer;
  begin
    if aNode.Count  = 0 then
        Result := False
      else
      begin
        Result := False;
        for i:=0 to aNode.Count-1 do
        begin
          if OneChecked(aNode[i]) or (aNode[i].StateIndex in [STATE_GRAYEDCHECKED,STATE_CHECKED]) then
          begin
             Result := True;
             Break;
          end;
        end;
      end;
  end;
  function OneUnChecked(aNode : TFlyNode) : Boolean;
  var i : integer;
  begin
    if aNode.Count  = 0 then
        Result := False
      else
      begin
        Result := False;
        for i:=0 to aNode.Count-1 do
        begin
          if OneUnChecked(aNode[i]) or (aNode[i].StateIndex in [STATE_GRAYEDUNCHECKED,STATE_UNCHECKED]) then
          begin
             Result := True;
             Break;
          end;
        end;
      end;
  end;
  function SomeChecked(aNode : TFlyNode) : Boolean;
  var i : integer;
  begin
    if aNode.Count  = 0 then
        Result := False
      else
      begin
        Result := False;
        for i:=0 to aNode.Count-1 do
        begin
          if SomeChecked(aNode[i]) or (aNode[i].StateIndex in [STATE_GRAYEDCHECKED,STATE_CHECKED, STATE_DOUBLECHECKED, STATE_GRAYEDDOUBLECHECKED]) then
          begin
             Result := True;
             Break;
          end;
        end;
      end;
  end;

  function AllGrayed(aNode : TFlyNode) : Boolean;
  var NextNode, MNode : TFlyNode;
  begin
      NextNode := aNode.GetNextSibling;
      MNode := aNode.GetNext;
      Result := False;
      While (NextNode <> MNode) do
      begin
         Result := MNode.StateIndex = STATE_GRAYEDUNCHECKED;
         if not Result then Break;
         MNode := MNode.GetNext;
      end;
  end;

  {function AllGrayed(aNode : TFlyNode) : Boolean;
   var i : integer;
   begin
      if aNode.Count  = 0 then
        Result := False
      else
      begin
        Result := True;
        for i:=0 to aNode.Count-1 do
        begin
          if (Not AllGrayed(aNode[i])) and (aNode[i].StateIndex <> STATE_GRAYEDUNCHECKED) then
          begin
             Result :=False;
             Break;
          end;
        end;
      end;
   end;
  }
var
   nodeParent    : TFlyNode;
   intStateIndex : Integer;
   allow         : Boolean;
begin
   nodeParent := Node.Parent;
   if (nodeParent = nil) then exit;
   //if CheckBox
   allow:=totRefreshParents in FTreeOptions;   //totRefreshChilds,totRefreshParents
   //fired Event
   RefreshState(NodeParent,trmRefreshByChild,allow);
   if Allow then
   begin
      if totExtendedLogic in FtreeOptions then
      begin
//       if (Node.StateIndex <> nodeParent.StateIndex) and
//       (NodeParent.StateIndex in [STATE_UNCHECKED, STATE_CHECKED, STATE_GRAYEDCHECKED, STATE_GRAYEDUNCHECKED,STATE_DOUBLECHECKED,STATE_GRAYEDDOUBLECHECKED]) then
//       begin
         intStateIndex := GetStateIndex(nodeParent);
         if AllGrayed(nodeParent) then
         begin
           if NodeParent.StateIndex = STATE_CHECKED then
             IntStateIndex := STATE_GRAYEDCHECKED
           else if NodeParent.StateIndex = STATE_GRAYEDCHECKED then
             IntStateIndex := STATE_GRAYEDCHECKED //changed 9.08 -  STATE_CHECKED 
           else if NodeParent.StateIndex = STATE_UNCHECKED then
             IntStateIndex := STATE_GRAYEDUNCHECKED
           else if NodeParent.StateIndex = STATE_GRAYEDUNCHECKED then
             IntStateIndex := STATE_GRAYEDUNCHECKED;

         end
         else if Allchecked(NodeParent) then
         begin
           if NodeParent.StateIndex in [STATE_CHECKED,STATE_GRAYEDCHECKED] then
              IntStateIndex := STATE_DOUBLECHECKED
           else IntStateIndex := NodeParent.StateIndex;
         {else if OneChecked(NodeParent) and SomeChecked(NodeParent) then
           IntStateIndex := STATE_CHECKED
         else if OneUnchecked(NodeParent) and SomeChecked(NodeParent) then
           IntStateIndex := STATE_UNCHECKED;
         }
         end
         else if SomeChecked(NodeParent) then
         begin
          if (NodeParent.StateIndex in [{STATE_DOUBLECHECKED,} STATE_UNCHECKED, STATE_GRAYEDUNCHECKED])then
           IntStateIndex := STATE_UNCHECKED
          else if (NodeParent.StateIndex in [STATE_DOUBLECHECKED, STATE_CHECKED, STATE_GRAYEDCHECKED]) then
           IntStateIndex := STATE_CHECKED;
//          else if NodeParent.StateIndex = STATE_DOUBLECHECKED then
//           IntStateIndex := STATE_GRAYEDCHECKED;
         end;

//         if (intStateIndex <> nodeParent.StateIndex) then
//         begin
            //nodeParent.StateIndex := intStateIndex;
            ChangeState(nodeParent, intStateIndex);
//         end;
//        end;
      end
      else
      begin
       if (Node.StateIndex <> nodeParent.StateIndex) and
       ((nodeParent.Stateindex >= STATE_UNCHECKED) and (nodeParent.Stateindex <= STATE_GRAYEDCHECKED)) then
       begin
         intStateIndex := GetStateIndex(nodeParent);
         if (intStateIndex <> nodeParent.StateIndex) then begin
            //nodeParent.StateIndex := intStateIndex;
            ChangeState(nodeParent, intStateIndex);
         end;
       end
       else if (nodeParent.Stateindex = STATE_UNOPTIONED) and (Node.Stateindex = STATE_OPTIONED) then
       begin
            //nodeParent.Stateindex :=   STATE_OPTIONED;
            if ChangeState(nodeParent, STATE_OPTIONED) then
              NodeStateRefreshSiblings(nodeParent);
       end;
      end;
   end;
   NodeStateRefreshParent(nodeParent, False);//FDoubleClick);
end;

// updates the state of a node and its ansestors
procedure TCustomFlyTreeView.NodeStateRefresh(const Node: TFlyNode);
var
   intStateIndex : Integer;
begin
   if (nil = Node) then exit;
   intStateIndex := GetStateIndex(Node);
   if (Node.StateIndex = STATE_UNOPTIONED) or (Node.StateIndex = STATE_OPTIONED) then
      if (intStateIndex <> Node.StateIndex) then begin
         if ChangeState(Node, intStateIndex) then
            NodeStateRefresh(Node.Parent);
      end;
end;

// updates the state of a nodes descendents
procedure TCustomFlyTreeView.NodeStateRefreshChildren(Node: TFlyNode; DblClicked : Boolean);
var
   nodeChild : TFlyNode;
   i         : Integer;
   allow     : Boolean;
begin
   //if CheckBox
   //fired Event
   with Node do
   begin
      case StateIndex of
         STATE_DOUBLECHECKED:
           if (totExtendedLogic in FTreeOptions) and DblClicked then
            for i := 0 to Count-1 do
            begin
               nodeChild:= Item[i];
               allow    :=totRefreshChilds in FTreeOptions;//init before
               RefreshState(nodeChild,trmRefreshByParent,allow);
               if Allow then
               begin
                  if not (nodeChild.StateIndex in [STATE_UNOPTIONED, STATE_OPTIONED]) then
                  begin
                    if NodeChild.Count > 0 then
                     ChangeState(nodeChild, STATE_DOUBLECHECKED)
                    else
                     ChangeState(nodeChild, STATE_CHECKED);

                  end;
               end;
               NodeStateRefreshChildren(nodeChild, False);//FDoubleClick);
            end;

         STATE_UNCHECKED, STATE_CHECKED:
            for i := 0 to Count-1 do
            begin
               nodeChild:= Item[i];
               allow    :=totRefreshChilds in FTreeOptions;//init before
               RefreshState(nodeChild,trmRefreshByParent,allow);
               if Allow then
               begin
                  if not (nodeChild.StateIndex in [STATE_UNOPTIONED, STATE_OPTIONED]) then
                     ChangeState(nodeChild, StateIndex);
                  //nodeChild.StateIndex := StateIndex;
               end;
               NodeStateRefreshChildren(nodeChild, False);//FDoubleClick);
            end;
         STATE_UNOPTIONED :
            for i := 0 to Count-1 do begin
               nodeChild := Item[i];//   
               if nodeChild.StateIndex = STATE_OPTIONED then
                  if ChangeState(nodeChild, StateIndex) then
                     NodeStateRefreshChildren(nodeChild, False);//FDoubleClick);
            end;
      end; //case
   end; //with
end;



procedure TCustomFlyTreeView.ToggleTo(Node : TFlyNode; NewState : integer);
begin
   if ChangeState(Node, NewState) then
   begin
     NodeStateRefreshSiblings(Node);
     NodeStateRefreshChildren(Node, False);//FDoubleClick);
     NodeStateRefreshParent(Node, False);//FDoubleClick);
   end;
end;

//---------------------------------------------
procedure TCustomFlyTreeView.Toggle(Node : TFlyNode; DblClicked : Boolean);
var
   trvSender   : TCustomFlyTreeView;
   AllowChange : boolean;

   function SomeCheckedOrDChecked : Boolean;
   var i : integer;
       All, Some : boolean;
   begin
      All := true;
      Some := False;
      Result := False;
      for i:=0 to Node.Count-1 do
      begin
          if (Node[i].StateIndex in [STATE_CHECKED, STATE_DOUBLECHECKED]) then
            Some := True
          else
            All :=False;
          if Some and (not All) then
          begin
             Result :=True;
             Break;
          end;
      end;
   end;
   function AllChecked(aNode : TFlyNode) : Boolean;
   var NextNode, MNode : TFlyNode;
   begin
      NextNode := aNode.GetNextSibling;
      MNode := aNode.GetNext;
      Result := False;
      While (NextNode <> MNode) do
      begin
         Result := MNode.StateIndex in [STATE_GRAYEDCHECKED,STATE_CHECKED, STATE_DOUBLECHECKED, STATE_GRAYEDDOUBLECHECKED];
         if not Result then Break;
         MNode := MNode.GetNext;
      end;
   end;

   function AllCheckedOrDChecked : Boolean;
   var i : integer;
   begin
      if Node.Count  = 0 then
        Result := False
      else
      begin
        Result := True;
        for i:=0 to Node.Count-1 do
        begin
          if not (Node[i].StateIndex in [STATE_CHECKED, STATE_DOUBLECHECKED]) then
          begin
             Result :=False;
             Break;
          end;
        end;
      end;
   end;

   function AllUnchecked : Boolean;
   var i : integer;
   begin
      if Node.Count = 0 then
        Result := (Node.StateIndex in [STATE_UNCHECKED, STATE_GRAYEDUNCHECKED])
      else
      begin
        Result := true;
        for i:=0 to Node.Count-1 do
        begin
          if not (Node[i].StateIndex in [STATE_UNCHECKED, STATE_GRAYEDUNCHECKED]) then
          begin
             Result :=False;
             Break;
          end;
        end;
       end;
     end;
     procedure ChangeStateOfDescs(aNode : TFlyNode; State : integer);
     var i : integer;
     begin
        for i:=0 to aNode.Count-1 do
        begin
           ToggleTo(aNode[i], State);
           if aNode[i].Count > 0 then
              ChangeStateOfDescs(aNode[i], State);
        end;
     end;
begin
   trvSender := Self;
   AllowChange:=true;
      with trvSender do
      begin
         if (nil = Node) then exit;
         if Assigned(FOnStateChanging) then FOnStateChanging(Node, AllowChange);
         if (AllowChange) and (Node.StateIndex<>STATE_EMPTY) then
         begin
            if (totExtendedLogic in FTreeOptions) and (AllChecked(Node) and (Node.Count>0)) then
            begin
             if DblClicked then
             begin
                if AllChecked(Node) then
                begin
                   ChangeState(Node,STATE_GRAYEDUNCHECKED);
                   ChangeStateOfDescs(Node, STATE_GRAYEDUNCHECKED);
                   //if Node.Parent <> nil then
                   //   ChangeState(Node.Parent,STATE_GRAYEDCHECKED);

                end;
             end
             else
             begin
               if Node.StateIndex <> STATE_DOUBLECHECKED then
                 ChangeState(Node, STATE_DOUBLECHECKED)
               else
                 ChangeState(Node, STATE_UNCHECKED);
             end;
            end
            else
            case Node.StateIndex of
               STATE_OPTIONED : ChangeState(Node, STATE_UNOPTIONED);
               STATE_UNOPTIONED: ChangeState(Node, STATE_OPTIONED);
               STATE_CHECKED:
                 if (totExtendedLogic in FTreeOptions) then
                 begin
                   if DblClicked then
                   begin
                     ChangeStateOfDescs(Node, STATE_GRAYEDCHECKED);
                     if Node.Count > 0  then
                       ChangeState(Node,STATE_DOUBLECHECKED);
                   end
                   else
                   begin
                    //if SomeCheckedOrDChecked then ??
                      ChangeState(Node, STATE_UNCHECKED)
                   end;
                 end
                 else
                   ChangeState(Node, 1+((Node.StateIndex) mod 2));

               STATE_UNCHECKED:
                 if totExtendedLogic in FTreeOptions then
                 begin
                   if DblClicked then
                   begin
                     ChangeStateOfDescs(Node, STATE_GRAYEDCHECKED);
                     if Node.Count > 0  then
                       ChangeState(Node,STATE_DOUBLECHECKED)
                     else
                       ChangeState(Node,STATE_CHECKED);
                   end
                   else
                   begin
                    if AllCheckedOrDChecked then
                     ChangeState(Node, STATE_DOUBLECHECKED)
                    else if SomeCheckedOrDChecked then
                     ChangeState(Node, STATE_CHECKED)
                    else
                     ChangeState(Node, STATE_CHECKED); //that here to do?
                   end;
                 end
                 else
                   ChangeState(Node, 1+((Node.StateIndex) mod 2));

               STATE_DOUBLECHECKED:
                 if totExtendedLogic in FTreeOptions then
//                   if DblClicked then
//                   begin
//                     if AllChecked(Node) then
//                       ChangeStateOfDescs(Node, STATE_GRAYEDUNCHECKED);
//                   end
//                   else
//                   begin
                    if AllUnchecked then
                     ChangeState(Node, STATE_GRAYEDUNCHECKED)
                    else
                      ChangeState(Node, STATE_UNCHECKED);
//                   end;
                   //else
                   //begin
                     //if Node.Count = 0 then
                     //   ChangeState(Node, STATE_UNCHECKED)
                     //else if AllCheckedOrDChecked then
                     //   ChangeState(Node, STATE_GRAYEDCHECKED);
                   //end;
               STATE_GRAYEDUNCHECKED:
               if totExtendedLogic in FTreeOptions then
               begin
                 if DblClicked then
                 begin
                  ChangeStateOfDescs(Node, STATE_GRAYEDCHECKED);
                  if Node.Count > 0  then
                    ChangeState(Node, STATE_DOUBLECHECKED)
                  else ChangeState(Node,STATE_GRAYEDCHECKED)
                 end
                 else
                  ChangeState(Node, STATE_GRAYEDCHECKED);
                 //else
                 // ChangeState(Node, STATE_UNCHECKED);
               end
               else
                 ChangeState(Node, STATE_CHECKED);
               STATE_GRAYEDCHECKED:
                 if totExtendedLogic in FTreeOptions then
                 begin
                   if DblClicked then
                   begin
                     ChangeStateOfDescs(Node, STATE_GRAYEDCHECKED);
                     if Node.Count > 0  then
                       ChangeState(Node, STATE_DOUBLECHECKED)
                     else
                       ChangeState(Node, STATE_GRAYEDUNCHECKED);
                 end
                 else
                 begin
                     //if Node.Count = 0 then
                     if SomeCheckedOrDChecked then
                      ChangeState(Node, STATE_UNCHECKED)
                     else if AllUnchecked then
                       ChangeState(Node, STATE_GRAYEDUNCHECKED)
                     else
                       ChangeState(Node, STATE_GRAYEDUNCHECKED);
                     //else if AllCheckedOrDChecked then
                     //  ChangeState(Node, STATE_DOUBLECHECKED)
                     //else if SomeCheckedOrDChecked then
                     //  ChangeState(Node, STATE_CHECKED);
                   end;
                 end
                 else
                   ChangeState(Node, 1+((Node.StateIndex) mod 2));
//            else
//              ChangeState(Node, 1+((Node.StateIndex) mod 2));
            end;
//            if HandleAllocated then
//                InvalidateCell(StructureCol, Node.Getrow);

            if Node.StateIndex in [STATE_OPTIONED,STATE_UNOPTIONED] then
              NodeStateRefreshSiblings(Node);
            //----------------------------------------------
            if totRefreshChilds in FtreeOptions then
              NodeStateRefreshChildren(Node, DblClicked);
            if totrefreshParents in FtreeOptions then
              NodeStateRefreshParent(Node, DblClicked);
         end;
      end;
end;

// 
procedure TCustomFlyTreeView.RefreshTreeStates;
var
   aNode : TFlyNode;
begin
   if items.count>0 then
   begin
      aNode := items.GetFirstNode;
      //-----------------------------------------------------
      while aNode.Getnext <> nil do aNode := aNode.Getnext;
      while aNode <> nil do
      begin
         NodeStateRefreshSiblings(ANode);
         NodeStateRefreshChildren(ANode, False);//FDoubleClick);
         NodeStateRefreshParent(ANode, False);//FDoubleClick);
         aNode := aNode.GetPrev;
      end;
   end;
end;
//-------------------------------------------------------------------------------
// Look & Feel Eveents
//------------------------------------------------------------------------------
procedure TCustomFlyTreeView.SetCtl3d(value : Boolean);
begin
   inherited Ctl3d:=Value;
   invalidate;
end;

function TCustomFlyTreeView.GetCtl3D : Boolean;
begin
   Result := inherited Ctl3d;
end;

procedure TCustomFlyTreeView.SetBorderStyle(Value : TBorderstyle);
begin
   if (Value = bsSingle) then
      FFlat:=false;
   inherited BorderStyle:=Value;
   invalidate;
end;

function TCustomFlyTreeView.GetborderStyle : TBorderStyle;
begin
   Result := inherited BorderStyle;
end;
procedure TCustomFlyTreeView.SetFlat(Value : Boolean);
begin
   if Value <> FFlat then begin
      FFlat                := Value;
      inherited Ctl3D      := not Value;
      inherited BorderStyle:=TBorderStyle(not Value);
      Invalidate;
   end;
end;
procedure TCustomFlyTreeView.CMMouseEnter(var message: TMessage);
begin
   Inherited;
   if FFLat then
   begin
      FMouseIn:=true;
      RedrawBorder (0);
   end;
   if assigned(fonmouseenter) then fonmouseenter(self);

end;

procedure TCustomFlyTreeView.CMMouseLeave(var message: TMessage);
begin
   if FFLat then
   begin
      FMouseIn:=false;
      RedrawBorder (0);
   end;
   Inherited;
   if assigned(fonmouseleave) then fonmouseleave(self);


end;

procedure TCustomFlyTreeView.aWMSetFocus(var Msg: TWMSetFocus);
begin
   if not(csDesigning in ComponentState) then
      RedrawBorder(0);
end;

procedure TCustomFlyTreeView.aWMKillFocus(var Msg: TWMKillFocus);
begin
  // if not(csDesigning in ComponentState) then
      if FInplaceEdit<> nil then
         if (Msg.FocusedWnd <> FInplaceEdit.Handle) then
            RedrawBorder (0);

end;

{procedure TCustomFlyTreeView.Updatewidths;
begin
  if HandleAllocated then
  with FColumns do
  begin
   if (VisibleCount=1) and (Updatecount=0) and (FVisibleColList<> nil) then
   begin
      Colcount := 1;
      Colwidths[0]:=ClientWidth;
      TTreeColumn(FVisibleColList[0]).FWidth := ColWidths[0];
   end;
  end;

end;
}
procedure TCustomFlyTreeView.WMSize(var Message: TWMSize);
begin
  inherited;
  if FFlat then
     RedrawBorder(0);
  //Invalidate;
end;


procedure TCustomFlyTreeView.WMNCPaint (var Message: TMessage);
begin
   inherited;
   if FFlat then
     RedrawBorder (LongWord(Message.WParam)); // CEDR 20.09.02 - range
end;

procedure TCustomFlyTreeView.CMEnabledChanged (var Message: TMessage);
const
   EnableColors: array[Boolean] of TColor= (clBtnFace, clWindow);
begin
   inherited;
   Color := EnableColors[Enabled];
end;

procedure TCustomFlyTreeView.WMNCCalcSize (var Message: TWMNCCalcSize);
begin
   inherited;
   if FFlat then
   begin
      InflateRect (Message.CalcSize_Params^.rgrc[0], -2, -2);
      Message.CalcValidRects:=true;
   end;



end;

procedure TCustomFlyTreeView.GetColor(aNode : TFlyNode; aCol, aRow : Longint; AState: TExGridDrawState; var aColor, aFontColor : TColor; var aChanged : boolean);
begin
   aChanged:=false;
   if FNodeAttrsChange then exit;
   if aNode<>nil then
      if (Style <> ttsNormal) and (aNode.level = 0) {and not (gdfixed in aState)} then
      begin
        if (Style <> ttsSectionsList) and (aNode.Focused and aNode.Selected) then//if (aNode.Focused ) then //new 5/4/2
        begin
          aChanged :=  (not (gdNoUseSelColor in aState)) and (aColor <> SelectedBackgroundColor);
          if aChanged then
          begin
            aColor := SelectedBackgroundColor;
            aFontColor := Selectedtextcolor;
          end;
        end
        else
        begin
         aChanged := aColor <> FixedColor;
         if aChanged then aColor := FixedColor;
        end;
      end
      else
         if (aNode.DropTarget or ((aNode.Selected or (gdClicked in aState)) and ((aCol>=Selection.Left) and (aCol<=Selection.Right)){and (PointInGridRect(aCol, aRow, Selection))})) then
         begin
          if (not HideSelection) or (HideSelection and (GetFocus = Self.Handle)) then
           begin
            aChanged := (not (gdNoUseSelColor in aState)) and ((aColor <> FSelBackgroundColor) or (aFontColor <> FSelTextColor));
            if aChanged then
            begin
               aColor    :=FSelBackgroundColor;
               aFontColor:= FSelTextColor;
            end;
           end
           else if ((aRow < FixedRows) and not FixedRowAsButton) or ((aCol < FixedCols) and not FixedColAsButton) then
           begin
            aChanged := (aColor <> Self.Color) or (aFontColor<> Self.Font.Color);
            if aChanged then
            begin
              aColor    := Self.Color;
              aFontColor:= Self.Font.Color;
            end;
           end;
         end
         else if ((aRow < FixedRows) and not FixedRowAsButton) or ((aCol < FixedCols) and not FixedColAsButton) then
         begin
            aChanged := (aColor <> Self.Color) or (aFontColor<> Self.Font.Color);
            if aChanged then
            begin
               aColor    := Self.Color;
               aFontColor:= Self.Font.Color;
            end;
         end
         else
         begin
           aColor    := Self.Color;
           aFontColor:= Self.Font.Color;
         end;

end;

procedure TCustomFlyTreeView.GetImage(aNode : TFlyNode; index :  integer; Image : TBitmap);
begin
   with Fimagelist do
      case Index of
         ord(obEmpty): if FButtonNonChild<>-1 then GetBitmap(FButtonNonChild, image) else inherited;
         ord(obUnchecked): if FButtonUnChecked<>-1 then GetBitmap(FButtonUnChecked, image) else inherited;
         ord(obChecked): if FButtonChecked<>-1 then GetBitmap(FButtonChecked, image) else inherited;
         ord(obGrayedChecked): if FButtonGrayedChecked<>-1 then GetBitmap(FButtonGrayedChecked, image) else inherited;
         ord(obOptioned): if FButtonOptioned<>-1 then GetBitmap(FButtonOptioned, image) else inherited;
         ord(obUnoptioned): if FButtonUnOptioned<>-1 then GetBitmap(FButtonUnOptioned, image) else inherited;
         ord(obCollapsed): if FButtonCollapsed<>-1 then GetBitmap(FButtonCollapsed, image) else inherited;
         ord(obExpanded): if FButtonExpanded<>-1 then GetBitmap(FButtonExpanded, image) else inherited;

         ord(obGrayedUnchecked): if FButtonGrayedUnchecked<>-1 then GetBitmap(FButtonGrayedUnchecked, image) else inherited;
         ord(obGrayedOptioned): if FButtonGrayedOptioned<>-1 then GetBitmap(FButtonGrayedOptioned, image) else inherited;
         ord(ObGrayedUnoptioned): if FButtonGrayedUnoptioned<>-1 then GetBitmap(FButtonGrayedUnoptioned, image) else inherited;
         ord(ObDoubleChecked): if FButtonDblChecked<>-1 then GetBitmap(FButtonDblChecked, image) else inherited;
         ord(ObGrayedDoubleChecked): if FButtonGrayedDblChecked<>-1 then GetBitmap(FButtonGrayedDblChecked, image) else inherited;
      end;
end;


function TCustomFlyTreeView.GetRowHeights(Index: Longint): Integer;//new 15/1/2
var
  aNode : TFlyNode;
  aColor : TColor;
begin
  aNode := GetNodeatRow(Index);
  aColor := Canvas.Brush.Color;
  tmpfont2.Assign(Canvas.Font);
  try
   TryToGetAttributes(Canvas, aNode, [gdPrepaint], StructureCol);
   Result := inherited GetRowHeights(Index);
  finally
   if FNodeAttrsChange then
   begin
      Canvas.Font.Assign(tmpfont2);
      Canvas.Brush.Color := aColor;
   end;
   FNodeAttrsChange:=false;
  end;

end;
{
procedure TCustomFlyTreeView.RecalcRowHeight(aRow, ColWidth : Integer);
var
  aNode : TFlyNode;
begin
  aNode := GetNodeatRow(aRow);
  try
   TryToGetAttributes(Canvas, aNode, [gdPrepaint], StructureCol);
   inherited;
  finally
   if FNodeAttrsChange then
      Canvas.Font.Assign(tmpfont2);
   FNodeAttrsChange:=false;
  end;

end;
}

procedure TCustomFlyTreeView.TryToGetAttributes(aCanvas : TCanvas; aNode : TflyNode; AState: TExGridDrawState; aCol : Integer);
var
  aAlignment : TAlignment;
  aBackColor{,aFontColor} : TColor;
begin
    if Assigned(FonGetNodeAttributes) and (aNode<>nil) then
      begin
         tmpFont1.OnChange:=nil;
         FNodeAttrsChange := false;//special flag
         tmpFont1.Assign(aCanvas.Font);
         FCanvas := aCanvas;
         tmpFont1.OnChange:= FontChanged;
         tmpFont2.Assign(aCanvas.Font);
         aBackColor := aCanvas.Brush.Color;
         FNodeAttrsChange := false;

         if (not (gdNoUseSelColor in aState)) and ((aNode.Selected or (aNode = Selected)) and ((aCol=Col) or (goRowSelect in Options) or ((aNode.Level=0) and (FStyle <> ttsNormal))) ) then
         begin
           //aCanvas.Font.Color := FSelTextColor;
           //aCanvas.Brush.Color := FSelBackgroundColor;
           tmpFont1.Color := FSelTextColor;
           aBackColor := FSelBackgroundColor;
         end
         else
         begin
          //aCanvas.Font.Color := Font.Color;
          tmpFont1.Color := Font.Color;
         end;

         if (aCol>=0) and (aCol<ColCount) then  // CEDR 08.10.02
           GetNodeAttributes(aNode, aCol, tmpFont1, aBackColor, aAlignment);

         if (aBackcolor <> aCanvas.Brush.Color) then
         with aCanvas do
         begin
           Brush.Color := aBackcolor;
           FNodeAttrsChange := true;//special flag
         end;
      end;
end;

procedure TCustomFlyTreeView.DrawStructureCellContents(aCanvas : TCanvas; var aRect : TRect; AState: TExGridDrawState; aCol, aRow : Longint; aNode : TFlyNode; aData : string; Valign : TISVertAlign; var aRestore : Boolean; CalcRect : boolean);
var aColumn : TTreeColumn;
begin
  aColumn:=nil;
  if aCol < FColumns.FVisibleColList.count then
        AColumn := TTreeColumn(FColumns.FVisibleColList[aCol]);
  if aColumn <> nil then
     inherited DrawStructureCellContents(aCanvas, aRect, AState, aCol, aRow, aNode, aData, AColumn.VertAlign, aRestore, CalcRect);
end;

procedure TCustomFlyTreeView.DrawStructureNode(aCanvas : TCanvas; aNode : TFlyNode; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState; Var Continue : boolean);
var
   DrawInfo   : TExGridDI;
   aChanged : Boolean;
   aBackColor,aFontColor : TColor;
begin
   if aNode <> nil then
   try

      if ((Style<>ttsNormal) and (aNode.Level=0)) {or (goRowSelect in Options)} or (Structurecol<FixedCols) then
      begin
         if ((Style<>ttsNormal) and (aNode.Level=0)) then
         begin
          CalcDI(DrawInfo);

          with DrawInfo do
          begin
           if aCanvas = Canvas then
             aRect.Right:= Horz.GridExtent
           else
             aRect.Right:= Horz.GridBounds;
          end;
          aRect.Left := 0;
          Continue   :=false;
         end;

         aBackColor := aCanvas.Brush.Color;
         aFontcolor := aCanvas.Font.Color;

         GetColor(aNode, aCol, aRow, aState, aBackColor, aFontColor, aChanged);
         if aChanged then
         begin
            aCanvas.Brush.Color := aBackColor;
            aCanvas.Font.Color:= aFontcolor;
         end;
      end;

      TryToGetAttributes(aCanvas, aNode, aState, aCol);

      if ((Style<>ttsNormal) and (aNode.Level=0)) or ((Structurecol<FixedCols) and not FixedColAsButton) then
        DrawBackground(aCanvas, ARect,aCol,aRow,aState);

      inherited DrawStructureNode(aCanvas, aNode, aRect, aCol, aRow , AState,Continue);

      if (Style<>ttsNormal) and (aNode.Level=0) and Ctl3d then
      begin
         aRect.left:=0;
         if goHorzLine in Options then
         inc(aRect.Bottom,1); //new 20.1.2
         DrawEdge(aCanvas.handle, aRect, BDR_RAISEDOUTER, BF_BOTTOMRIGHT);
         DrawEdge(aCanvas.handle, aRect, BDR_RAISEDINNER, BF_TOPLEFT);
      end;
   finally
      if FNodeAttrsChange then
         aCanvas.Font.Assign(tmpfont2);
      FNodeAttrsChange:=false;
   end;
end;

procedure TCustomFlyTreeView.DrawLines(aCanvas: TCanvas; aCol, aRow : integer; aRect : TRect; VertLine, HorzLine : Boolean; aLinecolor : TColor);
var aNode : TFlyNode;
begin
   if FStyle=ttsNormal then
      inherited
   else
   begin
      aNode := GetNodeAtRow(arow);
      if aNode<>nil then
        if aNode.Level > 0 then
          inherited;
   end;
end;

procedure TCustomFlyTreeView.DrawBackground(aCanvas : TCanvas; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState);
begin
   if ((not Wallpaper.Bitmap.empty) and not (gdfixed in aState))
   and  ((gdPrepaint in aState) or not ((gdSelected in aState){(aRow = Row)} and ((aCol=Col) or (goRowSelect in Options)))) then
   begin //FWallYOffset
      if not (goHorzLine in Options) then
      begin
        inc(aRect.Bottom,GridLineWidth);
        if aRow <> Fixedrows then
          Dec(aRect.Top,GridLineWidth);
      end;
      if not (goVertLine in Options) then inflateRect(aRect,1,0);
         WallPaper.DrawWallPaper(Canvas, FWallXOffset, FWallYOffset,aRect, ClientRect, Color);
         //Wallpaper.Paint(handle, Canvas.handle, FWallXOffset, FWallYOffset, aRect, Color);

   end
   else
   begin
      inherited DrawBackground(aCanvas, aRect, aCol, aRow, AState);//inherited;
   end;
end;

procedure TCustomFlyTreeView.FontChanged(Sender : TObject);
begin
  if Fcanvas<>nil then
   with FCanvas do
   begin
      Font.Assign(tmpFont1);
   end;
   //FFntChanged :=true;
   FNodeAttrsChange :=true;
end;

procedure TCustomFlyTreeView.DrawDataNode(aCanvas : TCanvas; aNode : TFlyNode; aRect : TRect; aCol, aRow : Longint;
AState: TExGridDrawState; Var Continue : boolean);
Const
   AlignFlags : array [TAlignment] of Integer= ( DT_LEFT, DT_RIGHT, DT_CENTER);
   VAlignFlags : array [TISVertAlign] of Integer =  ( DT_TOP, DT_BOTTOM, DT_VCENTER);
var
   aData                      : string;
   OldMode, Flags : integer;
   aChanged, PwdChar                    : boolean;
   aAlignment                 : TAlignment;
   aFontcolor, aBackColor     : TColor;
   VFlags, aFlags                     : integer;
   aEditStyle                 : TEditStyle;
   PwChar : Char;
   AColumn                    : TTreeColumn;
function ReplaceChars(aData : string; aCh : Char) : string;
var i : integer;
begin
   Result:='';
   for i:=1 to Length(aData) do
   begin
      Result:=Result+aCh;
   end;
end;
begin
   if aNode=nil then exit;
//   PwdChar :=False;
   Pwchar :=#0;
   if (Style<>ttsNormal) and (aNode.Level=0) then
   begin
//      DrawStructureNode(aCanvas, aNode, aRect, StructureCol{aCol}, aRow, AState, Continue );  // CEDR 08.10.02
      DrawStructureNode(aCanvas, aNode, aRect, 0, aRow, AState, Continue );
      exit;
   end;
   try
      aData :='';
//      PwdChar :=false;

      if WordWrap then
         Flags := DT_WORDBREAK or DT_NOPREFIX+DT_EXPANDTABS
      else
         Flags:=DT_END_ELLIPSIS or DT_SINGLELINE {or DT_VCENTER} or DT_NOPREFIX or DT_EXPANDTABS;

       aBackColor := aCanvas.Brush.Color;
       aFontcolor := aCanvas.Font.Color;

       GetColor(aNode, aCol, aRow, aState, aBackColor, aFontColor, aChanged);
       if aChanged then
       begin
         aCanvas.Brush.Color := aBackColor;
         aCanvas.Font.Color:= aFontcolor;
       end;

      aData := GetNodeData(aNode, aCol);
      AColumn := TTreeColumn(FColumns.FVisibleColList[aCol]);

      aAlignment:=taLeftJustify;
      PwdChar:=false;
      if AColumn<>nil then    // CEDR 08.10.02
      begin
        PwdChar := AColumn.PasswordChar <> #0;

        if aCol < FColumns.FVisibleColList.count then
        begin
         if (aData='') and (AColumn.FetchMode = tfmSemiVirtual) and (gdfocused in AState) then
         begin
           aData  := AColumn.Prompt;//FColumns[aCol].Prompt;
           PwdChar:=false;
         end;
         aAlignment := AColumn.Alignment;
         if PwdChar then
           PwChar :=AColumn.PasswordChar
         else PwChar :=#0;
        end;
      end;

      TryToGetAttributes(aCanvas, aNode, aState, aCol);

      if (gdFixed in AState) and FixedColAsButton then
        DrawFixedFrame(aCanvas, aRect, aCol, aRow, false)
      else
        DrawBackground(aCanvas, ARect,aCol,aRow,aState);

      inflaterect(aRect, -1, -1);

      AGetEditStyle(aNode, aCol, aEditStyle);
      if aEditStyle=etsCheckBox then
      begin
         aRect:= CheckRect(aRect);
         {$ifdef DFS_COMPILER_4_UP}
         if UseRightToLeftAlignment then
           offsetRect(aRect, GetcheckSize, 0);
         {$endif}
         if not Ctl3D then
            aFlags := DFCS_FLAT
         else
            aFlags := 0;
         if (aData='True') or (aData='-1') then
            DrawFrameControl(aCanvas.Handle, aRect, DFC_BUTTON, aFlags or DFCS_BUTTONCHECK or DFCS_CHECKED)
         else if (aData='False') or (aData='0') then
            DrawFrameControl(aCanvas.Handle, aRect, DFC_BUTTON, aFlags or DFCS_BUTTONCHECK)
         else if (aData <>'') then
            DrawFrameControl(aCanvas.Handle, aRect, DFC_BUTTON, aFlags or DFCS_CHECKED or DFCS_BUTTON3STATE)
         else
            DrawFrameControl(aCanvas.Handle, aRect, DFC_BUTTON, aFlags or DFCS_BUTTONCHECK);
      end
      else
      begin //
       VFlags := VAlignFlags[aColumn.VertAlign];
       if HTMLDrawing then
         DrawHTML(aRect, aCanvas, aData, WordWrap, false, ord(aAlignment), VFlags)
       else
       begin
        OldMode :=SetBkMode(aCanvas.handle, TRANSPARENT);
        try
         Flags := (Flags or AlignFlags[aAlignment]);//2.7.2
         if (PwdChar) and (PwChar<>#0) then
         begin
           aData := ReplaceChars(aData, PwChar);
         end;
         DrawRTLText(aCanvas,aData, aRect, Flags,VFlags);
        finally
         SetBkMode(aCanvas.handle, OldMode);
        end;

       end;

      end;
      if (GetFocus = Self.Handle) and ((goDrawFocusSelected in Options) and not (goRowSelect in Options))
      and (gdfocused in AState) then
         with aCanvas do
         begin
            DrawFocusRect(aRect);
            inflaterect(aRect,-1,-1);
         end;

   finally
      if FNodeAttrsChange then
         aCanvas.Font.Assign(tmpFont2);
   end;

end;

function TCustomFlyTreeView.CheckRect(aRect : TRect) : TRect;
var VOffset, HOffset : integer;
begin
  Voffset:=((aRect.Bottom-aRect.Top)-GetcheckSize) div 2;
  HOffset:=(Abs(aRect.right-aRect.Left)-GetcheckSize) div 2;
  Result := Rect(aRect.Left+Hoffset, aRect.Top+VOffset, aRect.Left+Hoffset+GetcheckSize, aRect.Top+VOffset+GetcheckSize);
end;

function TCustomFlyTreeView.CanChange(Node: TFlyNode): Boolean;
begin
   if (Style = ttsSectionsList) and (Node.level = 0) then
      Result := false
   else
      Result:=inherited CanChange(Node);
end;

procedure DrawButtonGlyph(Canvas: TCanvas; const GlyphPos: TPoint;
  State: TButtonState; Transparent: Boolean; aImageindex : integer; aTree : TCustomFlyTreeview);
var  aBitmap : TBitmap;

begin
   aBitmap := TBitmap.Create;
   try
    aTree.Images.GetBitmap(aImageindex, aBitmap);
    {$IFDEF DFS_COMPILER_2}
    Canvas.Brushcopy(rect(GlyphPos.X, GlyphPos.Y, GlyphPos.X+aBitmap.Width, GlyphPos.Y+aBitmap.Height),aBitmap,
    Rect(0,0, aBitmap.Width, aBitmap.Height), abitmap.canvas.pixels[0, aBitmap.Height-1]);
    {$ELSE}
    if Transparent then
    begin
     aBitmap.Transparent:=true;
     aBitmap.TransparentColor:=aBitmap.Canvas.Pixels[aBitmap.Width-1,aBitmap.height-1];//Canvas.Pixels[Pt.X,Pt.y];//
     aBitmap.TransparentMode := tmAuto;
    end;
    //Canvas.Draw(GlyphPos.X, GlyphPos.Y, aBitmap);
    {$ifdef DFS_DELPHI_4_UP}
    if aTree.UseRightToLeftAlignment then
       Canvas.StretchDraw(rect(GlyphPos.X+aBitmap.Width, GlyphPos.Y,GlyphPos.X , GlyphPos.Y+aBitmap.Height),aBitmap)
    else
    {$endif}
       Canvas.StretchDraw(rect(GlyphPos.X, GlyphPos.Y, GlyphPos.X+aBitmap.Width, GlyphPos.Y+aBitmap.Height),aBitmap);
   {$ENDIF}
   finally
    aBitmap.free;
   end;

end;

procedure DrawButtonText(aTree : TCustomFlyTreeView; Canvas: TCanvas; const Caption: string;
  TextBounds: TRect; State: TButtonState; BiDiFlags,addFlags: LongInt);
begin
  with Canvas do
  begin
    Brush.Style := bsClear;
    //inflateRect(TextBounds, -1,-1);
    if State = bsDisabled then
    begin
      OffsetRect(TextBounds, 1, 1);
      aTree.DrawRTLText(Canvas, Caption, TextBounds, addFlags, DT_VCENTER );
      OffsetRect(TextBounds, -1, -1);
      Font.Color := clBtnShadow;
    end;
    aTree.DrawRTLText(Canvas, Caption, TextBounds, addFlags, DT_VCENTER);
  end;
end;


procedure CalcButtonLayout(Canvas: TCanvas; const Client: TRect;
  const Offset: TPoint; const Caption: string; Layout: TButtonLayout; Margin,
  Spacing: Integer; var GlyphPos: TPoint; var TextBounds: TRect;
  BiDiFlags: LongInt; aImageindex : integer; aTree : TCustomFlyTreeview);
var
  TextPos: TPoint;
  ClientSize, GlyphSize, TextSize: TPoint;
//  TotalSize: TPoint;
//  addFlags : integer;
begin

  if (BiDiFlags and DT_RIGHT) = DT_RIGHT then
    if Layout = blGlyphLeft then Layout := blGlyphRight
    else
      if Layout = blGlyphRight then Layout := blGlyphLeft;
  { calculate the item sizes }
  ClientSize := Point(Client.Right - Client.Left, Client.Bottom -
    Client.Top);

  if (aImageIndex<>-1) and (aImageindex < aTree.Images.Count) then
    GlyphSize := Point(aTree.Images.Width , aTree.Images.Height)
  else
    GlyphSize := Point(0, 0);

  { If the layout has the glyph on the right or the left, then both the
    text and the glyph are centered vertically.  If the glyph is on the top
    or the bottom, then both the text and the glyph are centered horizontally.}
  if (Layout in [blGlyphLeft, blGlyphRight]) then
  begin
    GlyphPos.Y := (ClientSize.Y - GlyphSize.Y + 1) div 2;
    TextPos.Y := 0;//(ClientSize.Y - TextSize.Y + 1) div 2;
  end
  else
  begin
    GlyphPos.X := (ClientSize.X - GlyphSize.X + 1) div 2;
    TextPos.X := 0;//(ClientSize.X - TextSize.X + 1) div 2;//new 29/3/2
  end;
  { if there is no text or no bitmap, then Spacing is irrelevant }
  if (TextSize.X = 0) or (GlyphSize.X = 0) then
    Spacing := 0;

  if Margin = -1 then
    Margin := 4;
  if Spacing = -1 then
    Spacing := 4;
  TextBounds := Rect(0, 0, Client.Right - Client.Left, Client.Bottom - Client.Top);
  case Layout of
    blGlyphLeft:
      begin
        GlyphPos.X := Margin;
        TextPos.X := 0;//GlyphPos.X + GlyphSize.X + Spacing;
        Inc(TextBounds.Left, GlyphPos.X + GlyphSize.X + Spacing);
        Dec(TextBounds.Right, Margin);
        //TextPos.Y:=0;
      end;
    blGlyphRight:
      begin
        GlyphPos.X := ClientSize.X - Margin - GlyphSize.X;
        TextPos.X :=  0;//GlyphPos.X - Spacing - TextSize.X;//new 29/3/2
        TextBounds.Right := GlyphPos.X;
        inc(TextBounds.Left, Margin);
        //TextPos.Y:=0;
      end;
    blGlyphTop:
      begin
        GlyphPos.Y := Margin;
        TextPos.Y := 0;//GlyphPos.Y + GlyphSize.Y + Spacing;
        Inc(TextBounds.Top, GlyphPos.Y + GlyphSize.Y + Spacing);
        Inc(TextBounds.Left, Margin);
        Dec(TextBounds.Right, Margin);
      end;
    blGlyphBottom:
      begin
        GlyphPos.Y := ClientSize.Y - Margin - GlyphSize.Y;
        //TextPos.Y := GlyphPos.Y - Spacing - TextSize.Y;
        TextPos.Y :=0;
        TextBounds.Bottom := GlyphPos.Y - Spacing;// - TextSize.Y;
        Inc(TextBounds.Left, Margin);
        Dec(TextBounds.Right, Margin);

      end;
  end;
  if TextPos.X < 0 then TextPos.X:=0;
  if GlyphPos.X < 0 then GlyphPos.X :=0;

  { fixup the result variables }
  with GlyphPos do
  begin
    Inc(X, Client.Left + Offset.X);
    Inc(Y, Client.Top + Offset.Y);
  end;
  OffsetRect(TextBounds, TextPos.X + Client.Left + Offset.X,
    TextPos.Y + Client.Top + Offset.X);
end;

function DrawGlyph(Canvas: TCanvas; const Client: TRect;
  const Offset: TPoint; const Caption: string; Column : TTreeColumn; State: TButtonState; Transparent: Boolean;
  BiDiFlags: LongInt; aTree : TCustomFlyTreeview): TRect;
var
  GlyphPos: TPoint;
  addFlags : Longint;
  aRect : Trect;
  TxtBounds : TRect;
  const  AlignFlags : array [TAlignment] of Integer= ( DT_LEFT, DT_RIGHT, DT_CENTER);

  procedure DoDrawGlyph(Canvas: TCanvas; const GlyphPos: TPoint; const Caption: string; Layout: TButtonLayout;
    State: TButtonState; Transparent: Boolean;
    BiDiFlags: LongInt; aImageindex : integer; aTree : TCustomFlyTreeview; addFlags : Longint);
  begin
    if (aImageIndex>=0) and (aImageindex < aTree.Images.Count) then
     DrawButtonGlyph(Canvas, GlyphPos, State, Transparent, aImageindex, aTree);

    if aTree.HTMLDrawing then
    begin
      aRect := TxtBounds;
      DrawHTML(aRect, Canvas, Caption, aTree.WordWrap, false, Ord(Column.alignment), DT_VCENTER)
    end
    else
    begin
     if aTree.Wordwrap then
       addFlags:=DT_WORDBREAK+ DT_NOPREFIX+DT_EXPANDTABS+ AlignFlags[Column.alignment]
     else
       addFlags:=DT_END_ELLIPSIS+DT_SINGLELINE +DT_NOPREFIX+DT_EXPANDTABS+ AlignFlags[Column.alignment];
       DrawButtonText(aTree, Canvas, Caption, TxtBounds, State, BiDiFlags, addFlags);
    end;
  end;

begin
  addFlags:=0;
  with Canvas do
  begin
   if Column.IstitleColorStored then
     Brush.Color := Column.TitleColor;
   if Column.IsTitleFontStored then
   begin
     Font.Assign(Column.TitleFont);
     Refresh;
   end;
   FillRect(Client);
  end;

  CalcButtonLayout(Canvas, Client, Offset, Caption, Column.Layout, Column.Margin, Column.Spacing,
    GlyphPos, TxtBounds, BiDiFlags, Column.Imageindex, aTree);

  DoDrawGlyph(Canvas, GlyphPos, Caption, Column.Layout, State, Transparent,
    BiDiFlags, Column.Imageindex, aTree,addFlags);
  Result := TxtBounds;
end;

procedure TCustomFlyTreeView.DrawFixed(aCanvas : TCanvas; aRect : TRect; aCol, aRow : Longint; AState: TExGridDrawState; Var Continue : boolean);
const  AlignFlags : array [TAlignment] of Integer=
   ( DT_LEFT, DT_RIGHT, DT_CENTER);
var 
   aColumn        : TTreeColumn;
   Offset: TPoint;
   adata,asData : string;

begin
  if (Style<>ttsNormal) and (aRow>=FixedRows) then
  begin
    Continue := false;
    exit;
  end;
   with aCanvas do
   begin
     Brush.Color:= FixedColor;
     FillRect(aRect);
   end;
   if aCol>=Colcount then
      DrawFixedFrame(aCanvas, aRect, aCol, aRow, false)
   else
   begin
      if ACol < FColumns.FVisibleColList.Count then
        aColumn := TTreeColumn(FColumns.FVisibleColList[aCol])
      else
      begin
        DrawFixedFrame(aCanvas, aRect, aCol, aRow, false);
        exit;
      end;
      aData      :='';

      with aCanvas do
       if (aRow = 0) and (FixedRows > 0) then
       begin
         Offset := Point(0,0);
         aData      := aColumn.Caption;
         if aColumn.FetchMode=tfmVirtual then
            asData := inherited GetEditText(aCol,aRow);
         if asData<>'' then adata:=asData;
           DrawGlyph(aCanvas, aRect, offset, aData, aColumn, bsUp, true,0, Self );
      end;
      if aColumn=FClickedCol then
        DrawFixedFrame(aCanvas, aRect, aCol, aRow, true)
      else
        DrawFixedFrame(aCanvas, aRect, aCol, aRow, aColumn.FDown);
//   finally
//      SetBkMode(aCanvas.handle, OldMode);
//   end;
 end;
end;



function TCustomFlyTreeView.NeedToShowEditor : boolean;
begin
   //for disable old style inplace edit
   Result:=inherited NeedToShowEditor;
   //Result:=false;
end;

procedure TCustomFlyTreeView.FillNotCellArea(aRect : Trect);
begin
   if not Wallpaper.Bitmap.Empty then
   begin
      Wallpaper.DrawWallPaper(Canvas, FWallXOffset, FWallYOffset, aRect, ClientRect, Color);
   end
   else
      inherited;
end;

procedure TCustomFlyTreeView.Paint;
begin
   //for prevent drawing empty tree //09.11
   if (items.Count=0) and (FColumns.Count=0) then
   begin
     try
      Canvas.Brush.color:=Color;
      Canvas.FillRect(ClientRect)
     except
     end; 
   end
   else
   begin
     Canvas.Font:=Font;
     inherited Paint;
   end;
end;

{procedure TCustomFlyTreeView.DrawCell(aCanvas : TCanvas; ACol, ARow: Longint; ARect: TRect;
AState: TExGridDrawState; Var Continue : boolean);
begin
   inherited DrawCell(aCanvas, ACol, ARow, ARect, AState, Continue);
end;}


procedure TCustomFlyTreeView.ColumnMoved(FromIndex, ToIndex: Longint);
var
   afromIndex, aToIndex : integer;
begin
   inherited;
   FColumns.Beginupdate;
   try
      with FColumns do
      begin
         afromIndex:= TTreeColumn(FVisibleColList[Fromindex]).index;
         aToIndex  := TTreeColumn(FVisibleColList[Toindex]).index;
         FVisibleColList.Move(FromIndex, ToIndex);
         FColumns.Move(aFromIndex,aToIndex);
         //correct ColumnsMap
         RefreshColumnsmap;
      end;
   finally
      FColumns.EndUpdate;
   end;
end;

procedure TCustomFlyTreeView.RowMoved(FromIndex, ToIndex: Longint);
begin
   inherited;
end;


procedure TCustomFlyTreeView.RedrawBorder (const Clip: HRGN);
var
   DC                        : HDC;
   //ClRect, CurRect1,
   R                         : TRect;
   Origin                    : TPoint;
   NewClipRgn                : HRGN;
   BtnFaceBrush, WindowBrush : HBRUSH;
   VOffset, HOffset          : integer;
begin
   if not FFlat then exit;
   DC := GetWindowDC(Handle);
   try
      BtnFaceBrush := GetSysColorBrush(COLOR_BTNFACE);
      WindowBrush := GetSysColorBrush(COLOR_WINDOW);

      //begin
      { Use update region }
      if Clip <> 0 then
      begin
         GetWindowRect (Handle, R);
         // An invalid region is generally passed when the window is first created
         if SelectClipRgn(DC, Clip) = ERROR then
         begin
            NewClipRgn := CreateRectRgnIndirect(R);
            SelectClipRgn (DC, NewClipRgn);
            DeleteObject (NewClipRgn);
         end;
         OffsetClipRgn (DC, -R.Left, -R.Top);
      end;

      //end;//fflat

      GetWindowRect (Handle, R);
      Origin :=ClientOrigin;
      Voffset := Origin.Y - R.Top;//height
      HOffset := Origin.x -R.left;
      FVoffset := Voffset;//internal variables
      FHOffset := HOffset;


      OffsetRect (R, -R.Left, -R.Top);
      if FFlat then inflateRect(r,-1,-1);

      {if totshowHeaders in FTreeOptions then
        VOffset := FheadersHeight//((R.bottom-R.top-FHeadersHeight)-ClRect.Bottom) div 2
      else
        VOffset := 0;//((R.bottom-R.top)-ClRect.Bottom) div 2;
      }
      Canvas.brush.color:=Color;
      //Fillrect(DC, Rect(r.left,r.top, R.right,R.Top+Voffset),Canvas.Brush.handle);//fill header area
      with R do
      begin //filling non client area
         FillRect (DC, Rect(Left,top, left+Hoffset, bottom), Canvas.Brush.handle);
         FillRect (DC, Rect(left+Hoffset,Top, right, Top+VOffset), Canvas.Brush.handle);
         FillRect (DC, Rect(Right-hoffset,Top+Voffset, right, Bottom), Canvas.Brush.handle);
         FillRect (DC, Rect(Left,Bottom-Hoffset, Right-hoffset, Bottom), Canvas.Brush.handle);
      end;

      GetWindowRect (Handle, R);
      OffsetRect (R, -R.Left, -R.Top);
      with R do
         if FFlat then
         begin
            if ((csDesigning in ComponentState) and Enabled) or
            (not(csDesigning in ComponentState) and (Focused or (FMouseIn ))) then
            begin
               DrawEdge (DC, R, BDR_SUNKENOUTER, BF_RECT or BF_ADJUST);
               with R do
               begin
                  FillRect (DC, Rect(Left, Top, Left+1, Bottom-1), BtnFaceBrush);
                  FillRect (DC, Rect(Left, Top, Right-1, Top+1), BtnFaceBrush);
               end;
               DrawEdge (DC, R, BDR_SUNKENINNER, BF_BOTTOMRIGHT);
            end
            else
            begin
               with R do
               begin
                  InflateRect (R, -1, -1);
                  FrameRect (DC, R, WindowBrush);
                  InflateRect (R, -1, -1);
                  FrameRect (DC, R, WindowBrush);
                  //InflateRect (R, -1, -1);
                  //FrameRect (DC, R, WindowBrush);
                  InflateRect (R, 2, 2);
               end;
               FrameRect (DC, R, BtnFaceBrush);
               InflateRect (R, 1, 1);
               FrameRect (DC, R, BtnFaceBrush);
               InflateRect (R, 1, 1);
               FrameRect (DC, R, WindowBrush);
            end;
         end;//FFlat
   finally
      ReleaseDC (Handle, DC);
   end;
end;


//timer
procedure TCustomFlyTreeView.WMTimer(var Msg: TWMTimer);
begin
  if Msg.TimerID = 2 then
  begin
   Toggle(FClickNode, FDoubleClick);
   FDoubleClick := False;
   FClickNode := nil;
   KillTimer(Handle, 2);
  end;
  inherited;
end;

//resize
{
procedure TCustomFlyTreeView.DblClick;
begin
//   FDoubleClick :=True;
   if FClickNode <> nil then
     begin
       Toggle(FClickNode, true);
       FClickNode := nil;
     end;
   inherited;
end;
}

procedure TCustomFlyTreeView.MouseUp(Button: TMouseButton; Shift: TShiftState;
X, Y: Integer);
var aCoord : TGridcoord;
    aDown : boolean;
    Pt : TPoint;
begin
   if Button = mbleft then
   begin
     aCoord:=MouseCoord(X,Y);
     {if (FclickedCell.X = aCoord.X) and (FclickedCell.Y = aCoord.Y)
     and ((FclickedCell.Y>=0) and (FclickedCell.Y < FixedRows))then
     begin}
     //if (FClickNode <> nil) then //and (FDoubleClick = false) then
     //begin
     //  Toggle(FClickNode, FDoubleClick);
     //FClickNode := nil;
     //end;
     if (aCoord.X>-1) and (aCoord.X < FColumns.FVisibleColList.count) then
       if TTreeColumn(FColumns.FVisibleColList[aCoord.X])=FClickedcol then
       begin
          aDown:=false;
          //ColumnClicked(aCoord.X, aCoord.Y,aDown);  // CEDR 20.09.02 - moved below, to avoid OnColumnClick affect to Down state
          if FClickedCol.Down<>aDown then
          begin
            FClickedCol.Down:=aDown;
          end
          else
          begin
            invalidateCell(aCoord.X,aCoord.Y);
          end;
          ColumnClicked(aCoord.X, aCoord.Y,aDown);  // CEDR 20.09.02 ^^^
          // FClickedCol:=nil;  // CEDR 05.10.02 - moved below - must be nil after release button

       end;
   end
   else if (Button = mbright) and (FCustomizable ) then
   begin
     Pt                        :=Point(X,Y);
     Pt                        :=ClientToscreen(Pt);
     FCustomMenu.PopupComponent:=Self;
     FCustomMenu.Popup(Pt.X,Pt.Y);
   end; //mergemenu
   {else if (Button = mbright) and (Popupmenu<>nil) then
   begin
      Popupmenu.PopupComponent:=Self;
      Pt := Point(X,Y);
      Pt :=ClientToscreen(Pt);
      Popupmenu.Popup(Pt.X,Pt.Y);
   end;
   }
   FClickedCol:=nil; // CEDR 05.10.02
   FCellClick:=true;
   inherited;
   FCellClick:=false;

end;


procedure TCustomFlyTreeView.MouseDown(Button: TMouseButton;
Shift: TShiftState; X, Y: Integer);
var
   Node                       : TFlyNode;
   aCoord                     : TGridCoord;
   aHittests                  : THitTests;
begin
  //Showmessage('MouseDown:X='+ inttostr(x)+':Y='+inttostr(y));
  if not (ssDouble in Shift) then
   inherited;

   if Button = mbLeft then
   begin
      aCoord :=MouseCoord(X,Y);
      Node     := GetNodeAt(X, Y);
      aHittests:= GetHitTestInfoAt(X,Y);
      if (Node=nil) and (aCoord.Y < FixedRows) and (FClickableColumns)
      and (GetCursor <> Horzcursor) then
      begin
         if (aCoord.X>-1) and (aCoord.X <FColumns.FVisibleColList.count) then
         with TTreeColumn(FColumns.FVisibleColList[aCoord.X]) do
         begin
           FClickedCol := TTreeColumn(FColumns.FVisibleColList[aCoord.X]);
           InvalidateCell(aCoord.X, aCoord.Y);
         end;
         //FClickedCell :=aCoord;
         //
      end;

      if (htOnStateIcon in aHitTests) then
      begin
        if (totExtendedLogic in FTreeOptions) then
        begin
         //reacts thru timer
         if (FClickNode = nil) then
         begin
            FClickNode := Node;//ttimer
            SetTimer(Handle, 2, GetDoubleClickTime div 2, nil);
         end
         else if FClickNode = Node then
           FDoubleClick := True;
        end
        else
          Toggle(Node, (ssDouble in Shift));
      end
      else
      begin
        FClickNode := nil;
        FDoubleClick := false;
      end;

   end;

   FExpFlag := false;

end;

//inplace
function TCustomFlyTreeView.GetNodeData(Node: TFlyNode; ACol : integer): string;
var
   aData     : String;
   apwdChar  : Boolean;
   MaxLength : integer;
begin
   aData:='';
   Result:='';
   if Node<>nil then
   begin
      aGetEditText(Node, aCol, aData, apwdChar,MaxLength);
      Result := aData;
   end;
end;


procedure TCustomFlyTreeView.aGetEditText(Node: TFlyNode; ACol : integer; Var aData : string; var apwdChar : Boolean;Var MaxLength : integer);
begin
   aData := inherited GetNodeData(Node, ACol);
   if Assigned(OnGetNodeData) then OnGetNodeData(Node, ACol, aData, apwdChar,MaxLength);
end;

procedure TCustomFlyTreeView.AValidateNodeData(Node: TFlyNode; ACol : integer; var aData : string; var aCancel : Boolean);
var Typing : boolean;
begin
  if ACol < FColumns.FVisibleColList.count then
  begin
   Typing := aCancel;
   if Assigned(OnValidateNodeData) then
     OnValidateNodeData(Node, ACol, aData, aCancel)
   else
     aCancel := false;

   if (not Typing) then
    if (not aCancel) and (TTreeColumn(FColumns.FVisibleColList[ACol]).FetchMode = tfmSemiVirtual) then
    begin
      SetEditText(ACol, Row, aData);
    end;
  end;
end;

procedure TCustomFlyTreeView.AEditButtonClick(Node: TFlyNode; index : integer);
begin
   if Assigned(OnEditButtonClick) then OnEditButtonClick(Node, index);
end;

procedure TCustomFlyTreeView.AIsReadOnlyNode(Node: TFlyNode; index : integer; var aReadOnly : Boolean);
var aindex : integer;
begin
   If (Style<>ttsNormal) and (Node.Level=0) then
     areadOnly := True
   else
   if HandleAllocated and (FColumns<> nil) then
   begin
      if Index > FColumns.FVisibleColList.Count-1 then
        aReadOnly :=true
      else
      begin
        aIndex   := TTreeColumn(FColumns.FVisibleColList[index]).index;
        aReadOnly := FColumns[aIndex].ReadOnly;
      end;
      //if not aReadOnly then
        if Assigned(OnIsReadOnlyNode) then OnIsReadOnlyNode(Node, index, aReadOnly);
   end;
end;

procedure TCustomFlyTreeView.GetNodeAttributes(Node: TFlyNode; Column : integer; var aFont : TFont; var BackColor : TColor; Var Alignment : TAlignment);
begin
   if Assigned(FOnGetNodeAttributes) then
      FOnGetNodeAttributes(Node, Column, aFont, BackColor, Alignment);
end;

procedure TCustomFlyTreeView.AGetPicklist(Node: TFlyNode; index : integer; var aPickList : Tstrings);
begin
 if index < FColumns.FVisibleColList.count then
 begin
   TStringlist(aPickList).assign(TTreeColumn(FColumns.FVisibleColList[index]).Picklist);
   if Assigned(OnGetPicklist) then OnGetPicklist(Node, index, aPickList);
 end;
end;

procedure TCustomFlyTreeView.SelectedChanged(OldNode,NewNode : TFlyNode);
begin
   if Assigned(OnSelectedChanged) then
      FOnSelectedChanged(OldNode,NewNode);
end;

procedure TCustomFlyTreeView.SelectedChanging(OldNode,NewNode : TFlyNode; var AllowChange : boolean);
begin
   if Assigned(OnSelectedChanging) then
      FOnSelectedChanging(OldNode, NewNode, AllowChange);
end;

procedure TCustomFlyTreeView.AGetEditStyle(Node: TFlyNode; index : integer; Var aEditStyle : TEditStyle);
begin
  if index< FColumns.FVisibleColList.count then
   aEditStyle := TTreeColumn(FColumns.FVisibleColList[index]).Editstyle;
   if Assigned(OnGetEditStyle) then OnGetEditStyle(Node, index, aEditStyle);
end;


procedure TCustomFlyTreeView.AfterCustomize;
begin
   if Assigned(FOnAfterCustomize) then FOnAfterCustomize(Self);
end;
procedure TCustomFlyTreeView.BeforeCustomize;
begin
   if Assigned(FOnBeforeCustomize) then FOnBeforeCustomize(Self);
end;

procedure TCustomFlyTreeView.BeforeApply;
begin
   if Assigned(FOnBeforeApply) then FOnBeforeApply(Self);
end;

procedure TCustomFlyTreeView.AfterApply;
begin
   if Assigned(FOnAfterApply) then FOnAfterApply(Self);
end;

procedure TCustomFlyTreeView.Customize;
begin
   BeforeCustomize;
   {$IFDEF PROPED_DLL}
     InternalCustomizeTree(Self);
   {$ELSE}
     CustomizeTree((Self), tcmGeneral, FColumns.ColumnClass);
   {$ENDIF}
   AfterCustomize;
end;

procedure TCustomFlyTreeView.SetCustomizable(Value : boolean);
begin
   if Value <> FCustomizable then
      FCustomizable := Value;
   if FCustomizable then PopupMenu:=nil;
end;



procedure TCustomFlyTreeView.aUpdateEditor;
var PreText : string;
begin
   if Selected<>nil then
   begin
      FEditedNode        :=Selected;
      FInplaceEdit.Parent:=self;
      FInplaceEdit.UpdateContents;
      FInplaceEdit.DropDownSizable := TTreeColumn(FColumns.FVisibleColList[Col]).DropDownsizable;
      if FinplaceEdit.EditStyle = etsSimple then
      begin
       if Col < FColumns.FVisibleColList.count then
       begin
        FInplaceEdit.CancelData := true;
        PreText := FInplaceEdit.Text;
        FInplaceEdit.EditMask := TTreeColumn(FColumns.FVisibleColList[Col]).EditMask;
        FInplaceEdit.PasswordChar := TTreeColumn(FColumns.FVisibleColList[Col]).PasswordChar;
        FInplaceEdit.Alignment := TTreeColumn(FColumns.FVisibleColList[Col]).Alignment;
        FInplaceEdit.Text := PreText;
        FInplaceEdit.CancelData := false;
       end;
      end
      Else
      begin
        FInplaceEdit.EditMask := '';
        FInplaceEdit.PasswordChar := #0;
      end;
      if not (totNonSelectInplaceEditText in FTreeOptions) then
         FInplaceEdit.SelectAll;
   end;
end;

procedure TCustomFlyTreeView.UpdateEdit;
var
   FInplaceRow : Longint;
begin
   if csLoading in ComponentState then exit;
   if (FColumns= nil) then exit;
   if CanEditShow then
   begin
      if (FInplaceEdit = nil) and (EditorMode=true) then
      begin
         FInplaceEdit       := CreateEditor;
         if goAlwaysShowEditor in Options then
            FinplaceEdit.EditOptions := [eosAlwaysShowEditor];
         //FInplaceEdit.Parent := Self;
         aUpdateEditor;
      end
      else if (FInplaceEdit <> nil) then
         begin
            if FEditedNode <>nil then
               FInplaceRow:=FEditedNode.GetRow
            else
               FInplaceRow:=-1;
            if ((Col <> FEditedCol) or (Row <> FInplaceRow)) then
            begin
                 HideEditor;//HideEditor;
               if EditorMode then
               begin
                  FeditedNode:= GetNodeatRow(Row);
                  FeditedCol := Col;
                  aUpdateEditor;
               end;


            end;
         end;
         if (FeditedNode<>nil) and (FeditedCol<>-1) then
         //if CanEditShow then
         begin
            //FInplaceEdit.Parent := Self;
            if FEditedCol=StructureCol then
               MoveEditor(FInplaceEdit, FEditedNode.DisplayRect(true))
               //FInplaceEdit.Move(FEditedNode.DisplayRect(true))
            else
               MoveEditor(FInplaceEdit, inherited CellRect(Col, Row));
         end;
   end
   else EditorMode:=false;//inherited;
end;

procedure TCustomFlyTreeView.MoveEditor(Editor : TFlyInplaceEdit; aRect : TRect);
begin
  if Editor<>nil then
  begin
   if Editor.EditStyle=etsCheckBox then
    Editor.Hide(false)
   else
    Editor.Move(ARect);
  end;
end;

procedure TCustomFlyTreeView.aHideEditor;
begin
   if Fdestroy then exit;
   HideEditor;
end;

procedure TCustomFlyTreeView.HideEditor;
begin
   if FDestroy then exit;
   if (FInplaceEdit <> nil) and (FeditedNode<> nil) then
   begin
      try
         inherited;//18/6/2
         if (not FinplaceEdit.CancelData) and (FinplaceEdit.Modified) then
         begin
            ValidateText;
            FinplaceEdit.Modified := false;
         end;
      finally
         try
            if FinplaceEdit<>nil then
            begin
               FeditedNode            :=nil;
               FeditedCol             :=-1;
               FinplaceEdit.CancelData:=true;
               FInplaceEdit.Hide(false);
               FinplaceEdit.CancelData:=false;
               if FEditedNode<>nil then
               begin
                 InvalidateCell(FEditedCol,FEditedNode.GetRow);
                 FEditedNode := nil;
               end;
               //FInplaceEdit.Free;
               //FInplaceEdit:=nil;
            end;
         except
         end;
      end;
   end;
end;

procedure TCustomFlyTreeView.ValidateText;
var aData   : string;
   acancel : Boolean;
begin
   if Fdestroy then exit;
   if (FEditedNode<>nil) then
   begin
      aData:=FInplaceEdit.Text;
      if not (FInplaceEdit.Validating) then
      begin
         aCancel                := false;
         if (FeditedNode<>nil) and (FeditedCol<>-1) then
         begin
          FInplaceEdit.Validating := True;
          try
            AValidateNodeData(FEditedNode, FEditedCol, aData, aCancel);
          finally
           FInplaceEdit.Validating := false;
          end;
         end;
         //recalcRow
         if (FeditedCol<>-1) and (FEditedcol = Structurecol) and FitToHeight then  // CEDR 08.10.02
           FEditedNode.Height := -1;//node height not valida, need to recalc
      end;
      //else FInplaceEdit.CancelData:=false;
   end;
end;

function TCustomFlyTreeView.UpdateText : boolean;
var {OldData,} aData   : string;
   acancel : Boolean;
begin
   Result := true;
   if Fdestroy then exit;
   if (FEditedNode<>nil) then
   begin
      aData:=FInplaceEdit.Text;
      if not (FInplaceEdit.CancelData or FInplaceEdit.Validating) then
      begin
         FInplaceEdit.CancelData:=true;
         aCancel                := False;
         if (FeditedNode<>nil) and (FeditedCol<>-1) then
         begin
          FInplaceEdit.Validating := True;
          try
            AValidateNodeData(FEditedNode, FEditedCol, aData, aCancel);
          finally
           FInplaceEdit.Validating := false;
          end;
          result := not aCancel;
         end;
         //recalcRow
//         if (FEditedcol = Structurecol) and FitToHeight then
//           FEditedNode.Height := -1;//node height not valida, need to recalc
      end
      else FInplaceEdit.CancelData:=false;
   end;
end;

procedure TCustomFlyTreeView.ShowEditorChar(Ch: Char);
begin
   if Fdestroy then exit;
   if FExpFlag then
   begin
      FExpFlag :=false;
   end
   else 
   begin
      if Ch in [#27] then exit;
      if FInplaceEdit <> nil then
         FInplaceEdit.UndoData := '';
      ShowEditor;
      if FInplaceEdit <> nil then
         PostMessage(FInplaceEdit.Handle, WM_CHAR, Word(Ch), 0);
   end;
end;

function TCustomFlyTreeView.CreateNode(AOwner: TTreeCollection) : TFlyNode;
begin
   Result := TFlyNode.Create(aOwner);
end;

function TCustomFlyTreeView.CanEditShow: Boolean;//selectcell
var
   aReadOnly : boolean;
begin
    Result := inherited CanEditShow;
   if Selected= nil then exit;

   if (Fstyle<> ttsNormal) and (Selected.level = 0) then
       Result:=false;

   //if not (goAlwaysShoweditor in Options) then
   //begin
   if Result then
   begin
     aReadOnly := not Result;
     AIsReadOnlyNode(Selected, Col, aReadOnly);
     Result := not aReadOnly;
   end;
   //end;

end;

procedure TCustomFlyTreeView.ShowEditor;
var
    MousePos : TPoint;
    TestRect : TRect;
    aEditStyle : TEditStyle;
    aColumn : TTreeColumn;
begin
   if Selected = nil then exit;
   //if not CanEditShow then exit;
    AGetEditStyle(Selected, Col, aEditStyle);
   if aEditStyle<>etsCheckBox then
   begin
     if FinplaceEdit <> nil then FinplaceEdit.CancelData:=false;
      inherited ShowEditor;
     if FinplaceEdit<>nil then
     begin
      if totPopupOnClick in FtreeOptions then
          FinplaceEdit.Dropdown;
      FinplaceEdit.Modified :=False;
     end;
   end
   else
   begin
      GetCursorPos(MousePos);
      MousePos:=ScreenToClient(MousePos);//convert to client
      TestRect:=CheckRect(inherited Cellrect(Col,Row));
      aColumn := Columns.GetVisibleColumn(Col);
      if aColumn <> nil then
      begin
       HideEditor;
       if PtInrect(testRect, MousePos) and FCellClick and (not aColumn.ReadOnly) then
       begin
         ToggleEditor;
       end;
      end;
   end;

end;


//function CreateEditor: TInplaceEdit; virtual;

function TCustomFlyTreeView.CreateEditor: TFlyInplaceEdit;
begin
   Result:=nil;
   if Fdestroy then exit;
   Result := TFlyInplaceEdit.Create(Self);
   Result.left:=-Result.width;
   Result.top:=-Result.height;
   //Result.Ctl3d := Ctl3d;
   //Result.BorderStyle:=bssingle;
   //initialize event section of TFlyInplaceEdit Plug
   if goTabs in Options then
      Result.EditOptions:=Result.EditOptions+ [eosGoTabs];
   
   FEditedNode := GetNodeatRow(Row);
   FEditedCol := Col;

   with Result do
   begin
      OnGetEditData    :=GetEditData;
      OnValidateData   :=ValidateData;
      OnGetEditStyle   :=GetEditStyle;
      OnGetPickList    :=GetPickList;
      OnGetReadOnly    :=GetReadOnly;

      OnEditButtonClick:=EditButtonClick;
      OnHideEditor     :=aHideEdit;
      OnUpdateData     :=UpdateData;
      OnGetClickKey    :=GetClickKey;
      OnUpdateEdit     :=UpdateEditor;
      OnKeyUpParent    :=KeyUpParent;
      OnKeydownParent  :=KeyDownParent;
      OnKeyPressParent :=KeyPressParent;

      OnDblClickParent :=DblClickParent;
   end;
end;


procedure TCustomFlyTreeView.KeyUpParent(Sender : TObject; var Key: Word; Shift: TShiftState);
begin
   if assigned(OnkeyUp) then OnKeyUp(Sender,Key,Shift);
end;
procedure TCustomFlyTreeView.KeyDownParent(Sender : TObject; var Key: Word; Shift: TShiftState);
begin
   KeyDown(Key,Shift);
   if assigned(OnkeyDown) then OnKeyDown(Sender,Key,Shift);
   Key:=0;//new29/03/2
end;

procedure TCustomFlyTreeView.KeyPressParent(Sender : TObject; var Key: Char);
begin
   KeyPress(Key);
   if assigned(OnkeyPress) then OnKeyPress(Sender,Key);
end;
procedure TCustomFlyTreeView.DblClickParent(Sender : TObject);
begin
   if assigned(OnDblClick) then OnDblClick(Sender);
end;

procedure TCustomFlyTreeView.GetEditData(Sender : TCustomFlyInplaceEdit; var AData : String; var Pwd : Char);
var maxlength : integer;//for future use;
   aColumn   : TTreeColumn;
   aPwdMode : Boolean;
begin
   if (not Fdestroy) and (Col < FColumns.FVisibleColList.count) then
   begin//   if TTreeColumn(FColumns.FVisibleColList[index]).FetchMode = tfmSemiVirtual then
      aPwdMode :=False;
      aColumn := TTreeColumn(FColumns.FVisibleColList[Col]);
      if (aColumn.FetchMode = tfmSemiVirtual) and (aColumn.DefaultValue<>'') then
         aData :=aColumn.DefaultValue;
      aGetEditText(Selected, Col, aData, aPwdMode, maxlength);
      if aPwdMode then
         Pwd := aColumn.PasswordChar;
   end;
   //for semifetch

end;

procedure TCustomFlyTreeView.ValidateData(Sender : TCustomFlyInplaceEdit; AData : String; var aCancel : boolean);
begin
   if (FeditedCol<>-1) and (FeditedNode<>nil) then
      AValidateNodeData(FeditedNode, FeditedCol, aData, aCancel);
end;
procedure TCustomFlyTreeView.GetEditstyle(Sender : TCustomFlyInplaceEdit; var aEditstyle : TEditStyle);
begin
   if (FeditedCol<>-1) and (FeditedNode<>nil) then
      AGetEditStyle(FeditedNode, FeditedCol, aEditStyle);
end;
procedure TCustomFlyTreeView.GetPickList(Sender : TCustomFlyInplaceEdit; var aPickList : Tstrings);
begin
   if (FeditedCol<>-1) and (FeditedNode<>nil) then
      AGetPicklist(FeditedNode, FeditedCol, aPickList);
end;
procedure TCustomFlyTreeView.GetReadOnly(Sender : TCustomFlyInplaceEdit; var aReadOnly : boolean);
begin
   if (FeditedCol<>-1) and (FeditedNode<>nil) then
      AIsReadOnlyNode(FeditedNode, FeditedCol, aReadOnly);
end;

procedure TCustomFlyTreeView.EditButtonClick(Sender : TCustomFlyInplaceEdit);
begin
   if (FeditedCol<>-1) and (FeditedNode<>nil) then
      AEditButtonClick(FeditedNode, FeditedCol);
end;

procedure TCustomFlyTreeView.aHideEdit(Sender : TCustomFlyInplaceEdit);
begin
   EditorMode:=false;//aHideEditor;
end;

//procedure TCustomFlyTreeView.HideEdit; //18/6/2
//begin
//   aHideEditor;
//end;

procedure TCustomFlyTreeView.UpdateData(Sender : TCustomFlyInplaceEdit);
begin
   // invalidate;
   if FinplaceEdit <> nil then
      FinplaceEdit.UpdateContents;
end;
procedure TCustomFlyTreeView.UpdateEditor(Sender : TCustomFlyInplaceEdit);
begin
   UpdateEdit;
end;
procedure TCustomFlyTreeView.GetClickKey(Sender : TCustomFlyInplaceEdit; var aKey : Word; var aShift : TShiftState);

procedure ShortCutToKey(ShortCut: TShortCut; var Key: Word; var Shift: TShiftState);
begin
  Key := ShortCut and not (scShift + scCtrl + scAlt);
  Shift := [];
  if ShortCut and scShift <> 0 then Include(Shift, ssShift);
  if ShortCut and scCtrl <> 0 then Include(Shift, ssCtrl);
  if ShortCut and scAlt <> 0 then Include(Shift, ssAlt);
end;

begin
   ShortCutToKey(FClickKey,aKey,aShift);
end;

procedure TCustomFlyTreeView.WMChar(var Msg: TWMChar);
var aReadOnly : Boolean;
    aEditStyle : TEditStyle;
begin
   aReadOnly :=false;
   if (goEditing in Options) and (Char(Msg.CharCode) in [^H, #32..#255]) then
      AIsReadOnlyNode(Selected, Col, areadOnly)
   else if not (goEditing in Options) then aReadOnly :=true;
   AGetEditStyle(Selected, Col, aEditStyle);
   if aEditStyle<>etsCheckBox then
   begin
   if (not areadOnly) and not (Char(Msg.CharCode) in [#13,#9,#27]) then
      ShowEditorChar(Char(Msg.CharCode))
   end
   else if (goEditing in Options) and (not areadOnly) and (Char(Msg.CharCode) = ' ') then
       ToggleEditor;
   //else
   if aReadOnly then
     inherited;
end;

procedure TCustomFlyTreeView.ToggleEditor;
var aNode : TFlyNode;
    aData : String;
    aCancel : Boolean;
begin
   aNode:=GetNodeatRow(Row);
   aData := GetEditText(Col, Row);
   aCancel:=false;

   if (adata='True') or (adata='-1') then
     aData:='False'
   else if (aData='False') or (adata='0') then
      adata := 'True'
   else if aData<>'' then
      aData:='False'
   else
      aData:='True';

   AValidateNodeData(aNode, Col, aData, aCancel);
   if not aCancel then
     InvalidateCell(Col,Row);
end;

procedure TCustomFlyTreeView.WMCommand(var Message: TWMCommand);
//var canUndo : boolean;
begin
   with Message do
   begin
      if (FInplaceEdit <> nil) and (Ctl = FInplaceEdit.Handle) then
         case NotifyCode of
            EN_CHANGE:
            begin
             //if not FinplaceEdit.CancelData then
             //  UpdateText;//18/6/2

              //FinplaceEdit.CancelData := true; //Changed 18/6/2
              if totMonitorTyping in TreeOptions then
              begin
               if not UpdateText then
               begin
                 FInplaceEdit.Text := FinplaceEdit.UndoData;
                 FInplaceEdit.Modified := true;
                 //FInplaceEdit.CancelData := false;
               end
               else
                 FinplaceEdit.UndoData := FinplaceEdit.Text;
              end;   
              FinplaceEdit.CancelData := false; //Changed 18/6/2
              Result := 0;

            end;
         end;
   end;
end;

procedure TCustomFlyTreeView.WMGetDlgCode(var Msg: TWMGetDlgCode);
begin
   inherited;
   //Msg.Result := DLGC_WANTARROWS;
   //if goEditing in Options then Msg.Result := Msg.Result or DLGC_WANTCHARS;
end;

procedure TCustomFlyTreeView.WMKillFocus(var Msg: TWMKillFocus);
begin
   if (FInplaceEdit <> nil) then
   begin
      //FInplaceEdit.Parent := self;
      if (Msg.FocusedWnd <> FInplaceEdit.Handle) then
         aHideEditor;
   end;
   aWMKillFocus(Msg);
   inherited;
end;

procedure TCustomFlyTreeView.WMLButtonDown(var Message: TMessage);
begin
   inherited;
   if FInplaceEdit <> nil then
      FInplaceEdit.ClickTime := GetMessageTime;
end;

procedure TCustomFlyTreeView.WMSetFocus(var Msg: TWMSetFocus);
begin
   //inherited;
   //look & Feel
   aWMSetFocus(Msg);
   inherited;
end;
procedure TCustomFlyTreeView.WMCancelMode(var Msg: TWMCancelMode);
begin
   inherited;
   //CancelMode;
end;

procedure TCustomFlyTreeView.CMCancelMode(var Msg: TMessage);
begin
   if Assigned(FInplaceEdit) then
      FInplaceEdit.CancelMode(Self);//FInplaceEdit.WndProc(Msg);
   inherited;
   //CancelMode;
end;

procedure TCustomFlyTreeView.CMFontChanged(var Message: TMessage);
var i : integer;
begin
   if FInplaceEdit <> nil then FInplaceEdit.Font := Font;
   for i:= 0 to FColumns.Count-1 do
     if not FColumns[i].IsTitleFontStored then
        FColumns[i].FTitlefont.Assign(Font);

   inherited;
end;


procedure TCustomFlyTreeView.CMWantSpecialKey(var Msg: TCMWantSpecialKey);
begin
   inherited;
   if (goEditing in Options) and (Char(Msg.CharCode) = #13) then Msg.Result := 1;
end;


procedure TCustomFlyTreeView.KeyPress(var Key: Char);
begin
   if not (goAlwaysShowEditor in Options) and (Key in [#13]) then
   begin
      if (EditorMode) then
      begin
         aHideEditor
      end
      else
         ShowEditor;
      Key := #0;
   end
   else if (goAlwaysShowEditor in Options) and (Key = #13) then
      begin
         UpdateText;
         Key := #0;

      end
      else if not (goAlwaysShowEditor in Options) and (Key=#27) then
         begin
            if EditorMode then aHideEditor;
            Key := #0;
         end;
   inherited KeyPress(Key);
end;


procedure TCustomFlyTreeView.KeyDown(var Key: Word; Shift: TShiftState);
const
   NoEditKeys= [VK_LEFT, VK_RIGHT,VK_UP, VK_PRIOR, VK_DOWN, VK_NEXT, VK_HOME, VK_END, VK_ADD, VK_SUBTRACT,VK_INSERT];
var aNode, Oldnode             : TFlyNode;
   oldRow : integer;
   Pt : TPoint;
   NExpanded, SectionFlag, OldsectionFlag : boolean;
begin
   oldRow := Row;
   OldNode :=GetNodeAtrow(Row);
   OldSectionFlag:=false;
   SectionFlag:=false;
   Nexpanded:=false;
   if Oldnode<>nil then
   begin
     OldSectionFlag := (Style<>ttsNormal) and (OldNode.Level=0);
     NExpanded:=OldNode.Expanded;
   end;
   //new - 20.1.2
   {if (Key in NoEditKeys) or (not(ssAlt in Shift) and (Key = VK_TAB) and (goTabs in Options))then
   begin
      EditorMode:=false;//aHideEditor;
   end;
   }

   if (Key=FClickKey) and (Shift=[]) and (not EditorMode)  then
   begin
      EditorMode := True;//ShowEditor;
      exit;
   end
   else if (Key in [VK_RIGHT,VK_LEFT]) and OldSectionFlag then
      Key:=0
   else
      inherited KeyDown(Key, Shift);

   if Items.Count=0 then exit;

   aNode :=GetNodeAtrow(Row);
   if ANode<>nil then
     SectionFlag := (Style<>ttsNormal) and (aNode.Level=0);

   if ssCtrl in Shift then
   begin
      case Key of
         VK_UP: if Selected.GetPrevSibling<> nil then
            begin
               aHideEditor;
               invalidateRow(oldRow);
               if goAlwaysShowEditor in Options then Showeditor;
            end;
         VK_DOWN:if Selected.GetNextSibling<> nil then
            begin
               aHideEditor;
               //Selected:=Selected.GetNextSibling;
               invalidateRow(oldRow);
               if goAlwaysShowEditor in Options then Showeditor;
            end;
         VK_LEFT:
            if Selected <> nil then
            begin
               Selected.Collapse(false);
            end;
         VK_RIGHT:
            if Selected <> nil then
            begin
               Selected.Expand(false);
            end;

         VK_HOME:
         begin
            aHideEditor;
            invalidateRow(oldRow);
            if goAlwaysShowEditor in Options then Showeditor;

         end;
         VK_END:
         begin
            aHideEditor;
            invalidateRow(oldRow);
            if goAlwaysShowEditor in Options then Showeditor;

         end;
      end;//case
   end
   else
      case Key of
         {$IFNDEF DONTCUSTOMIZE}
         VK_APPS:
         if (FCustomizable ) then
         begin
           Pt :=Point(0,0);
           Pt :=ClientToscreen(Pt);
           FCustomMenu.PopupComponent:=Self;
           FCustomMenu.Popup(Pt.X,Pt.Y);
         end; //mergemenu
         {$ENDIF}
         VK_ADD,VK_SUBTRACT,VK_RETURN :
         if (SectionFlag and (aNode=OldNode) and (Nexpanded=aNode.Expanded)) then
         begin
           //FExpFlag:=true;
           aNode.Expanded:= not aNode.Expanded;
         end;

         VK_INSERT:
         begin
            if (not EditorMode) then
               if (Selected <> nil) then Toggle(Selected, false);
         end;

         VK_LEFT, VK_RIGHT, VK_NEXT, VK_PRIOR, VK_DOWN, VK_UP:
         begin
            if not CanEditshow then
               aHideEditor;
            Key :=0;//new29/03/2   
         end;
         VK_HOME:
         begin
            aHideEditor;
            invalidateRow(oldRow);
            if goAlwaysShowEditor in Options then Showeditor;
            //Key :=0;
         end;
         VK_END:
         begin
            aHideEditor;
            invalidateRow(oldRow);
            if goAlwaysShowEditor in Options then Showeditor;
            //Key :=0;
         end;
         //VK_RETURN: Editormode:=false;
         VK_ESCAPE:
         begin
           if Editormode then
           begin
            if FinplaceEdit<>nil then
               FinplaceEdit.CancelData:=true;
             Editormode:=false;
           end;  
         end;
      end;


 if (OldNode<>aNode) then
 begin
    if OldsectionFlag and (Key<>0) then
    begin
     InvalidateFullRow(oldRow);
    end;
    if SectionFlag then
     InvalidateFullRow(Row);
 end;

 if (Key in NoEditKeys) and (not EditorMode ) then //new - 20.1.2
 begin
    Key:=0;
 end;

end;


function TCustomFlyTreeView.BeginColumnDrag(var Origin, Destination: Longint; const MousePt: TPoint): Boolean;
var //aColIndex : integer;
    aDown : boolean;
    aCoord : TGridCoord;
begin
  //
 if FClickedCol <> nil then
  if Origin = FColumns.FVisibleColList.IndexOf(FclickedCol) then
  begin
     aCoord:=MouseCoord(MousePt.X,MousePt.Y);
     aDown:=false;
     ColumnClicked(aCoord.X, aCoord.Y, aDown);
     if FClickedCol.Down<>aDown then
     begin
       FClickedCol.Down:=aDown;
       FClickedCol:=nil;
     end
     else
     begin
       invalidateCell(aCoord.X,aCoord.Y);
       FClickedCol:=nil;
     end;
  end;
  Result := inherited BeginColumnDrag(Origin, Destination, MousePt);
end;

procedure TCustomFlyTreeView.MouseMove(Shift: TShiftState; X, Y: Integer);
var aCoord : TGridCoord;
    acolIndex : integer;
begin
 if ssleft in Shift then //controlstyle
 begin
   aCoord:=MouseCoord(X,Y);
   if (aCoord.X>-1) and (aCoord.X <FColumns.FVisibleColList.count) then
   begin
     if (FClickedcol<>nil) and (TTreeColumn(FColumns.FVisibleColList[aCoord.X])<>FClickedcol) then
     begin
        acolIndex :=FColumns.FVisibleColList.IndexOf(FclickedCol);
        FClickedCol:=nil;
        if aColIndex<>-1 then
        invalidateCell(aColIndex,0);
     end;
   end;
   {if (aCoord.X <> FClickedCell.X) or (aCoord.Y <> FClickedCell.Y) then
   begin
    aoldCoord := FClickedCell;
    FClickedCell.X:=-1;
    FClickedCell.Y:=-1;
    invalidateCell(aoldCoord.X,aoldCoord.Y);
   end;
   }
 end;

   inherited;
end;

                                    
procedure TCustomFlyTreeView.ColumnClicked(aCol,aRow : integer; var Down : boolean);
begin
   if assigned(FOnColumnClick) then
      FOnColumnClick(aCol,aRow, Down);
end;

function TCustomFlyTreeView.GetLastNode : TFlyNode;
var aNode, tmpNode : TFlyNode;
begin
   aNode := items.getFirstNode;//nextvisible
   while aNode<>nil do
   begin
      tmpNode:= aNode;
      aNode  := aNode.GetNextSibling;
      if (aNode = nil) and (tmpNode.Expanded) then
         aNode := tmpNode.GetFirstChild;
   end;
   Result:=aNode;
end;



function TCustomFlyTreeView.GetVisibleCount : integer;
begin
   {Result:=0;
   aNode:=items.GetFirstNode;
   while aNode<>nil do
   begin
      inc(Result);
      anode:=anode.GetNextVisible;
   end;}
   Result := RowCount-FixedRows;
end;

function TCustomFlyTreeView.GetVisibleIndex : integer;
var aNode : TFlyNode;
begin
   Result:=0;
   aNode:=items.GetFirstNode;
   while aNode<>nil do
   begin
      if aNode<>Selected then
      begin
         inc(Result);
         anode:=anode.GetNextVisible;
      end
      else
         Break;
   end;
end;




procedure TCustomFlyTreeView.Change(Node: TFlyNode);
begin
   inherited;

end;


//integral Height and WordWrapping Procs----------------------------------------
function TCustomFlyTreeView.CanCollapse(Node: TFlyNode): Boolean;
begin
  Result:= inherited CanCollapse(Node);
end;

function TCustomFlyTreeView.CanExpand(Node: TFlyNode): Boolean;
begin
   Result:= inherited CanExpand(Node);
end;

procedure TCustomFlyTreeView.SetStyle(Value : TTreeStyle);
begin
   if Value<>FStyle then
   begin
      Fstyle:=Value;
      SetFirstLevelDrawMode(Value <> ttsNormal);
      Refresh;
   end;

end;

function TCustomFlyTreeView.SaveNodes : Boolean;
begin
   Result := inherited SaveNodes;
end;

//saving imagelist
type
  ImagelistCracker = class (TCustomImagelist);

procedure TCustomFlyTreeView.DefineProperties(Filer: TFiler);
 function ShouldStoreMap : boolean;
 var i : integer;
 begin
  Result := False;
  if (Columns.Count > 1) then //don't store if onecolumn is present
    for I := 0 to Columns.Count - 1 do
     if (Columns[i].FOrder <> i) then //some column moved
     begin //check up orders
        Result := true;
        break;
     end;
 end;

begin
   if FInplaceEdit <> nil then
   begin
      FInplaceEdit.Free;
      FInplaceEdit := nil;
   end;
  //New -> for store columnsMap //new 29.1.2
  inherited DefineProperties(Filer);
  if FWriteMap then
    Filer.DefineProperty('Map', ReadMap, WriteMap, ShouldStoreMap);
  if FWriteColumns then
     Filer.DefineBinaryProperty('TreeColumns', ReadColumns, WriteColumns, FColumns.Count>0);
  ImagelistCracker(FImagelist).DefineProperties(Filer);
end;

procedure TCustomFlyTreeView.WriteMap(Writer: TWriter);
var i: integer;
begin
  with Writer do
  begin
    WriteListBegin;
    for I := 0 to Columns.Count - 1 do
       WriteInteger(Columns[i].FOrder);
    WriteListEnd;
  end;
end;

procedure TCustomFlyTreeView.ReadMap(Reader: TReader);
var i : integer;
begin
  with Reader do
  begin
    ReadListBegin;
    i :=0;
    while not Reader.EndOfList do
    begin
     if (i < Columns.Count) then
       Columns[i].FOrder := Reader.ReadInteger
     else
       Reader.ReadInteger;
      inc(i);
    end;
    Reader.ReadListEnd;
  end;
end;



procedure TCustomFlyTreeView.ReadColumns(Stream : TStream);
begin
   TreeColl.ReadCollectionFromStream(FColumns, Stream);
end;

procedure TCustomFlyTreeView.WriteColumns(Stream : TStream);
begin
   TreeColl.WriteCollectionToStream(FColumns, Stream);
end;

function TCustomFlyTreeView.GetImagesHeight : integer;
begin
   Result:=FimageList.Height;
end;

function TCustomFlyTreeView.GetImagesWidth  : integer;
begin
   Result:=FimageList.Width;
end;

procedure TCustomFlyTreeView.SetImagesHeight(Value : integer);
begin
   if FImageList.Height <> Value then
      FImageList.Height :=Value;
end;

procedure TCustomFlyTreeView.SetImagesWidth(Value : integer);
begin
   if FImageList.Width <> Value then
      FImageList.Width :=Value;
end;


//background wallpapering
procedure TCustomFlyTreeView.TreeChange(Sender: TObject);
begin
   if not (csloading in Componentstate) then
      try
         Invalidate;
      except
      end;
end;

procedure TCustomFlyTreeView.SetWallpaper(Value: TWallpaper);
begin
   FWallpaper.Assign(Value);
end;


function TCustomFlyTreeView.LoadImagesFromFile(const Filename : string) : boolean;
var aStrings : TStringlist;
begin
  //Result:=False;
  aStrings := TStringlist.Create;
  Items.BeginUpdate;
  try
    aStrings.LoadFromFile(Filename);
    if aStrings.count > 0 then
       FImagelist.Clear;
    {$IFDEF PROPED_DLL}
    IntRestoreCompFromStrings(FimageList, aStrings.Text);
    {$ELSE}
    RestoreCompFromStrings(FimageList, aStrings);
    {$ENDIF}
    Result:=true;
  finally
    Items.endUpdate;
    aStrings.Free;
  end;
end;

Function TCustomFlyTreeView.Loadtemplate_ : Boolean;//Load image of aTree from file
begin
  Result := LoadTemplate(Self);
end;

Function TCustomFlyTreeView.SaveTemplate_ : Boolean;//save image of aTree to file
begin
  Result := SaveTemplate(Self);
end;

function TCustomFlyTreeView.SaveImagesToFile(const Filename : string) : boolean;
var aStrings : TStringlist;
begin
  aStrings := TStringlist.Create;
  //Result:=False;
  Items.BeginUpdate;
  try
    {$IFDEF PROPED_DLL}
    IntSaveCompToStrings(FimageList, aStrings);
    {$ELSE}
    SaveCompToStrings(FimageList, aStrings);
    {$ENDIF}
    aStrings.SaveToFile(Filename);
    Result:=True;
  finally
    aStrings.Free;
    Items.endUpdate;
  end;
end;

procedure TCustomFlyTreeView.LoadTemplateFromFile(const FileName: string);
var
   aStrings : Tstringlist;
begin

   try
      FImagelist.Clear;
      FWallpaper.Bitmap.ReleaseHandle;
      //FWallpaper.Bitmap.Free;

      astrings := Tstringlist.Create;
      AStrings.LoadFromFile(FileName);
      //replace old name to New
      if _ActiveX then
        AStrings[0] := 'object '+ClassName
      else
        AStrings[0] := 'object '+ Name+': '+ClassName;

      //Items.BeginUpdate;
      try
         Items.Clear;
         {$IFDEF PROPED_DLL}
         IntRestoreCompFromStrings(Self, Astrings.Text);
         {$ELSE}
         RestoreCompFromStrings(Self, Astrings);
         {$ENDIF}
         if Fimagelist.count=0 then InitGlyphs;

      finally
         Astrings.Free;
//         InitColumnsMap; 29.1.2
         //Items.EndUpdate;
         //Self.Loaded;
      end;
   finally

   end;

end;


procedure TCustomFlyTreeView.SaveTemplateToFile(const FileName: string);
var
   aStrings : Tstringlist;
begin
   astrings := Tstringlist.Create;
   try
      {$IFDEF PROPED_DLL}
      IntSaveCompToStrings(Self, Astrings);
      {$ELSE}
      SaveCompToStrings(Self, Astrings);
      {$ENDIF}
      aStrings.Delete(1);//delete top,left,height.width props
      aStrings.Delete(1);
      aStrings.Delete(1);
      aStrings.Delete(1);
      aStrings.savetoFile(FileName);
   finally
      Astrings.Free;
   end;

end;

///treecolumn management
procedure TCustomFlyTreeView.Expand(Node: TFlyNode);
begin
   inherited;
   FixupColWidths;
end;

procedure TCustomFlyTreeView.Collapse(Node: TFlyNode);
begin
  inherited;
  FixupColWidths;
end;

procedure TCustomFlyTreeView.FixupColWidths;
var i : integer;
    aColumn : TTreeColumn;
begin
 if not ((Columns = nil) or FDestroy  or (csLoading in ComponentState)) then
   for i:=0 to Columns.VisibleCount-1 do
   begin
     aColumn := Columns.VisibleColumn[i];
     if aColumn.Autofit then
       aColumn.Width := aColumn.CalcOptimalColumnWidth;
   end;
end;

procedure TCustomFlyTreeView.UpdateColumns;
begin
   RefreshColumnsmap;
end;

function TCustomFlyTreeView.CreateTo(aOwner : TComponent): TCustomFlyTreeView;
begin
    Result := TCustomFlyTreeView.Create(aOwner);
    Result.FCreatedFrom :=Self;
end;

procedure TCustomFlyTreeView.SetCreatedFrom(Value : TCustomFlyTreeview);
begin
  FCreatedFrom := Value;
end;

function TCustomFlyTreeView.GetCreatedFrom : TCustomFlyTreeview;
begin
   Result := FCreatedFrom;
end;

function TFlyTreeView.CreateTo(aOwner : TComponent): TCustomFlyTreeView;
begin
    Result := TFlyTreeView.Create(aOwner);
    Result.FCreatedFrom :=Self;
end;

function TCustomFlyTreeView.GetTreeColumnClass : TTreeCollectionClass;
begin
   Result := TTreeColumn;
end;

procedure TCustomFlyTreeView.SetColumns(aColumns : TTreeColumns);
begin
   FColumns.Assign(aColumns);
   UpdateColumns;
   Invalidate;
end;
//obsolete
{procedure TCustomFlyTreeView.EnumerateColumns;
var i : integer;
begin
 if Fcolumns.Count>0 then
 begin
   for i:=0 to FColumns.Count-1 do
   begin
      FColumns[i].Forder := i;
   end;
   if FColumns.Count-1 >= Structurecol then
     FColumns[StructureCol].FstructFlag:=true;
 end;
end;
}
procedure TCustomFlyTreeView.Assignto(Instance : TComponent);
var aStream : TMemorystream;
begin
  aStream := TMemorystream.Create;
  try
    aStream.WriteComponentRes(Self.ClassName, Self);
    aStream.Position := 0;
    TCustomFlyTreeView(Instance).Items.BeginUpdate;
    try
     aStream.ReadComponentRes(Instance);
    finally
     TCustomFlyTreeView(Instance).Items.EndUpdate;
    end;
  finally
    aStream.Free;
  end;
end;


function TCustomFlyTreeView.GetImages : {$IFDEF DFS_COMPILER_4_UP} TCustomImageList {$ELSE} TImagelist {$ENDIF};
begin
   Result := FImageList;
end;

procedure TCustomFlyTreeView.RefreshColumnsmap;
var i  : integer;
   pI : PInt;
//   aStructCol : TTreeColumn;
  NewStructureCol: integer;
  StoredHere: boolean;
begin
  if (FColumns = nil) then exit;

  with FColumns do
  begin
//        aStructCol := TTreeColumn(FVisibleColList[StructureCol]);       // CEDR 08.10.02
      //-------- CEDR 08.10.02
      StoredHere := false;
      if FVisibleColList[StructureCol]<>nil then
      begin
        FStoreStructureCol:= TTreeColumn(FVisibleColList[StructureCol]).OrdinalPosition;  // ?? or better ID?
        StoredHere := true;
      end;
      //------------------

      FVisibleColList.Clear;
      for i:=0 to FColumns.Count-1 do
      begin
         if FColumns[i].Visible then
            FVisibleColList.Add(FColumns[i]);
      end;
//      ColCount := FVisibleColList.Count;   // CEDR
   end;

   while ColumnsMap.Count<>0 do
   begin
      Dispose(ColumnsMap.Items[0]);
      ColumnsMap.Delete(0);
   end;

  //-------- CEDR 08.10.02
//   if FColumns.FVisibleColList.IndexOf(aStructCol) <> -1 then
//      StructureCol := FColumns.FVisibleColList.IndexOf(aStructCol)
   NewStructureCol:=-1;
   for i:=0 to FColumns.FVisibleColList.Count-1 do
     if (TTreeColumn(FColumns.FVisibleColList[i]).OrdinalPosition = FStoreStructureCol) then
     begin
       FStoreStructureCol:=-1;
       NewStructureCol:=i;
       break;
     end;

   if (NewStructureCol<>-1)or(StoredHere) then
     StructureCol := NewStructureCol;              // CEDR 08.10.02
   //--------------------

   ColCount := FColumns.FVisibleColList.Count;   // CEDR 08.10.02 - ^^^^ warning!!!! this may trigger many events including focus changing

   with FColumns do
      for i:=0 to FVisibleColList.Count-1 do
      begin
         New(pI);
         pI^ := TTreeColumn(FVisibleColList[i]).OrdinalPosition;
         ColumnsMap.Add(pI);
         FUpdated    :=true;
         Colwidths[i]:=TTreeColumn(FVisibleColList[i]).Width;     // !!! ColCount must be set to new value !!!
         FUpdated    :=false;
      end;

end;

// TWallpaper ------------------------------------------------------------------
//background wallpapering
constructor TWallpaper.Create;
begin
   inherited;
   FBitmap := TBitmap.Create;
   FStyle := wpTile;
   FOnChange := nil;
end;

destructor TWallpaper.Destroy;
begin
   FBitmap.Free;
   //if FFullBitmap<>nil then FFullBitmap.Free;
   inherited;
end;

procedure TWallpaper.Assign(Source: TPersistent);
begin
   if Source is TWallpaper then
   begin
      FBitmap.Assign(TWallpaper(Source).Bitmap);
      FStyle := TWallpaper(Source).Style;
      if Assigned(FOnChange) then FOnChange(Self);
   end
   else inherited;
end;

procedure TWallpaper.SetBitmap;
begin
   FBitmap.Assign(Value);
   //FFullBitmap.Free;
   //FFullBitmap :=nil;
   if Assigned(FOnChange) then FOnChange(Self);
end;

procedure TWallpaper.SetStyle;
begin
   if FStyle <> Value then begin
      FStyle := Value;
      if Assigned(FOnChange) then FOnChange(Self);
   end;
end;


procedure TWallpaper.DrawWallPaper(DstCanvas : TCanvas; X,Y : longint; PartRect, FullRect : TRect; Color: TColor);
var DrawRect                     : TRect;
   //aHeight, aWidth              : integer;
   xOffset, YOffset, xOldOffset : integer;
   aBmpRect : TRect;
   aBmp : TBitmap;
begin
   case FStyle of
      wpNone:
      begin
        DstCanvas.Brush.Color := Color;
        DstCanvas.FillRect(PartRect);
      end;
      wpCenter:
      begin //some calculates - virtual bitmap positioning in view
        //calculate place of bitmap in FullRect
        aBmpRect := Rect(0,0,FBitmap.Width, FBitmap.height);
        //centering in FullRect
        OffsetRect(aBmpRect,
        (((FullRect.Right-FullRect.Left)-FBitmap.Width) div 2),
        ((FullRect.Bottom-FullRect.Top)-FBitmap.Height) div 2);
        //locate drawing rect
        XOffSet := PartRect.Left- aBmprect.Left;
        YOffset := PartRect.Top -aBmprect.Top;
        BitBlt(DstCanvas.Handle, PartRect.Left, PartRect.Top,
        PartRect.Right - PartRect.Left, PartRect.bottom - PartRect.top, fBitmap.Canvas.Handle, XOffset, YOffset, SRCCOPY);
      end;
      wpStretch:
      begin
        //locate drawing rect
        aBmp := TBitmap.Create;
        try
        aBmp.Height:=FullRect.Bottom-FullRect.Top;
        aBmp.Width:=FullRect.Right - FullRect.Left;
        //Stretch of Source Bitmap
        StretchBlt(aBmp.Canvas.Handle, 0, 0,
        aBmp.Width, aBmp.Height, fBitmap.Canvas.Handle, 0, 0, FBitmap.Width, FBitmap.Height, SRCCOPY);

        BitBlt(DstCanvas.Handle, PartRect.Left, PartRect.Top,
        PartRect.Right - PartRect.Left, PartRect.bottom - PartRect.top,
        aBmp.Canvas.Handle, PartRect.Left, PartRect.top, SRCCOPY);
        finally
          abmp.Free;
        end;
      end;
      wpTile:
      begin
         //calculate offsets - XOffset,Yoffset
         //Xoffset    100 -            (100 div 32)*32
         //FWallXOffset, FWallYOffset,
         DrawRect :=PartRect;
         offsetRect(DrawRect, -X, -Y);

         if DrawRect.Left = 0 then
            XOffset:=0
         else if DrawRect.Left < FBitmap.Width then
               XOffset := DrawRect.Left//(FBitmap.Width - DrawRect.Left)
            else
               XOffset := ((DrawRect.Left)-((DrawRect.Left div FBitmap.Width)*FBitmap.Width));
         if DrawRect.Top = 0 then
            YOffset:=0
         else if DrawRect.Top < FBitmap.height then
               YOffset := DrawRect.Top//FBitmap.height - DrawRect.Top
            else
               YOffset := ((DrawRect.Top)-((DrawRect.Top div FBitmap.Height)*FBitmap.height));
         XoldOffset:= XOffset;//FWallXOffset, FWallYOffset,
         //
         //aWidth    := PartRect.Right - PartRect.Left;
         //aHeight   :=PartRect.bottom - PartRect.top;

         DrawRect  :=PartRect;
         while DrawRect.Top  < PartRect.Bottom do
         begin

            BitBlt(DstCanvas.Handle, DrawRect.Left, DrawRect.Top,
            DrawRect.Right - DrawRect.Left, DrawRect.bottom - DrawRect.top, fBitmap.Canvas.Handle, XOffset, YOffset, SRCCOPY);

            Inc(DrawRect.Left, FBitmap.Width-Xoffset);
            xOffset:=0;

            if  DrawRect.Left >= PartRect.Right then
            begin
               xOffset      := XoldOffset;
               DrawRect.Left:= PartRect.Left;
               Inc(DrawRect.Top, FBitmap.height-Yoffset);
               YOffset:=0;
            end;
         end;
      end;
   end;
end;


{$IFNDEF DONTCUSTOMIZE}
// TCustomizePopupMenu - --------------------------------------------------------
constructor TCustomizePopupMenu.Create(AOwner : TComponent);
begin
   inherited Create(AOwner);
   FControl := Nil;
   List := TISList.Create;
end;

destructor TCustomizePopupMenu.Destroy;
begin
   DestroyMenuItems;
   List.Free;
   inherited Destroy;
end;

procedure TCustomizePopupMenu.Popup(X, Y: Integer);
Var
   MenuItem : TMenuItem;

procedure InsertNewMenuItem(const ACaption: string;  ATag : LongInt);
begin
   MenuItem := NewItem(ACaption, 0, false, True, MenuClick, 0, '');
   MenuItem.Tag := ATag;
   Items.Insert(List.Count, MenuItem);
   List.Add(MenuItem);
end;

begin
   if (List.Count > 0) then
      DestroyMenuItems;
   FControl := Nil;
   if(PopupComponent <> Nil) And
   (PopupComponent is TCustomFlyTreeView) then
   begin
      FControl := PopupComponent As TCustomFlyTreeView;
      InsertNewMenuItem(FControl.FcustomizeMenuString, -101);
      InsertNewMenuItem(teLoadTemplate, -103);
      InsertNewMenuItem(teSaveTemplate, -104);
   end;
   inherited Popup(X, Y);
end;

procedure TCustomizePopupMenu.MenuClick(Sender : TObject);
Var
   tag : LongInt;
begin
   if Not (Sender is TMenuItem) then exit;
   tag := TMenuItem(Sender).Tag;
   case tag of
      -101: FControl.Customize;
      
      -103:
      {$IFDEF PROPED_DLL}
      InternalLoadTemplate(FControl);
      {$ELSE}
      LoadTemplate(FControl);
      {$ENDIF}
      -104:
      {$IFDEF PROPED_DLL}
      InternalSaveTemplate(FControl);
      {$ELSE}
      SaveTemplate(FControl);
      {$ENDIF}


   end;
end;

procedure TCustomizePopupMenu.DestroyMenuItems;
Var
   MenuItem : TMenuItem;
begin

   if(FControl <> Nil) then
   begin
      while List.Count > 0 do
      begin
         MenuItem := TMenuItem(List[0]);
         List.Remove(MenuItem);
         MenuItem.Free;
      end;
      FControl := Nil;

   end;

end;
{$ENDIF}

{ TTreeColumn }
//------------------------------------------------------------------------------
constructor TTreeColumn.Create(aOwner: TTreeCollection);
begin
   inherited Create(aOwner);
   FSizeGrip := True;
   FAutoFit := false;
   if aOwner is TTreeColumns then
   begin
      FColumns :=TTreeColumns(aOwner);
      Forder := FColumns.Count-1;
      if FColumns.FTree<>nil then
      FWidth :=FColumns.FTree.DefaultColwidth;
   end;
   FTitleFont := TFont.Create;
   if aOwner is TTreeColumns then
   begin
    FTitleFont.Assign(FColumns.FTree.Font);
    FTitleColor := FColumns.FTree.FixedColor;
   end;
   FTitleFont.OnChange := TitleFontChanged;
   FValign := tvaCenter;
   FPasswordChar:=#0;
   FVisible :=true;
   FAlign := taLeftJustify;
   FFetchMode := tfmSemiVirtual;
   FImageindex:=-1;
   FMargin:=-1;
   FSpacing:=4;
   FColumns.Update(Self);
end;

destructor TTreeColumn.Destroy;
begin
   {$ifdef DFS_COMPILER_3_UP}
   ColumnAdapter := nil;
   {$ENDIF}
   if FPicklist<> nil then FPicklist.Free;
   FTitleFont.Free;
   inherited;
end;

procedure TTreeColumn.SetTitleFont(Value : TFont);
begin
  FTitleFont.Assign(Value);
end;


function TTreeColumn.IsTitleFontStored : Boolean;
begin
  Result := tcFont in FAssignedValues;
end;

procedure TTreeColumn.TitleFontChanged(Sender: TObject);
begin
  with FColumns.FTree.Font do //new 29/3/2
  begin
   if not ((Size = FTitleFont.Size) and (Name = FTitleFont.Name) and (Color = FTitleFont.Color)
   and (Style = FTitleFont.Style) {and (Charset = FTitleFont.Charset)}) then
     include(FAssignedValues, tcFont);
  end;
  Changed(True);
end;

//AutoFit
function TTreeColumn.CalcOptimalColumnWidth : integer;
var
    aNode : TFlyNode;
    {Flags,} i, cw, aCol  : integer;
    aData : String;
    aRect1, aRect : TRect;
    aCanvas : TCanvas;
    HtmlDr : boolean;

Const
   AlignFlags : array [TAlignment] of Integer= ( DT_LEFT, DT_RIGHT, DT_CENTER);
   VAlignFlags : array [TISVertAlign] of Integer =  ( DT_TOP, DT_BOTTOM, DT_VCENTER);

begin
  Result := 0;
  aCol := -1;
  aNode := Columns.FTree.Items.GetFirstNode;

//  i := Columns.Ftree.FixedRows;
  aCanvas := Columns.FTree.Canvas;
  for i:=0 to Columns.VisibleCount-1 do
    if Columns.VisibleColumn[i] = self then
    begin
       aCol := i;
       break;
    end;


  HtmlDr := Columns.FTree.HTMLDrawing;
  if aCol <> -1 then
   with Columns.Ftree do
    while aNode <> nil do
    begin
     aRect := Rect(0,0,1,1);
     aData := aNode.Cells[aCol];

     if HTMLDr then
       DrawHTML(aRect, aCanvas, aData, false, True, ord(Alignment), 0)
     else
       DrawRTLText(aCanvas,aData, aRect, DT_CALCRECT,0);

     cw := aRect.Right - aRect.Left;
     if aCol = StructureCol then
     begin
       aRect := aNode.DisplayRect(true);
       aRect1 := aNode.DisplayRect(false);
       inc(cw, aRect.Left - aRect1.Left);
     end;
     if (goHorzLine in Options) or (gofixedHorzLine in Options) then
       inc(cw, GridLineWidth);
     inc(cw,4);
     if Result < cw then
       Result := cw;
     aNode := aNode.GetNextVisible;
     //inc(i);
    end;

end;

procedure TTreeColumn.SetAutoFit(Value : Boolean);
begin
  if (FAutoFit <> Value) then
  begin
    FAutoFit := Value;
    if FAutoFit and not (Columns.FTree.WordWrap) then
    begin
     Width := CalcOptimalColumnWidth;
     Changed(True);
    end;
  end;
end;

procedure TTreeColumn.SetVAlign(const Value : TIsVertAlign);
begin
   if (FVAlign <> Value) then
   begin
     FValign := Value;
     Changed(True);
   end;
end;

procedure TTreeColumn.SetTitleColor(Value : TColor);
begin
 if (Value <> FTitleColor) then
 begin
  FTitleColor := Value;
  include(FAssignedValues, tcColor);
  Changed(True);
 end;
end;

function TTreeColumn.IsTitleColorStored : Boolean;
begin
  Result := tcColor in FAssignedValues;
end;

function TTreeColumn.GetVisibleIndex : integer;
begin
   Result := FColumns.FVisibleColList.IndexOf(Self);
end;

function TTreeColumn.GetStrings: TStrings;
begin
   if FPickList = nil then
      FPickList := TStringList.Create;
   Result := FPickList;
end;



procedure TTreeColumn.SetStrings(aStrings: TStrings);
begin
   if aStrings = nil then
   begin
      FPickList.Free;
      FPickList := nil;
      Exit;
   end;
   PickList.Assign(aStrings);
   if FColumns <> nil then
      FColumns.Update(self);

end;

procedure TTreeColumn.SetDefValue(aDefValue: string);
begin
   if FDefValue <> aDefValue then FDefValue := aDefValue;
end;

procedure TTreeColumn.SetPrompt(aPrompt: string);
begin
   if FPrompt<>aPrompt then
   begin
      FPrompt := aPrompt;
      if FColumns <> nil then
         FColumns.Update(self);
   end;
end;

procedure TTreeColumn.Assign(Source: TPersistent);
begin
   if Source is TTreeColumn then
   begin
      Caption     := TTreeColumn(Source).Caption;
      Width       := TTreeColumn(Source).Width;
      Alignment   := TTreeColumn(Source).Alignment;
      DefaultValue:= TTreeColumn(Source).DefaultValue;
      EditStyle   := TTreeColumn(Source).EditStyle;
      Fixed       := TTreeColumn(Source).Fixed;
      Prompt      := TTreeColumn(Source).prompt;
      Visible     :=  TTreeColumn(Source).Visible;
      ReadOnly    := TTreeColumn(Source).ReadOnly;
      FetchMode   := TTreeColumn(Source).FetchMode;
      Imageindex  := TTreeColumn(Source).Imageindex;
      Margin      := TTreeColumn(Source).Margin;
      Spacing     := TTreeColumn(Source).Spacing;
      Layout     := TTreeColumn(Source).Layout;
      Picklist.Assign(TTreeColumn(Source).Picklist);
   end;
   inherited Assign(Source);
end;
{$ifdef DFS_COMPILER_3_UP}
procedure TTreeColumn.SetColumnAdapter(const Value : IColumnAdapter);
begin
  if FColumnAdapter <> nil then FColumnAdapter.ReleaseColumn;
  FColumnAdapter := Value;
  if FColumnAdapter <> nil then FColumnAdapter.ReferenceColumn(Self);

end;
{$ENDIF}
procedure TTreeColumn.SetPasswordChar(Value: Char);
begin
   if Value <> FPasswordChar then
    begin
        FPasswordChar := Value;
        if FColumns <> nil then
          FColumns.Update(self);
    end;

end;

procedure TTreeColumn.SetEditMask(Value : string);
begin
   if Value <> FEditMask then
    begin
        FEditmask := Value;
        if FColumns <> nil then
          FColumns.Update(self);
    end;
end;

procedure TTreeColumn.SetMargin(Value: Integer);
var aColindex : integer;
begin
  if (Value <> FMargin) and (Value >= -1) then
  begin
    FMargin := Value;
    if Fcolumns.Ftree<> nil then
     begin
        aColindex := Fcolumns.FVisibleCollist.indexof(Self);
        if aColindex<>-1 then
           Fcolumns.Ftree.invalidateCell(aColindex,0);
    end;
  end;
end;

procedure TTreeColumn.SetLayout(Value: TButtonLayout);
var aColindex : integer;
begin
  if FLayout <> Value then
  begin
    FLayout := Value;
    if Fcolumns.Ftree<> nil then
     begin
        aColindex := Fcolumns.FVisibleCollist.indexof(Self);
        if aColindex<>-1 then
           Fcolumns.Ftree.invalidateCell(aColindex,0);
    end;
  end;
end;

procedure TTreeColumn.SetSpacing(Value: Integer);
var aColindex : integer;
begin
  if Value <> FSpacing then
  begin
    FSpacing := Value;
    if Fcolumns.Ftree<> nil then
     begin
        aColindex := Fcolumns.FVisibleCollist.indexof(Self);
        if aColindex<>-1 then
           Fcolumns.Ftree.invalidateCell(aColindex,0);
    end;
  end;
end;

procedure TTreeColumn.SetDown(Value : Boolean);
var aColindex : integer;
begin
   if Value <> Fdown then
   begin
      Fdown := Value;
      aColindex := Fcolumns.FVisibleCollist.indexof(Self);
      if aColindex<>-1 then
         Fcolumns.Ftree.invalidateCell(aColindex,0);
   end;
end;

procedure TTreeColumn.SetImageIndex(Value : integer);
var aColindex : integer;
begin
   if Value <> FImageIndex then
   begin
     FImageIndex :=Value;
     if Fcolumns.Ftree<> nil then
     begin
        aColindex := Fcolumns.FVisibleCollist.indexof(Self);
        if aColindex<>-1 then
           Fcolumns.Ftree.invalidatecell(aColindex, 0);
     end;
   end;
end;

procedure TTreeColumn.SetWidth(aWidth: integer);
var aindex : integer;
begin
   if FWidth <> aWidth then
   begin
      FWidth :=aWidth;
      //if Fwidth <= 0 then Visible := false;
      //Visible := FWidth > 0;
      //FColumns.FCollection.Changed(true);
      if (FColumns <> nil)  then
      with FColumns do
      if (FVisibleColList<> nil) then
      begin
         aindex := FVisibleColList.IndexOf(Self);
         if (FTree<>nil) then
          if (aIndex<>-1) and (aIndex < FColumns.FTree.ColCount) then
             Ftree.Colwidths[aindex]:=aWidth;
     end;
   end;
end;


procedure TTreeColumn.SetVisible(aVisible : Boolean);
begin
   if aVisible <> FVisible then
   begin
      FVisible :=aVisible;
      if FColumns<>nil then
      begin
         FColumns.Update(nil);//update all columns
      end;
   end;
end;

procedure TTreeColumn.SetAlign(aAlign : TAlignment);
begin
   if FAlign <> aAlign then
   begin
      FAlign := aAlign;
      if FColumns <> nil then
         FColumns.Update(self);//update column
   end;
end;


procedure TTreeColumn.SetEditStyle(aEditStyle : TEditStyle);
begin
   if aEditStyle <> FeditStyle then
   begin
      FeditStyle := aEditstyle;
      if FColumns <> nil then
         FColumns.Update(Self);//update all columns
   end;
end;

procedure TTreeColumn.SetReadOnly(aReadOnly : Boolean);
begin
   if FReadOnly <>aReadOnly then
   begin
      FReadOnly := aReadOnly;
      if FColumns <> nil then
         FColumns.Update(Self);//update all columns
   end;
end;

procedure TTreeColumn.SetFetchMode(aFetchMode : TFetchMode);
begin
   if FFetchMode <>aFetchMode then
   begin
      FFetchMode := aFetchMode;
      if FColumns <> nil then
         FColumns.Update(Self);//update all columns
   end;
end;

function TTreeColumn.InternalGetClass(aClassname : String) : TTreeCollectionClass;
begin
    Result:=TTreeColumn;
end;

{ TTreeColumns }

procedure TTreeColumns.Update(Item: TTreeCollection);
begin
   if Item <> nil then
   begin
      if FTree<> nil then
         if FTree.HandleAllocated then
            Ftree.Redrawborder(0);
   end
   else
      if (FTree<> nil) then
         if  FTree.HandleAllocated then
         begin
            Ftree.Invalidate;
            Ftree.redrawBorder(0);
         end;
   if (FTree<> nil) then
      if not (FTree.FDestroy or  (csLoading in FTree.ComponentState)) then
         Ftree.UpdateColumns;
end;

constructor TTreeColumns.Create(aOwner: TCustomFlyTreeView);
begin
   inherited Create(nil);
   FTree := aOwner;
   SetOwner(aOwner);
   if Ftree <> nil then //add fixed column
      with TTreeColumn(Add(inttostr(count+1),TTreeColumn.Classname))  do
      begin
         FFixed  := true;
         FVisible:= true;
      end;

   FVisibleColList := TISList.Create;

end;


destructor TTreeColumns.Destroy;
begin
   //FCollection.Free;
   FVisibleColList.Free;
   inherited;
end;
function TTreeColumns.Add(aCaption,AClassName : string): TTreeCollectionClass;
var Aclass : TTreeCollectionClass;
begin
  Aclass := InternalGetClass(aClassname);
  if aClass <> nil then
    Result := TTreeCollectionClass(aClass.Create(Self))
  else
    Result := TTreeCollectionClass(TTreeColumn.Create(Self));
  TTreeCollection(Result).Caption:=aCaption;
  if assigned(Onchange) then
      TTreeCollection(Result).Onchange:=Onchange;
end;

procedure TTreeColumns.DeleteItem(Item : TTreeColumn);
begin
   inherited DeleteItem(TTreeCollection(item));
   if FTree<>nil then
      FTree.Updatecolumns;
end;

function TTreeColumns.InternalGetClass(aClassname : String) : TTreeCollectionClass;
begin
  if FTree<>nil then
    Result := FTree.GetTreeColumnClass
  else
    Result:=TTreeColumn;
end;

function TTreeColumns.GetColumnClass : TTreeCollectionClass;
begin
   Result := FColumnClass;
end;

procedure TTreeColumns.SetColumnClass(Value : TTreeCollectionClass);
begin
   FColumnClass := Value;
end;

function TTreeColumns.IsList : Boolean;
begin
   Result := True;
end;

function TTreeColumns.GetTree : TCustomFlyTreeView;
begin
   Result := FTree;
end;

function TTreeColumns.GetVisibleColumn(Index : integer) : TTreeColumn;
begin
   Result :=TTreeColumn(FVisibleColList[Index]);
end;

function TTreeColumns.GetVisibleCount: integer;
var i : integer;
begin
   Result:=0;
   for i:=0 to Count-1 do
      if Column[i].visible then inc(Result);
end;

procedure TTreeColumns.SetColumn(Index : integer; Value : TTreeColumn);
begin
   TTreeColumn(items[index]).Assign(Value);
end;

procedure TTreeColumns.Assign(Source: TPersistent);
var
  I: Integer;
begin
if Source is TTreeColumns then
  begin
    BeginUpdate;
    try
      Clear;
      for I := 0 to TTreeColumns(Source).Count - 1 do
      begin
        Tpersistent(inherited Add('',TTreeColumns(Source).Items[I].ClassName)).Assign(TTreeColumns(Source).Items[I]);
      end;
    finally
      EndUpdate;
      if FTree<>nil then FTree.Updatewidths;
    end;
    Exit;
  end;
  inherited Assign(Source);
end;

function TTreeColumns.GetColumn(index : integer) : TTreeColumn;
begin
   Result:=TTreeColumn(items[index]);
end;


//------------------------------------------------------------------------------
//selected

initialization
   {$IFNDEF Registered}
   {$IFNDEF ACTIVEX}
      ShowURToolTip('', false);
   {$ENDIF}
   {$ENDIF}

   //GetCheckSize;
   //register classes for property editors
   {IFNDEF FLYTREE_PRO}
   if GetClass('TTreeColumn') = nil then
   begin
      Classes.RegisterClass(TTreeColumn);
      RegisterTreeCollectionClass(TTreeColumn);
   end;
   {ENDIF}
finalization

end.




