unit raptvreg;
// procedure of registration of RapidTree and it property editors
interface
{$I DFS.INC}
uses  Classes, {$IFDEF DFS_DELPHI_6_UP} DesignEditors, DesignIntf {$ELSE} DsgnIntf{$endif}, RapTree, Treecoll, TrColled;
type
  TFlyNodesEdit = class(TPropertyEditor)
    function  GetAttributes : TPropertyAttributes; override;
    function  GetValue : string; override;
    procedure Edit; override;
  end;

procedure Register;

implementation
uses flyedit;

//------prop editor
function  TFlyNodesEdit.GetAttributes : TPropertyAttributes;
begin
   result := [paDialog];
end;

function  TFlyNodesEdit.GetValue : string;
begin
   if GetOrdValue = 0 then
      result := '(None)'
   else
      result := '(TFlyNodes)';
end;

procedure TFlyNodesEdit.Edit;
begin
  EditNodes(TCustomRapidTree(GetComponent(0)).items, Modified);
end;

procedure Register;
begin
   RegisterComponents('9Rays.Net', [TRapidTree]);
   RegisterPropertyEditor(TypeInfo(TFlyNodes), TCustomRapidTree, '', TFlyNodesEdit);
end;

end.
