unit trcollreg;

interface
{$I DFS.INC}
uses Classes, TreeColl, TypInfo, {$IFDEF DFS_COMPILER_6_UP} DesignEditors, DesignIntf {$ELSE} Dsgnintf {$ENDIF}, trColled;

type
 TTreeCollectionPropEdit = class(TPropertyEditor)
  function  GetAttributes : TPropertyAttributes; override;
  function  GetValue : string; override;
  procedure Edit; override;
 end;

 procedure Register;

implementation

//------prop editor
//---------------------------------------------------------------------------
function  TTreeCollectionPropEdit.GetAttributes : TPropertyAttributes;
begin
  result := [paDialog];
end;

function  TTreeCollectionPropEdit.GetValue : string;
begin
  if GetOrdValue = 0 then
    result := '(None)'
  else
    result := '(TTreeCollection)';
end;

procedure TTreeCollectionPropEdit.Edit;
var PropInfo : PPRopInfo;
    PropValue : TObject;
begin
   PropInfo := GetPropInfo;
   if PropInfo^.PropType^.Kind = tkClass then
   begin
      PropValue := TObject(GetOrdValue);
      EditTreeCollection(TTreeCollection(PropValue), Self)
   end;
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TTreeCollection), nil, '', TTreeCollectionPropEdit);
  RegisterComponents('9Rays.Net', [TRootCollection]);
end;

end.
